commit e68ec17827a7116fc418189d474c5fafa08555b5
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Wed Jun 8 21:28:32 2016 -0500

    Update NEWS

 NEWS | 7 +++++++
 1 file changed, 7 insertions(+)

commit 5183f46532be3b3782341e4132ca8b0416f50704
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue May 10 15:11:54 2016 +0800

    Visual Studio builds: Refine "installation" process
    
    Split out the part where we generate the cache for GDK-Pixbuf, so that
    it is easier to ensure the needed parts are in place when Copydir !=
    GlibEtcInstallDir.

 build/win32/vs10/rsvg-install.propsin  |  8 +++++---
 build/win32/vs10/rsvg-install.vcxproj  |  8 ++++----
 build/win32/vs9/rsvg-install.vcproj    |  8 ++++----
 build/win32/vs9/rsvg-install.vspropsin | 26 ++++++++++++++------------
 4 files changed, 27 insertions(+), 23 deletions(-)

commit 42a58e9cc3f7fff2b039b323a7e9a38587518033
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Dec 17 15:50:00 2015 +0800

    MSVC builds: Add support for introspection via NMake
    
    This adds a set of NMake Makefiles that is used to build the introspection
    files for librsvg, along with additions to the autotools file that uses the
    common autotools module to generate another NMake Makefile module that would
    contain the full command lines to g-ir-scanner and g-ir-compiler, which would
    be called by these NMake Makefiles.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=765245

 Makefile.am                             | 21 ++++++++
 build/win32/Makefile.am                 | 29 ++++++++++
 build/win32/detectenv-msvc.mak          | 76 ++++++++++++++++++++++++++
 build/win32/introspection-msvc.mak      | 94 +++++++++++++++++++++++++++++++++
 build/win32/rsvg-introspection-msvc.mak | 35 ++++++++++++
 5 files changed, 255 insertions(+)

commit 09d742735dc1f62798776ce251b3861e31d77c55
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Dec 17 15:42:14 2015 +0800

    build: Add common autotools module for introspection under MSVC
    
    This adds a common autotools module that is used to generate the
    full command line for generating the .gir files for librsvg and
    under Visual Studio's NMake, as well as the file lists of files that
    are to be passed into the introspection scanner.  This is exactly the
    same file (as listed in the file's comment block) found under the
    same name in $(gi_src_root)/build, so updates for this comes
    from there.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=765245

 build/Makefile.msvc-introspection | 125 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 125 insertions(+)

commit aec5f5c34a233cae4d21284f55c2af2e4ddb0b3b
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Tue Apr 12 16:52:51 2016 -0500

    bgo#764808 - start off with state->current_color = black
    
    When SVG comes in with e.g. fill="currentColor", it means that the content is likely
    being embedded into other content, and expects the CSS to cascade appropriately.  For
    example, if there is an SVG for an equation and it gets inserted into an HTML paragraph
    of text, then the equation should have the same color as the text.
    
    However, librsvg doesn't allow passing in a current-state-of-CSS; it always starts
    off fresh.  So, here we make it start with the current_color being opaque black,
    instead of transparent (all-bits-zero due to initialization).
    
    This will at least make things visible.  Later we can explore inheriting the cairo_t's
    current colors.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=764808

 rsvg-styles.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 153bcc92746300f5676bc0f32a7dcc1de65b654f
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Tue Apr 12 16:25:18 2016 -0500

    s/colour/color - sorry, but this was all inconsistent

 rsvg-base.c         |   2 +-
 rsvg-cairo-draw.c   |  14 +++----
 rsvg-filter.c       | 118 ++++++++++++++++++++++++++--------------------------
 rsvg-filter.h       |   2 +-
 rsvg-paint-server.c |  16 +++----
 rsvg-paint-server.h |  10 ++---
 rsvg-private.h      |   2 +-
 tests/styles.c      |   4 +-
 8 files changed, 84 insertions(+), 84 deletions(-)

commit 876bdf55044a585192830891c0b8c67f2c08aa91
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Mon Apr 4 14:40:23 2016 -0500

    rsvg_handle_set_size_callback(): Document example code for how to use Cairo directly
    
    ... instead of using this deprecated function.

 rsvg-base.c | 25 +++++++++++++++++++++++++
 rsvg.h      |  1 +
 2 files changed, 26 insertions(+)

commit 59e839b18dd27c1c986deceb80d61db5ac89bb9a
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Mon Apr 4 13:18:18 2016 -0500

    Update NEWS

 NEWS | 4 ++++
 1 file changed, 4 insertions(+)

commit 7db196eae60cc0dbbe3a262429bfecac3936c5b9
Author: Menner <mik@gmx.org>
Date:   Mon Apr 4 13:15:44 2016 -0500

    bgo#760262: rsvg-convert: Actually scale the image if required
    
    Commit fecfcce44a959daff80a4e0f9ced83d7cdcb5903 removed a call to the deprecated function
    rsvg_handle_set_size_callback(), but this is what actually made the program scale
    the resulting image if required.  Here we use a Cairo transformation matrix instead.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=760262
    
    Based on a patch by Menner <mik@gmx.org>

 rsvg-convert.c | 24 +++++++++++++++++-------
 1 file changed, 17 insertions(+), 7 deletions(-)

commit ed0c56d51a431af5af4ef055e2e8ff5a453c05d0
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Mon Apr 4 13:19:13 2016 -0500

    Post-release version bump to 2.40.16

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0b878072cb3f7d6a3c5b1e5bf05ff43c61ace094
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Fri Apr 1 18:52:28 2016 -0600

    2.40.15 - I'm an idiot and tagged the repo before updating NEWS
    
    Hence this brown-bag tag.

 NEWS         | 13 +++++++++++++
 configure.ac |  2 +-
 2 files changed, 14 insertions(+), 1 deletion(-)

commit f4296d2b385fd7bf5b369a8ba249fb4c0fb87da8
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Wed Mar 30 19:48:56 2016 -0600

    RsvgFilterPrimitive: use a single destructor for most subclasses
    
    Instead of duplicating code to free the superclass all over the place,
    use a single function.
    
    Also, remove a bit of the 'upself' idiom - it's unreadable.

 rsvg-filter.c | 287 +++++++++++++++++++++++-----------------------------------
 1 file changed, 111 insertions(+), 176 deletions(-)

commit 76ad48b8210168869cedb1419b1e49dcf2e064a1
Author: Ron Hopper <ron@boxcast.com>
Date:   Mon Feb 8 15:21:08 2016 -0500

    RsvgFilterPrimitiveComponentTransfer: add destructor; fix memory leak
    
    https://bugzilla.gnome.org/show_bug.cgi?id=761728

 rsvg-filter.c | 14 ++++++++++++--
 1 file changed, 12 insertions(+), 2 deletions(-)

commit 03c5bfcfee7736b1c29255f489053a0bd90ce714
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Wed Feb 10 19:12:30 2016 -0600

    s/propegate/propagate

 gdk-pixbuf-loader/io-svg.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 5dc85eb2a13f92ba3be32669e7f6e9178b1d643c
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Wed Feb 10 19:05:40 2016 -0600

    Bump version to 2.40.14

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fcbb915d8594a246cace478095a9124aa0df60f1
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Wed Feb 10 19:00:37 2016 -0600

    Update the Contributor Covenant to version 1.4

 code_of_conduct.md | 80 +++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 52 insertions(+), 28 deletions(-)

commit 6eabff9d11d9111a9565ae4cdeed841157308737
Author: Javier Jardón <jjardon@gnome.org>
Date:   Mon Feb 8 13:15:25 2016 +0000

    autogen.sh: Replace deprecated gnome-autogen.sh with standard autotools
    
    See https://wiki.gnome.org/Projects/GnomeCommon/Migration

 autogen.sh | 61 +++++++++++++++++++++++++++++--------------------------------
 1 file changed, 29 insertions(+), 32 deletions(-)

commit 7948f3b862a8c43c68de0951927e3a3402a580f9
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Fri Jan 29 19:19:52 2016 -0600

    Add a code of conduct, the Contributor Covenant 1.3.0
    
    http://contributor-covenant.org

 README             |  2 ++
 code_of_conduct.md | 50 ++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

commit d937c691678803ceda6be701587d997ccd03a1da
Author: Benjamin Otte <otte@redhat.com>
Date:   Fri Jan 29 12:49:55 2016 +0100

    Don't crash when filters don't exist
    
    We put a new surface on the stack if a filter existed by name but we
    didn't pop it if the name didn't resolve to a real filter.
    
    New test: crash/bug759084.svg
    
    https://bugzilla.gnome.org/show_bug.cgi?id=759084

 rsvg-cairo-draw.c                  | 6 +++---
 tests/fixtures/crash/bug759084.svg | 9 +++++++++
 2 files changed, 12 insertions(+), 3 deletions(-)

commit 91e50fe393a25eeff7c5e4430d5666362bce0283
Author: Benjamin Otte <otte@redhat.com>
Date:   Thu Dec 10 22:59:30 2015 +0100

    filter: Remove unused variables

 rsvg-filter.c | 30 ------------------------------
 1 file changed, 30 deletions(-)

commit 2ae18d05e654b1130fa7397b316d270be1707450
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Thu Jan 21 18:13:54 2016 +0800

    Visual Studio builds: Fix pre-Visual Studio 2012 builds
    
    A recent commit made use of the C99 function isnan(), which is not
    supported directly in pre-2013 Visual Studio.  Earlier Visual Studio
    however does provide _isnan() which does what we will need, so add a
    fallback math.h in build/win32/vs9 that defines isnan() and includes the
    stock math.h, and make the projects include this math.h.
    
    This header is copied to the build/win32/vs[10|11] during 'make dist', as
    Visual Studio 2010 and 2012 will need this as well.

 build/win32/vs10/Makefile.am               |  6 ++++-
 build/win32/vs10/rsvg-build-defines.props  |  2 +-
 build/win32/vs11/Makefile.am               |  6 ++++-
 build/win32/vs9/Makefile.am                |  1 +
 build/win32/vs9/math.h                     | 39 ++++++++++++++++++++++++++++++
 build/win32/vs9/rsvg-build-defines.vsprops |  2 +-
 6 files changed, 52 insertions(+), 4 deletions(-)

commit a12e7b90e7b9fa6a6a325f39fb409722b06a6735
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Jan 7 19:37:34 2016 -0600

    Update NEWS

 NEWS | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 954e40e52363fe5bcfbb7e9c28dfcc05aa1affa3
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Jan 7 19:27:22 2016 -0600

    Regenerate reference images which were failing; they are OK now

 tests/fixtures/reftests/bugs/340047-ref.png | Bin 4855 -> 4706 bytes
 tests/fixtures/reftests/bugs/749415-ref.png | Bin 22441 -> 19572 bytes
 2 files changed, 0 insertions(+), 0 deletions(-)

commit 63371906c63d74bfb1f1ca6b10237d3b563bb55a
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Jan 7 19:15:38 2016 -0600

    bgo#760180: handle the viewBox of markers correctly
    
    One of the SVG test suite's images has a marker with a viewBox that doesn't actually start at (0, 0).
    This was rendered incorrectly.
    
    I'm not sure why this specific use of rsvg_preserve_aspect_ratio() is not the same as the others
    in librsvg, but it certainly produced incorrect results.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=760180

 rsvg-marker.c                               |  13 +--
 tests/fixtures/reftests/bugs/760180-ref.png | Bin 0 -> 8120 bytes
 tests/fixtures/reftests/bugs/760180.svg     | 159 ++++++++++++++++++++++++++++
 3 files changed, 161 insertions(+), 11 deletions(-)

commit 0e2c78cb95a72e7378638a6bb6b647e5c7a7c8c1
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Jan 7 17:24:42 2016 -0600

    rsvg-marker: Use the correct default marker size as specified in the spec
    
    The spec uses 3 as the default markerWidth and markerHeight:
    http://www.w3.org/TR/SVG/painting.html#MarkerWidthAttribute

 rsvg-marker.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 92b16618981031f4599d429192ad0b99337a680d
Author: Paolo Borelli <pborelli@gnome.org>
Date:   Thu Jan 7 23:56:56 2016 +0100

    MSVC builds: Fix install with CopyDir != GlibEtcInstallRoot
    
    We should create CopyDir since that is where we copy the files

 build/win32/vs10/rsvg-install.propsin  | 4 ++--
 build/win32/vs9/rsvg-install.vspropsin | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit bb0a86f9daa7a8504d6c52a08e9b604b9af80f25
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Wed Jan 6 14:34:32 2016 -0600

    Update NEWS

 NEWS | 4 ++++
 1 file changed, 4 insertions(+)

commit cb7fd6b635a519e968ea67ec529651fe774abe26
Author: Menner <mik@gmx.org>
Date:   Sat Jan 2 09:35:52 2016 +0100

    bgo#749415: Don't duplicate logic for deciding when to push discrete layers
    
    rsvg_cairo_render_path() tried to avoid calling
    rsvg_cairo_push/pop_discrete_layer(), but the logic to decide whether
    to actually create an intermediate surface is best left in those
    functions.  With the duplicate/incorrect logic, text had incorrect
    spacing as a result.
    
    Also, remove an extra-old comment from when those functions were first
    implemented.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=749415

 rsvg-cairo-draw.c                           |  23 +++--------------
 tests/fixtures/reftests/bugs/749415-ref.png | Bin 0 -> 22441 bytes
 tests/fixtures/reftests/bugs/749415.svg     |  38 ++++++++++++++++++++++++++++
 3 files changed, 42 insertions(+), 19 deletions(-)

commit 41345523c756297b0b88dbcfeedc38e5f5c86c18
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Tue Jan 5 19:40:39 2016 -0600

    Update NEWS

 NEWS | 7 +++++++
 1 file changed, 7 insertions(+)

commit 5dc9e603227296766ee05b9fab6812b5e6b4d535
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Tue Jan 5 19:40:32 2016 -0600

    Remove leftover from the unsupported a:adobe-blending-mode

 rsvg-styles.c | 1 -
 1 file changed, 1 deletion(-)

commit e804fb1adcf564ce4bae661cc595a8d4df55efd3
Author: Menner <mik@gmx.org>
Date:   Sat Jan 2 09:42:53 2016 +0100

    bgo#340047 - Add support for the "baseline-shift" text attribute
    
    This commit adds support for the baseline-shift attribute for tags
    "sub/super/baseline".  We don't support percentages of the font size
    or explicit lengths yet.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=340047

 rsvg-css.c                                  |  24 +++++++++++++++-
 rsvg-private.h                              |   2 ++
 rsvg-styles.c                               |  21 ++++++++++++++
 rsvg-styles.h                               |   2 ++
 rsvg-text.c                                 |  16 +++++++----
 tests/fixtures/reftests/bugs/340047-ref.png | Bin 0 -> 4855 bytes
 tests/fixtures/reftests/bugs/340047.svg     |  43 ++++++++++++++++++++++++++++
 7 files changed, 101 insertions(+), 7 deletions(-)

commit 1fc06fe6def169920f4032e348040c38be320fb1
Author: Menner <mik@gmx.org>
Date:   Tue Jan 5 13:50:17 2016 -0600

    rsvg-marker: Don't try to render NULL markers
    
    https://bugzilla.gnome.org/show_bug.cgi?id=685906#c7

 rsvg-marker.c | 3 +++
 1 file changed, 3 insertions(+)

commit b945b6f5dbee693ac82d1b94f8f5a0ec37d00ee5
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Dec 15 14:00:44 2015 +0800

    MSVC 2008 builds: include gio-win32-2.0 in the include paths
    
    This is a follow-up commit for commit 7ebe28c for Visual Studio 2008
    builds, for the same reason as that commit.

 build/win32/vs9/rsvg-build-defines.vsprops | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 00744676387ce7914bff33f43ce5f04960219925
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Tue Dec 15 13:55:49 2015 +0800

    MSVC builds: Fix pixbuf loaders cache generation
    
    Use $(GlibEtcInstallRoot)\bin\gdk-pixbuf-query-loaders instead of
    $(CopyDir)\bin\gdk-pixbuf-query-loaders to fix the "installation" when
    CopyDir != GlibEtcInstallRoot.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=759438

 build/win32/vs10/rsvg-install.propsin  | 2 +-
 build/win32/vs9/rsvg-install.vspropsin | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 7ebe28c3be9ba8227cebd407511dcec92d34c39e
Author: Paolo Borelli <pborelli@gnome.org>
Date:   Sat Dec 12 17:33:46 2015 +0100

    win32: add gio-win32-2.0 to the include paths
    
    rsvg-convert uses the win32 gio streams

 build/win32/vs10/rsvg-build-defines.props | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3ef996ce17903642187326e20fc5dea48a3c6206
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Mon Dec 7 20:15:30 2015 -0600

    test/bugs: add reference image for #685906

 tests/bugs/685906-ref.png | Bin 0 -> 2955 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

commit 0cfdd27ecb5023b65865d6458d9a810f48f08eb2
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Mon Dec 7 20:11:43 2015 -0600

    bgo#685906 - Marker angles are wrong when control points of a curve are coincident
    
    This is a rewrite of the code to draw markers at path vertices.  The previous code did a single pass
    over the cairo_path_t data, and it tried to figure out the appropriate marker type for each vertex
    (start marker, middle, or end).  However, it had trouble with coincident points in curveto
    commands, and with zero-length path segments.  The SVG spec is verbose but clear on the behavior
    for those cases.
    
    The code now does two passes:
    
    1. Take the cairo_path_t data, which is an array of moveto/lineto/curveto/closepath commands, and
    turn it into a sequence of segments.  Each segment either has four control points, *or* it has
    a single point and the segment is degenerate.
    
    2. Walk that list of segments, and draw the appropriate markers for them.
    
    Having the list of segments makes it easy to implement the algorithm from the SVG spec,
    in which the directionality of special vertices (like those at the ends of zero-length segments)
    needs to be determined.
    
    This code is careful to not do division by zero or to get NaNs in the middle of the computation,
    which would get Cairo into an error state, preventing further drawing of markers within
    the path.
    
    Fixes https://bugzilla.gnome.org/show_bug.cgi?id=685906

 rsvg-marker.c | 524 ++++++++++++++++++++++++++++++++++++++++++++++------------
 1 file changed, 414 insertions(+), 110 deletions(-)

commit 7621ae4f61901c349af7cfe5ae3790b417227bf6
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Tue Dec 1 18:58:15 2015 -0600

    Tests: add bug test for #685906

 tests/bugs/685906.svg | 313 ++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 313 insertions(+)

commit 3c58d0816d1ebacdd840ba5c60c3cbdfe2eb87c0
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Tue Dec 1 19:18:19 2015 -0600

    Post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 513c51f88ed66e7d76718039998658e8b68ba92c
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Tue Dec 1 19:13:09 2015 -0600

    Update NEWS

 NEWS | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 9fc9d3829ba6b0a6e9f49ddc475538c9ffdf0266
Author: Benjamin Otte <otte@redhat.com>
Date:   Fri Nov 6 18:46:08 2015 +0100

    tools: Remove test-memory binary
    
    g_mem_set_vtable() is no longer supported, so this tool does nothing.

 tools/Makefile.am   |  8 +-------
 tools/test-memory.c | 35 -----------------------------------
 2 files changed, 1 insertion(+), 42 deletions(-)

commit 510940f241324dbcb3e233aade268a307aac1560
Author: Benjamin Otte <otte@redhat.com>
Date:   Fri Nov 6 18:41:01 2015 +0100

    rsvg-convert: Use g_printerr()

 rsvg-convert.c | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit d8ed521cc3e7740a1bf04646dd8074f23e5e630c
Author: Benjamin Otte <otte@redhat.com>
Date:   Fri Nov 6 00:20:41 2015 +0100

    path: Initialize variable

 rsvg-path.c | 2 ++
 1 file changed, 2 insertions(+)

commit 0a8bdb0a5348625ed0ab3d6225c09df97149982a
Author: Benjamin Otte <otte@redhat.com>
Date:   Fri Nov 6 00:09:17 2015 +0100

    path: Use correct comparison
    
    We were doing nothing for i == 2.
    
    Also, the code was written in such a way that this error was hard to
    spot. Why would you start your elseif nesting with the > 2 condition?
    And most of all: Why would you not use a simple else clause?

 rsvg-path.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 5cb7fb4b2dc5561047e26718151a25c841f5e2cd
Author: Benjamin Otte <otte@redhat.com>
Date:   Thu Nov 5 23:01:56 2015 +0100

    Add testcase for recent fix
    
    This adds a testcase for the fix in commit
    1d9e887d42ccd3077a3a867815a5733e91b654bb
    
    https://bugzilla.gnome.org/show_bug.cgi?id=757286

 tests/fixtures/reftests/nonexisting-filter-ref.png | Bin 0 -> 155 bytes
 tests/fixtures/reftests/nonexisting-filter.svg     |   3 +++
 2 files changed, 3 insertions(+)

commit 34dcd26396a75405bd691f54a00d689fb6f755d8
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Tue Nov 3 15:32:59 2015 -0600

    rsvg-path: Add missing case where reflection point was not set
    
    This is from https://bugzilla.gnome.org/show_bug.cgi?id=677068, although I haven't figured
    out why the rightmost/topmost arrow in https://bugzilla.gnome.org/show_bug.cgi?id=685906 doesn't
    render yet.

 rsvg-path.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 1d9e887d42ccd3077a3a867815a5733e91b654bb
Author: Florian Müllner <fmuellner@gnome.org>
Date:   Thu Oct 29 09:33:24 2015 +0100

    Fix crash when trying to release a reference we don't own
    
    Commit 9fc56102ca changed the condition for creating a new surface,
    but did not update the condition for freeing it, resulting in a
    crash when trying to release a reference we don't own.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=757286

 rsvg-cairo-draw.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 238f015fa30d73849e19a6ef41b3c325e615b897
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Oct 27 08:37:41 2015 -0400

    Dist the reference images for reftests

 tests/Makefile.am | 3 +++
 1 file changed, 3 insertions(+)

commit 3f4ca108da2d85a6dc2c617a7cb7ff5787c88799
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Oct 27 08:37:27 2015 -0400

    Dist all the test infrastructure

 Makefile.am | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit d31ba9c8548f9b848332779f505997b6a5fc4412
Author: Benjamin Otte <otte@redhat.com>
Date:   Mon Oct 26 16:57:26 2015 +0100

    tests: Add tests for loading gzip-compressed SVGs

 tests/fixtures/reftests/gzip-compressed-ref.png    | Bin 0 -> 155 bytes
 tests/fixtures/reftests/gzip-compressed.svg        | Bin 0 -> 131 bytes
 tests/fixtures/reftests/include-compressed-ref.png | Bin 0 -> 155 bytes
 tests/fixtures/reftests/include-compressed.svg     |   3 +++
 4 files changed, 3 insertions(+)

commit beb10a3a5b0f584205cf4e7334b93ef192ed9361
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Oct 24 21:45:34 2015 +0200

    Make gzipped SVGs work with new_from_gfile()
    
    Move the code for decoding gzipped streams into load_from_stream() so
    that all streaming code can use it.

 rsvg-base.c | 31 +++++++++++++++++++++++--------
 1 file changed, 23 insertions(+), 8 deletions(-)

commit 45c4257be73961d31e8d21265dede1cd2e550420
Author: Benjamin Otte <otte@redhat.com>
Date:   Thu Oct 22 13:49:33 2015 +0200

    configure: Remove pdiff Makefile
    
    Forgot to remove this one when I removed pdiff

 configure.ac | 1 -
 1 file changed, 1 deletion(-)

commit f241a495939f2503b7a026076f02b9f9b8f529b1
Author: Benjamin Otte <otte@redhat.com>
Date:   Thu Oct 22 12:40:12 2015 +0200

    drawingctx: Remove unused variable

 rsvg-base.c         | 3 ---
 rsvg-cairo-render.c | 1 -
 rsvg-private.h      | 1 -
 3 files changed, 5 deletions(-)

commit b7e9ae8ce57a553add0cbd34ba7863b441178097
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Oct 20 21:54:52 2015 -0400

    Install the tests
    
    Introduce the infrastructure for installed tests from glib, and
    use it for the tests.

 configure.ac       |   2 +
 glib-tap.mk        | 135 +++++++++++
 m4/glibtests.m4    |  28 +++
 tap-driver.sh      | 652 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 tap-test           |   5 +
 tests/Makefile.am  |  42 ++--
 tests/test-utils.c |   7 +-
 7 files changed, 845 insertions(+), 26 deletions(-)

commit 775178c2d7480895ce1b2bb86477a45e48bd22e4
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Oct 20 18:11:46 2015 +0200

    defs: Do the right thing for duplicate ids
    
    When an id (illegally) exists twice in an SVG file, all renderers keep
    the definition that appears first.
    Do the same in rsvg.

 rsvg-defs.c                                  |   3 +++
 tests/fixtures/reftests/duplicate-id-ref.png | Bin 0 -> 155 bytes
 tests/fixtures/reftests/duplicate-id.svg     |   7 +++++++
 3 files changed, 10 insertions(+)

commit 25f271d2e1e5916d0c3f73d20a366873f64fbbc4
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Oct 20 14:30:16 2015 +0200

    tests: Redo rsvg-test to test all svg files
    
    .. instead of requiring an rsvg-test.txt file.
    
    As a side effect, this gets rid of failing tests.

 tests/rsvg-test.c   | 148 +++++++++++++++++++++++++++++-----------------------
 tests/rsvg-test.txt |  13 -----
 2 files changed, 84 insertions(+), 77 deletions(-)

commit 4e726b5e7a76ac57972328f523df52363dee0fea
Author: Benjamin Otte <otte@redhat.com>
Date:   Mon Oct 19 02:18:54 2015 +0200

    tests: Move successful tests
    
    Keep them in a reftests directory.

 tests/Makefile.am                           |   2 +
 tests/fixtures/reftests/bugs/403357-ref.png | Bin 0 -> 1366 bytes
 tests/fixtures/reftests/bugs/403357.svg     |  48 ++++++++++++++++
 tests/fixtures/reftests/bugs/476507-ref.png | Bin 0 -> 6018 bytes
 tests/fixtures/reftests/bugs/476507.svg     |  78 +++++++++++++++++++++++++
 tests/fixtures/reftests/bugs/548494-ref.png | Bin 0 -> 751 bytes
 tests/fixtures/reftests/bugs/548494.svg     |   5 ++
 tests/fixtures/reftests/bugs/563933-ref.png | Bin 0 -> 2526 bytes
 tests/fixtures/reftests/bugs/563933.svg     |  86 ++++++++++++++++++++++++++++
 tests/fixtures/reftests/bugs/738367-ref.png | Bin 0 -> 8748 bytes
 tests/fixtures/reftests/bugs/738367.svg     |   7 +++
 tests/reftests/bugs/403357-ref.png          | Bin 1366 -> 0 bytes
 tests/reftests/bugs/403357.svg              |  48 ----------------
 tests/reftests/bugs/476507-ref.png          | Bin 6018 -> 0 bytes
 tests/reftests/bugs/476507.svg              |  78 -------------------------
 tests/reftests/bugs/548494-ref.png          | Bin 751 -> 0 bytes
 tests/reftests/bugs/548494.svg              |   5 --
 tests/reftests/bugs/563933-ref.png          | Bin 2526 -> 0 bytes
 tests/reftests/bugs/563933.svg              |  86 ----------------------------
 tests/reftests/bugs/738367-ref.png          | Bin 8748 -> 0 bytes
 tests/reftests/bugs/738367.svg              |   7 ---
 tests/rsvg-test.txt                         |  10 ++--
 22 files changed, 231 insertions(+), 229 deletions(-)

commit f4001bcea4e11903cd7ab700e6239e839c5c8f88
Author: Benjamin Otte <otte@redhat.com>
Date:   Mon Oct 19 02:18:54 2015 +0200

    tests: Save test images to /tmp, not into the test dir
    
    This is in preparation for installed tests. It's also for uncluttering
    the test directory.

 tests/rsvg-test.c | 39 +++++++++++++++++++++++++++++++++------
 1 file changed, 33 insertions(+), 6 deletions(-)

commit 97c88aa4c94516babd81ccddabbb5a1c9d9cecc0
Author: Benjamin Otte <otte@redhat.com>
Date:   Mon Oct 19 02:14:07 2015 +0200

    tests: Move passing tests into reftests/ dir

 tests/bugs/403357-ref.png          | Bin 1366 -> 0 bytes
 tests/bugs/403357.svg              |  48 ---------------------
 tests/bugs/476507-ref.png          | Bin 6018 -> 0 bytes
 tests/bugs/476507.svg              |  78 ---------------------------------
 tests/bugs/548494-ref.png          | Bin 751 -> 0 bytes
 tests/bugs/548494.svg              |   5 ---
 tests/bugs/563933-ref.png          | Bin 2526 -> 0 bytes
 tests/bugs/563933.svg              |  86 -------------------------------------
 tests/bugs/738367-ref.png          | Bin 8748 -> 0 bytes
 tests/bugs/738367.svg              |   7 ---
 tests/reftests/bugs/403357-ref.png | Bin 0 -> 1366 bytes
 tests/reftests/bugs/403357.svg     |  48 +++++++++++++++++++++
 tests/reftests/bugs/476507-ref.png | Bin 0 -> 6018 bytes
 tests/reftests/bugs/476507.svg     |  78 +++++++++++++++++++++++++++++++++
 tests/reftests/bugs/548494-ref.png | Bin 0 -> 751 bytes
 tests/reftests/bugs/548494.svg     |   5 +++
 tests/reftests/bugs/563933-ref.png | Bin 0 -> 2526 bytes
 tests/reftests/bugs/563933.svg     |  86 +++++++++++++++++++++++++++++++++++++
 tests/reftests/bugs/738367-ref.png | Bin 0 -> 8748 bytes
 tests/reftests/bugs/738367.svg     |   7 +++
 tests/rsvg-test.c                  |   2 -
 tests/rsvg-test.txt                |  10 ++---
 22 files changed, 229 insertions(+), 231 deletions(-)

commit ff82330685707fcde8406be983b3882501655637
Author: Benjamin Otte <otte@redhat.com>
Date:   Mon Oct 19 01:09:33 2015 +0200

    tests: Update reference images for Cairo changes

 tests/bugs/403357-ref.png | Bin 5914 -> 1366 bytes
 tests/bugs/476507-ref.png | Bin 9606 -> 6018 bytes
 2 files changed, 0 insertions(+), 0 deletions(-)

commit 3926e99d0e1e5dde91e0ea8451540bd5781e1c6b
Author: Benjamin Otte <otte@redhat.com>
Date:   Mon Oct 19 00:10:29 2015 +0200

    tests: Update reference images from inkscape
    
    Update those images where Inkscape and librsvg agree on the rendering.

 tests/bugs/548494-ref.png | Bin 2307 -> 751 bytes
 tests/bugs/563933-ref.png | Bin 38311 -> 2526 bytes
 tests/bugs/738367-ref.png | Bin 4184 -> 8748 bytes
 3 files changed, 0 insertions(+), 0 deletions(-)

commit a22d02041373270ff5ae004854698cc8d5cdcffd
Author: Benjamin Otte <otte@redhat.com>
Date:   Mon Oct 19 00:00:29 2015 +0200

    tests: Don't test samples
    
    This is a destsuite not a demo showing off.

 tests/rsvg-test.txt             |   3 ---
 tests/samples/arrows-ref.png    | Bin 22554 -> 0 bytes
 tests/samples/artwork-ref.png   | Bin 49846 -> 0 bytes
 tests/samples/butterfly-ref.png | Bin 61360 -> 0 bytes
 4 files changed, 3 deletions(-)

commit 79c93aa2006f6491059f66b9ba0eeba05531eeee
Author: Benjamin Otte <otte@redhat.com>
Date:   Sun Oct 18 23:59:27 2015 +0200

    tests: Mark pixels in diff where only the alpha channel differs

 tests/rsvg-test.c | 5 +++++
 1 file changed, 5 insertions(+)

commit ed8d12be5c3018d5fd80b2c0a465abf036151dbd
Author: Benjamin Otte <otte@redhat.com>
Date:   Sun Oct 18 20:51:05 2015 +0200

    tests: Make styles test not fail to setup
    
    Did anybody ever run this test?

 tests/styles.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 0fd2e583c3594a29a7b723e3056034dcaf101dea
Author: Benjamin Otte <otte@redhat.com>
Date:   Sun Oct 18 20:45:21 2015 +0200

    tests: Remove pdiff support
    
    We can generate ref images that are pixel-perfect. There is no need to
    use pdiff, it just slows the testsuite down.

 tests/Makefile.am            |   4 -
 tests/pdiff/CMakeLists.txt   |  55 ------
 tests/pdiff/Makefile.am      |  21 ---
 tests/pdiff/README.txt       |  45 -----
 tests/pdiff/args.c           | 119 -------------
 tests/pdiff/args.h           |  46 -----
 tests/pdiff/gpl.txt          | 340 -------------------------------------
 tests/pdiff/lpyramid.c       | 111 -------------
 tests/pdiff/lpyramid.h       |  32 ----
 tests/pdiff/pdiff.c          | 387 -------------------------------------------
 tests/pdiff/pdiff.h          |  40 -----
 tests/pdiff/perceptualdiff.c | 115 -------------
 tests/rsvg-test.c            |  27 +--
 13 files changed, 2 insertions(+), 1340 deletions(-)

commit 7bf279e0efbeb2ef5ec8343cbf43b452a848fe08
Author: Benjamin Otte <otte@redhat.com>
Date:   Sun Oct 18 20:42:58 2015 +0200

    tests: Don't resize to 480px width
    
    Instead, use the width as specified in the SVG.

 tests/Makefile.am |  4 +---
 tests/rsvg-test.c | 22 ++--------------------
 2 files changed, 3 insertions(+), 23 deletions(-)

commit 4cbeea9ca5b8025d0d974b8b3bbb73e1af5e7a1f
Author: Benjamin Otte <otte@redhat.com>
Date:   Sun Oct 18 17:15:27 2015 +0200

    tests: Don't force tests to white background
    
    We support transparency after all.
    
    This breaks the refference images for tests, but because they're all
    broken anyway I didn't bother regenerating them.

 tests/rsvg-test.c | 2 --
 1 file changed, 2 deletions(-)

commit 75ab7b8fcfac803c78ad4d6ee21a4f3d8a3ce189
Author: Benjamin Otte <otte@redhat.com>
Date:   Sun Oct 18 02:51:33 2015 +0200

    tests: Remove the svg testsuite
    
    Nobody ever took any effort to make it pass.
    Which might be because the testsuite is not made to pass with using
    non-free Microsoft fonts...

 tests/rsvg-test.txt                                |  182 ---
 tests/svg1.1/images/DisplaceChecker.png            |  Bin 2470 -> 0 bytes
 tests/svg1.1/images/SVG-1.1-monolithic-fixed.dtd   | 1622 --------------------
 tests/svg1.1/images/animation-add-BE-09.svg        |  201 ---
 tests/svg1.1/images/animation-extRef-image1.svg    |   18 -
 tests/svg1.1/images/animation-extRef-image2.svg    |   16 -
 tests/svg1.1/images/animation-extRef-image3.svg    |   14 -
 tests/svg1.1/images/bluesquidj.png                 |  Bin 37497 -> 0 bytes
 tests/svg1.1/images/bullet-small.png               |  Bin 973 -> 0 bytes
 tests/svg1.1/images/bullet-white.png               |  Bin 971 -> 0 bytes
 tests/svg1.1/images/bullet.png                     |  Bin 972 -> 0 bytes
 tests/svg1.1/images/bumpMap.png                    |  Bin 1998 -> 0 bytes
 tests/svg1.1/images/bumpMap2.png                   |  Bin 657 -> 0 bytes
 tests/svg1.1/images/changeColor.ICM                |  Bin 740 -> 0 bytes
 tests/svg1.1/images/colorprof.png                  |  Bin 705 -> 0 bytes
 tests/svg1.1/images/convolveImage.png              |  Bin 9281 -> 0 bytes
 tests/svg1.1/images/coords-units-01-f.png          |  Bin 29842 -> 0 bytes
 tests/svg1.1/images/coords-units-01-f.svg          |  193 ---
 .../images/copyright-documents-19990405.html       |   89 --
 tests/svg1.1/images/diagarrow.png                  |  Bin 997 -> 0 bytes
 tests/svg1.1/images/ext-TestComic.svg              |   21 -
 tests/svg1.1/images/fillChangeColor.ICM            |  Bin 740 -> 0 bytes
 tests/svg1.1/images/filters-blend-01-f.svg         |  128 --
 tests/svg1.1/images/filters-color-01-f.svg         |  121 --
 tests/svg1.1/images/filters-composite-01-f.svg     |  188 ---
 tests/svg1.1/images/filters-comptran-01-f.svg      |  132 --
 .../images/filters-conv-01-f.includeimage.png      |  Bin 9281 -> 0 bytes
 tests/svg1.1/images/filters-conv-01-f.svg          |  121 --
 tests/svg1.1/images/filters-diffuse-01-f.svg       |  172 ---
 tests/svg1.1/images/filters-example-01-f.svg       |  120 --
 tests/svg1.1/images/gam030.png                     |  Bin 213 -> 0 bytes
 tests/svg1.1/images/gam030b.png                    |  Bin 1029 -> 0 bytes
 tests/svg1.1/images/gam045.png                     |  Bin 216 -> 0 bytes
 tests/svg1.1/images/gam045b.png                    |  Bin 1059 -> 0 bytes
 tests/svg1.1/images/gam056.png                     |  Bin 216 -> 0 bytes
 tests/svg1.1/images/gam056b.png                    |  Bin 1059 -> 0 bytes
 tests/svg1.1/images/gam100.png                     |  Bin 205 -> 0 bytes
 tests/svg1.1/images/gam100b.png                    |  Bin 1044 -> 0 bytes
 tests/svg1.1/images/gam200.png                     |  Bin 187 -> 0 bytes
 tests/svg1.1/images/gam200b.png                    |  Bin 1019 -> 0 bytes
 tests/svg1.1/images/greentopbutton.jpg             |  Bin 1111 -> 0 bytes
 tests/svg1.1/images/image.png                      |  Bin 1884 -> 0 bytes
 tests/svg1.1/images/image1.jpg                     |  Bin 34183 -> 0 bytes
 tests/svg1.1/images/image1.png                     |  Bin 394416 -> 0 bytes
 tests/svg1.1/images/image1_b.png                   |  Bin 12586 -> 0 bytes
 tests/svg1.1/images/image2_b.jpg                   |  Bin 6643 -> 0 bytes
 tests/svg1.1/images/image2_b.png                   |  Bin 7412 -> 0 bytes
 tests/svg1.1/images/interact-dom-01-f.svg          |  148 --
 tests/svg1.1/images/interact-order-02-b-targ.svg   |   62 -
 tests/svg1.1/images/interact-order-03-b-targ.svg   |   62 -
 tests/svg1.1/images/leftarrow.png                  |  Bin 124 -> 0 bytes
 tests/svg1.1/images/linking-uri-01-b.svg           |   88 --
 tests/svg1.1/images/linking-uri-01-f-1st.png       |  Bin 8183 -> 0 bytes
 tests/svg1.1/images/linking-uri-01-f-2nd.png       |  Bin 34164 -> 0 bytes
 tests/svg1.1/images/linking-uri-01-f-3rd.png       |  Bin 34164 -> 0 bytes
 tests/svg1.1/images/linking-uri-01-f-4th.png       |  Bin 13626 -> 0 bytes
 tests/svg1.1/images/linking-uri-01-f-start.png     |  Bin 34164 -> 0 bytes
 tests/svg1.1/images/linking-uri-03-f-1st.png       |  Bin 28465 -> 0 bytes
 tests/svg1.1/images/linking-uri-03-f-start.png     |  Bin 26549 -> 0 bytes
 tests/svg1.1/images/linkingCircle-f.svg            |   25 -
 tests/svg1.1/images/linkingToc-t.svg               |   63 -
 tests/svg1.1/images/magnify.png                    |  Bin 268 -> 0 bytes
 tests/svg1.1/images/myimage.jpg                    |  Bin 4402 -> 0 bytes
 tests/svg1.1/images/nav_bullet.png                 |  Bin 264 -> 0 bytes
 tests/svg1.1/images/nav_down.png                   |  Bin 252 -> 0 bytes
 tests/svg1.1/images/nav_downleft.png               |  Bin 170 -> 0 bytes
 tests/svg1.1/images/nav_downright.png              |  Bin 169 -> 0 bytes
 tests/svg1.1/images/nav_frame.png                  |  Bin 155 -> 0 bytes
 tests/svg1.1/images/nav_left.png                   |  Bin 166 -> 0 bytes
 tests/svg1.1/images/nav_noframe.png                |  Bin 270 -> 0 bytes
 tests/svg1.1/images/nav_right.png                  |  Bin 168 -> 0 bytes
 tests/svg1.1/images/nav_svg.png                    |  Bin 155 -> 0 bytes
 tests/svg1.1/images/nav_up.png                     |  Bin 173 -> 0 bytes
 tests/svg1.1/images/nav_upleft.png                 |  Bin 172 -> 0 bytes
 tests/svg1.1/images/nav_upright.png                |  Bin 173 -> 0 bytes
 tests/svg1.1/images/old-name-2-new-name1.html      | 1178 --------------
 tests/svg1.1/images/paths-data-01-f.png            |  Bin 36446 -> 0 bytes
 tests/svg1.1/images/paths-data-01-f.svg            |  169 --
 tests/svg1.1/images/paths-data-02-f.png            |  Bin 42041 -> 0 bytes
 tests/svg1.1/images/paths-data-02-f.svg            |  143 --
 tests/svg1.1/images/paths-data-03-f.png            |  Bin 38026 -> 0 bytes
 tests/svg1.1/images/paths-data-03-f.svg            |  137 --
 tests/svg1.1/images/paths-data-04-f.png            |  Bin 30546 -> 0 bytes
 tests/svg1.1/images/paths-data-04-f.svg            |  171 ---
 tests/svg1.1/images/rects.svg                      |   11 -
 tests/svg1.1/images/rects_b.svg                    |    6 -
 tests/svg1.1/images/rightarrow.png                 |  Bin 963 -> 0 bytes
 tests/svg1.1/images/rotate20.png                   |  Bin 1434 -> 0 bytes
 tests/svg1.1/images/shapes-ellipse-01-b.svg        |   59 -
 tests/svg1.1/images/shapes-ellipse-01-f.png        |  Bin 31126 -> 0 bytes
 tests/svg1.1/images/shapes-ellipse-01-f.svg        |  111 --
 tests/svg1.1/images/shapes-rect-01-b.svg           |   60 -
 tests/svg1.1/images/shapes-rect-01-f.png           |  Bin 26453 -> 0 bytes
 tests/svg1.1/images/shapes-rect-01-f.svg           |  113 --
 tests/svg1.1/images/sign.png                       |  Bin 10647 -> 0 bytes
 tests/svg1.1/images/sphere.png                     |  Bin 5923 -> 0 bytes
 tests/svg1.1/images/struct-frag-01-B.svg           |   55 -
 tests/svg1.1/images/struct-image-01.jpg            |  Bin 4751 -> 0 bytes
 tests/svg1.1/images/struct-image-01.png            |  Bin 63238 -> 0 bytes
 tests/svg1.1/images/struct-image-02.jpg            |  Bin 3779 -> 0 bytes
 tests/svg1.1/images/struct-image-02.png            |  Bin 35887 -> 0 bytes
 tests/svg1.1/images/struct-symbol-01.png           |  Bin 71497 -> 0 bytes
 tests/svg1.1/images/text-align-01-f.svg            |   95 --
 tests/svg1.1/images/text-align-02-f.svg            |  146 --
 tests/svg1.1/images/text-align-03-f.svg            |   96 --
 tests/svg1.1/images/text-altglyph-01-f.svg         |  202 ---
 tests/svg1.1/images/text-extTref-BE-18-targ.svg    |   58 -
 tests/svg1.1/images/text-intro-01-f.svg            |  106 --
 tests/svg1.1/images/text-tref-01-f.svg             |  160 --
 tests/svg1.1/images/text-ws-01-f.svg               |  130 --
 tests/svg1.1/images/toc-sv.svg                     |  114 --
 tests/svg1.1/images/toc-svcmp.svg                  |  114 --
 tests/svg1.1/images/uparrow.png                    |  Bin 1232 -> 0 bytes
 tests/svg1.1/svg/animate-elem-02-t.svg             |   93 --
 tests/svg1.1/svg/animate-elem-03-t.svg             |   88 --
 tests/svg1.1/svg/animate-elem-04-t.svg             |   53 -
 tests/svg1.1/svg/animate-elem-05-t.svg             |   55 -
 tests/svg1.1/svg/animate-elem-06-t.svg             |   54 -
 tests/svg1.1/svg/animate-elem-07-t.svg             |   56 -
 tests/svg1.1/svg/animate-elem-08-t.svg             |   71 -
 tests/svg1.1/svg/animate-elem-09-t.svg             |   97 --
 tests/svg1.1/svg/animate-elem-10-t.svg             |   94 --
 tests/svg1.1/svg/animate-elem-11-t.svg             |   93 --
 tests/svg1.1/svg/animate-elem-12-t.svg             |   93 --
 tests/svg1.1/svg/animate-elem-13-t.svg             |   94 --
 tests/svg1.1/svg/animate-elem-14-t.svg             |   76 -
 tests/svg1.1/svg/animate-elem-15-t.svg             |   77 -
 tests/svg1.1/svg/animate-elem-16-t.svg             |   77 -
 tests/svg1.1/svg/animate-elem-17-t.svg             |   77 -
 tests/svg1.1/svg/animate-elem-18-t.svg             |   76 -
 tests/svg1.1/svg/animate-elem-19-t.svg             |   77 -
 tests/svg1.1/svg/animate-elem-20-t.svg             |   75 -
 tests/svg1.1/svg/animate-elem-21-t.svg             |   87 --
 tests/svg1.1/svg/animate-elem-22-b.svg             |   80 -
 tests/svg1.1/svg/animate-elem-23-t.svg             |   87 --
 tests/svg1.1/svg/animate-elem-24-t.svg             |  105 --
 tests/svg1.1/svg/animate-elem-25-t.svg             |   59 -
 tests/svg1.1/svg/animate-elem-26-t.svg             |   59 -
 tests/svg1.1/svg/animate-elem-27-t.svg             |   77 -
 tests/svg1.1/svg/animate-elem-28-t.svg             |   53 -
 tests/svg1.1/svg/animate-elem-29-b.svg             |   98 --
 tests/svg1.1/svg/color-prof-01-f.svg               |   66 -
 tests/svg1.1/svg/color-prop-01-b-ref.png           |  Bin 16438 -> 0 bytes
 tests/svg1.1/svg/color-prop-01-b.svg               |   64 -
 tests/svg1.1/svg/color-prop-02-f-ref.png           |  Bin 22794 -> 0 bytes
 tests/svg1.1/svg/color-prop-02-f.svg               |   98 --
 tests/svg1.1/svg/color-prop-03-t-ref.png           |  Bin 15547 -> 0 bytes
 tests/svg1.1/svg/color-prop-03-t.svg               |  101 --
 tests/svg1.1/svg/coords-trans-01-b-ref.png         |  Bin 13599 -> 0 bytes
 tests/svg1.1/svg/coords-trans-01-b.svg             |  240 ---
 tests/svg1.1/svg/coords-trans-02-t-ref.png         |  Bin 11363 -> 0 bytes
 tests/svg1.1/svg/coords-trans-02-t.svg             |  178 ---
 tests/svg1.1/svg/coords-trans-03-t-ref.png         |  Bin 10664 -> 0 bytes
 tests/svg1.1/svg/coords-trans-03-t.svg             |  100 --
 tests/svg1.1/svg/coords-trans-04-t-ref.png         |  Bin 9697 -> 0 bytes
 tests/svg1.1/svg/coords-trans-04-t.svg             |   69 -
 tests/svg1.1/svg/coords-trans-05-t-ref.png         |  Bin 11056 -> 0 bytes
 tests/svg1.1/svg/coords-trans-05-t.svg             |   89 --
 tests/svg1.1/svg/coords-trans-06-t-ref.png         |  Bin 11372 -> 0 bytes
 tests/svg1.1/svg/coords-trans-06-t.svg             |   83 -
 tests/svg1.1/svg/coords-units-01-b-ref.png         |  Bin 20764 -> 0 bytes
 tests/svg1.1/svg/coords-units-01-b.svg             |  182 ---
 tests/svg1.1/svg/coords-units-02-b-ref.png         |  Bin 18759 -> 0 bytes
 tests/svg1.1/svg/coords-units-02-b.svg             |  145 --
 tests/svg1.1/svg/coords-units-03-b-ref.png         |  Bin 19573 -> 0 bytes
 tests/svg1.1/svg/coords-units-03-b.svg             |  163 --
 tests/svg1.1/svg/coords-viewattr-01-b-ref.png      |  Bin 17521 -> 0 bytes
 tests/svg1.1/svg/coords-viewattr-01-b.svg          |  123 --
 tests/svg1.1/svg/coords-viewattr-02-b-ref.png      |  Bin 37699 -> 0 bytes
 tests/svg1.1/svg/coords-viewattr-02-b.svg          |  699 ---------
 tests/svg1.1/svg/extend-namespace-01-f.svg         |  167 --
 tests/svg1.1/svg/filters-blend-01-b.svg            |  106 --
 tests/svg1.1/svg/filters-color-01-b.svg            |   92 --
 tests/svg1.1/svg/filters-composite-02-b.svg        |  200 ---
 tests/svg1.1/svg/filters-comptran-01-b.svg         |  106 --
 tests/svg1.1/svg/filters-conv-01-f-ref.png         |  Bin 53213 -> 0 bytes
 tests/svg1.1/svg/filters-conv-01-f.svg             |  109 --
 tests/svg1.1/svg/filters-diffuse-01-f-ref.png      |  Bin 19475 -> 0 bytes
 tests/svg1.1/svg/filters-diffuse-01-f.svg          |  161 --
 tests/svg1.1/svg/filters-displace-01-f-ref.png     |  Bin 56940 -> 0 bytes
 tests/svg1.1/svg/filters-displace-01-f.svg         |  150 --
 tests/svg1.1/svg/filters-example-01-b-ref.png      |  Bin 25223 -> 0 bytes
 tests/svg1.1/svg/filters-example-01-b.svg          |   81 -
 tests/svg1.1/svg/filters-gauss-01-b.svg            |  101 --
 tests/svg1.1/svg/filters-image-01-b-ref.png        |  Bin 96829 -> 0 bytes
 tests/svg1.1/svg/filters-image-01-b.svg            |   47 -
 tests/svg1.1/svg/filters-light-01-f-ref.png        |  Bin 29388 -> 0 bytes
 tests/svg1.1/svg/filters-light-01-f.svg            |  173 ---
 tests/svg1.1/svg/filters-morph-01-f-ref.png        |  Bin 35690 -> 0 bytes
 tests/svg1.1/svg/filters-morph-01-f.svg            |   87 --
 tests/svg1.1/svg/filters-offset-01-b-ref.png       |  Bin 13735 -> 0 bytes
 tests/svg1.1/svg/filters-offset-01-b.svg           |  121 --
 tests/svg1.1/svg/filters-specular-01-f-ref.png     |  Bin 26258 -> 0 bytes
 tests/svg1.1/svg/filters-specular-01-f.svg         |  178 ---
 tests/svg1.1/svg/filters-tile-01-b-ref.png         |  Bin 8683 -> 0 bytes
 tests/svg1.1/svg/filters-tile-01-b.svg             |   63 -
 tests/svg1.1/svg/filters-turb-01-f-ref.png         |  Bin 118005 -> 0 bytes
 tests/svg1.1/svg/filters-turb-01-f.svg             |   86 --
 tests/svg1.1/svg/fonts-elem-01-t.svg               |  103 --
 tests/svg1.1/svg/fonts-elem-02-t.svg               |  107 --
 tests/svg1.1/svg/fonts-elem-03-b.svg               |   98 --
 tests/svg1.1/svg/fonts-elem-04-b.svg               |   98 --
 tests/svg1.1/svg/interact-cursor-01-f.svg          |  136 --
 tests/svg1.1/svg/interact-dom-01-b.svg             |  122 --
 tests/svg1.1/svg/interact-events-01-b.svg          |  103 --
 tests/svg1.1/svg/interact-order-01-b.svg           |   83 -
 tests/svg1.1/svg/interact-order-02-b.svg           |   81 -
 tests/svg1.1/svg/interact-order-03-b.svg           |   81 -
 tests/svg1.1/svg/interact-zoom-01-t.svg            |   71 -
 tests/svg1.1/svg/linking-a-01-b.svg                |   58 -
 tests/svg1.1/svg/linking-a-02-b.svg                |   59 -
 tests/svg1.1/svg/linking-a-03-b.svg                |   60 -
 tests/svg1.1/svg/linking-a-04-t.svg                |  124 --
 tests/svg1.1/svg/linking-uri-01-b.svg              |  165 --
 tests/svg1.1/svg/linking-uri-02-b.svg              |  175 ---
 tests/svg1.1/svg/linking-uri-03-t.svg              |   74 -
 tests/svg1.1/svg/masking-mask-01-b.svg             |  110 --
 tests/svg1.1/svg/masking-opacity-01-b-ref.png      |  Bin 43108 -> 0 bytes
 tests/svg1.1/svg/masking-opacity-01-b.svg          |  112 --
 tests/svg1.1/svg/masking-path-01-b-ref.png         |  Bin 16028 -> 0 bytes
 tests/svg1.1/svg/masking-path-01-b.svg             |   85 -
 tests/svg1.1/svg/masking-path-02-b-ref.png         |  Bin 17408 -> 0 bytes
 tests/svg1.1/svg/masking-path-02-b.svg             |   79 -
 tests/svg1.1/svg/masking-path-03-b-ref.png         |  Bin 25428 -> 0 bytes
 tests/svg1.1/svg/masking-path-03-b.svg             |  110 --
 tests/svg1.1/svg/masking-path-04-b.svg             |   79 -
 tests/svg1.1/svg/masking-path-05-f-ref.png         |  Bin 10054 -> 0 bytes
 tests/svg1.1/svg/masking-path-05-f.svg             |   59 -
 tests/svg1.1/svg/metadata-example-01-b-ref.png     |  Bin 45527 -> 0 bytes
 tests/svg1.1/svg/metadata-example-01-b.svg         |  174 ---
 tests/svg1.1/svg/painting-fill-01-t-ref.png        |  Bin 13458 -> 0 bytes
 tests/svg1.1/svg/painting-fill-01-t.svg            |   80 -
 tests/svg1.1/svg/painting-fill-02-t-ref.png        |  Bin 17101 -> 0 bytes
 tests/svg1.1/svg/painting-fill-02-t.svg            |   80 -
 tests/svg1.1/svg/painting-fill-03-t-ref.png        |  Bin 16998 -> 0 bytes
 tests/svg1.1/svg/painting-fill-03-t.svg            |   77 -
 tests/svg1.1/svg/painting-fill-04-t-ref.png        |  Bin 6954 -> 0 bytes
 tests/svg1.1/svg/painting-fill-04-t.svg            |   57 -
 tests/svg1.1/svg/painting-marker-01-f-ref.png      |  Bin 12320 -> 0 bytes
 tests/svg1.1/svg/painting-marker-01-f.svg          |  145 --
 tests/svg1.1/svg/painting-marker-02-f-ref.png      |  Bin 12398 -> 0 bytes
 tests/svg1.1/svg/painting-marker-02-f.svg          |  237 ---
 tests/svg1.1/svg/painting-render-01-b.svg          |  154 --
 tests/svg1.1/svg/painting-stroke-01-t-ref.png      |  Bin 17386 -> 0 bytes
 tests/svg1.1/svg/painting-stroke-01-t.svg          |   55 -
 tests/svg1.1/svg/painting-stroke-02-t-ref.png      |  Bin 20922 -> 0 bytes
 tests/svg1.1/svg/painting-stroke-02-t.svg          |   56 -
 tests/svg1.1/svg/painting-stroke-03-t-ref.png      |  Bin 20776 -> 0 bytes
 tests/svg1.1/svg/painting-stroke-03-t.svg          |   57 -
 tests/svg1.1/svg/painting-stroke-04-t-ref.png      |  Bin 19508 -> 0 bytes
 tests/svg1.1/svg/painting-stroke-04-t.svg          |   71 -
 tests/svg1.1/svg/paths-data-01-t-ref.png           |  Bin 34183 -> 0 bytes
 tests/svg1.1/svg/paths-data-01-t.svg               |  158 --
 tests/svg1.1/svg/paths-data-02-t-ref.png           |  Bin 38229 -> 0 bytes
 tests/svg1.1/svg/paths-data-02-t.svg               |  132 --
 tests/svg1.1/svg/paths-data-03-f.svg               |  105 --
 tests/svg1.1/svg/paths-data-04-t-ref.png           |  Bin 24255 -> 0 bytes
 tests/svg1.1/svg/paths-data-04-t.svg               |   92 --
 tests/svg1.1/svg/paths-data-05-t-ref.png           |  Bin 23251 -> 0 bytes
 tests/svg1.1/svg/paths-data-05-t.svg               |   89 --
 tests/svg1.1/svg/paths-data-06-t-ref.png           |  Bin 9972 -> 0 bytes
 tests/svg1.1/svg/paths-data-06-t.svg               |   72 -
 tests/svg1.1/svg/paths-data-07-t-ref.png           |  Bin 9450 -> 0 bytes
 tests/svg1.1/svg/paths-data-07-t.svg               |   72 -
 tests/svg1.1/svg/pservers-grad-01-b-ref.png        |  Bin 13537 -> 0 bytes
 tests/svg1.1/svg/pservers-grad-01-b.svg            |   59 -
 tests/svg1.1/svg/pservers-grad-02-b-ref.png        |  Bin 26362 -> 0 bytes
 tests/svg1.1/svg/pservers-grad-02-b.svg            |   77 -
 tests/svg1.1/svg/pservers-grad-03-b-ref.png        |  Bin 13644 -> 0 bytes
 tests/svg1.1/svg/pservers-grad-03-b.svg            |   63 -
 tests/svg1.1/svg/pservers-grad-04-b-ref.png        |  Bin 27081 -> 0 bytes
 tests/svg1.1/svg/pservers-grad-04-b.svg            |   77 -
 tests/svg1.1/svg/pservers-grad-05-b-ref.png        |  Bin 51946 -> 0 bytes
 tests/svg1.1/svg/pservers-grad-05-b.svg            |  104 --
 tests/svg1.1/svg/pservers-grad-06-b-ref.png        |  Bin 28441 -> 0 bytes
 tests/svg1.1/svg/pservers-grad-06-b.svg            |  104 --
 tests/svg1.1/svg/pservers-grad-07-b-ref.png        |  Bin 14677 -> 0 bytes
 tests/svg1.1/svg/pservers-grad-07-b.svg            |   74 -
 tests/svg1.1/svg/pservers-grad-08-b.svg            |  102 --
 tests/svg1.1/svg/pservers-grad-09-b-ref.png        |  Bin 18813 -> 0 bytes
 tests/svg1.1/svg/pservers-grad-09-b.svg            |  117 --
 tests/svg1.1/svg/pservers-grad-10-b.svg            |   90 --
 tests/svg1.1/svg/pservers-grad-11-b.svg            |  100 --
 tests/svg1.1/svg/pservers-grad-12-b-ref.png        |  Bin 24820 -> 0 bytes
 tests/svg1.1/svg/pservers-grad-12-b.svg            |  110 --
 tests/svg1.1/svg/pservers-pattern-01-b-ref.png     |  Bin 23830 -> 0 bytes
 tests/svg1.1/svg/pservers-pattern-01-b.svg         |  114 --
 tests/svg1.1/svg/render-elems-01-t-ref.png         |  Bin 10475 -> 0 bytes
 tests/svg1.1/svg/render-elems-01-t.svg             |   54 -
 tests/svg1.1/svg/render-elems-02-t-ref.png         |  Bin 11793 -> 0 bytes
 tests/svg1.1/svg/render-elems-02-t.svg             |   75 -
 tests/svg1.1/svg/render-elems-03-t-ref.png         |  Bin 11985 -> 0 bytes
 tests/svg1.1/svg/render-elems-03-t.svg             |   57 -
 tests/svg1.1/svg/render-elems-06-t.svg             |   75 -
 tests/svg1.1/svg/render-elems-07-t.svg             |   76 -
 tests/svg1.1/svg/render-elems-08-t.svg             |   78 -
 tests/svg1.1/svg/render-groups-01-b.svg            |   93 --
 tests/svg1.1/svg/render-groups-03-t.svg            |  117 --
 tests/svg1.1/svg/script-handle-01-b.svg            |   83 -
 tests/svg1.1/svg/script-handle-02-b.svg            |  108 --
 tests/svg1.1/svg/script-handle-03-b.svg            |  108 --
 tests/svg1.1/svg/script-handle-04-b.svg            |  108 --
 tests/svg1.1/svg/shapes-circle-01-t-ref.png        |  Bin 19709 -> 0 bytes
 tests/svg1.1/svg/shapes-circle-01-t.svg            |   56 -
 tests/svg1.1/svg/shapes-ellipse-01-t-ref.png       |  Bin 22199 -> 0 bytes
 tests/svg1.1/svg/shapes-ellipse-01-t.svg           |   72 -
 tests/svg1.1/svg/shapes-line-01-t-ref.png          |  Bin 14774 -> 0 bytes
 tests/svg1.1/svg/shapes-line-01-t.svg              |   80 -
 tests/svg1.1/svg/shapes-polygon-01-t-ref.png       |  Bin 18287 -> 0 bytes
 tests/svg1.1/svg/shapes-polygon-01-t.svg           |   73 -
 tests/svg1.1/svg/shapes-polyline-01-t-ref.png      |  Bin 17934 -> 0 bytes
 tests/svg1.1/svg/shapes-polyline-01-t.svg          |   84 -
 tests/svg1.1/svg/shapes-rect-01-t-ref.png          |  Bin 13088 -> 0 bytes
 tests/svg1.1/svg/shapes-rect-01-t.svg              |   72 -
 tests/svg1.1/svg/struct-cond-01-t-ref.png          |  Bin 6820 -> 0 bytes
 tests/svg1.1/svg/struct-cond-01-t.svg              |   75 -
 tests/svg1.1/svg/struct-cond-02-t.svg              |  574 -------
 tests/svg1.1/svg/struct-defs-01-t-ref.png          |  Bin 6806 -> 0 bytes
 tests/svg1.1/svg/struct-defs-01-t.svg              |   85 -
 tests/svg1.1/svg/struct-dom-01-b.svg               |  154 --
 tests/svg1.1/svg/struct-dom-02-b.svg               |  104 --
 tests/svg1.1/svg/struct-dom-03-b.svg               |  102 --
 tests/svg1.1/svg/struct-dom-04-b.svg               |  121 --
 tests/svg1.1/svg/struct-dom-05-b.svg               |  119 --
 tests/svg1.1/svg/struct-dom-06-b.svg               |   89 --
 tests/svg1.1/svg/struct-frag-01-t.svg              |   40 -
 tests/svg1.1/svg/struct-group-01-t-ref.png         |  Bin 8386 -> 0 bytes
 tests/svg1.1/svg/struct-group-01-t.svg             |   71 -
 tests/svg1.1/svg/struct-group-02-b-ref.png         |  Bin 6617 -> 0 bytes
 tests/svg1.1/svg/struct-group-02-b.svg             |   67 -
 tests/svg1.1/svg/struct-image-01-t-ref.png         |  Bin 116585 -> 0 bytes
 tests/svg1.1/svg/struct-image-01-t.svg             |   65 -
 tests/svg1.1/svg/struct-image-02-b.svg             |  108 --
 tests/svg1.1/svg/struct-image-03-t.svg             |   54 -
 tests/svg1.1/svg/struct-image-04-t-ref.png         |  Bin 82653 -> 0 bytes
 tests/svg1.1/svg/struct-image-04-t.svg             |  126 --
 tests/svg1.1/svg/struct-image-05-b-ref.png         |  Bin 6216 -> 0 bytes
 tests/svg1.1/svg/struct-image-05-b.svg             |   51 -
 tests/svg1.1/svg/struct-symbol-01-b-ref.png        |  Bin 55504 -> 0 bytes
 tests/svg1.1/svg/struct-symbol-01-b.svg            |   95 --
 tests/svg1.1/svg/styling-css-01-b-ref.png          |  Bin 18495 -> 0 bytes
 tests/svg1.1/svg/styling-css-01-b.svg              |   91 --
 tests/svg1.1/svg/styling-css-02-b.svg              |   89 --
 tests/svg1.1/svg/styling-css-03-b.svg              |  109 --
 tests/svg1.1/svg/styling-inherit-01-b-ref.png      |  Bin 29866 -> 0 bytes
 tests/svg1.1/svg/styling-inherit-01-b.svg          |   59 -
 tests/svg1.1/svg/styling-pres-01-t-ref.png         |  Bin 6669 -> 0 bytes
 tests/svg1.1/svg/styling-pres-01-t.svg             |   38 -
 tests/svg1.1/svg/text-align-01-b-ref.png           |  Bin 23297 -> 0 bytes
 tests/svg1.1/svg/text-align-01-b.svg               |   76 -
 tests/svg1.1/svg/text-align-02-b.svg               |   65 -
 tests/svg1.1/svg/text-align-03-b-ref.png           |  Bin 19309 -> 0 bytes
 tests/svg1.1/svg/text-align-03-b.svg               |   70 -
 tests/svg1.1/svg/text-align-04-b.svg               |   82 -
 tests/svg1.1/svg/text-align-05-b.svg               |   72 -
 tests/svg1.1/svg/text-align-06-b.svg               |   63 -
 tests/svg1.1/svg/text-altglyph-01-b.svg            |  130 --
 tests/svg1.1/svg/text-deco-01-b.svg                |   64 -
 tests/svg1.1/svg/text-fonts-01-t.svg               |   98 --
 tests/svg1.1/svg/text-fonts-02-t-ref.png           |  Bin 25190 -> 0 bytes
 tests/svg1.1/svg/text-fonts-02-t.svg               |   73 -
 tests/svg1.1/svg/text-intro-01-t.svg               |   69 -
 tests/svg1.1/svg/text-intro-02-b.svg               |   95 --
 tests/svg1.1/svg/text-intro-03-b.svg               |   74 -
 tests/svg1.1/svg/text-intro-04-t.svg               |   68 -
 tests/svg1.1/svg/text-path-01-b.svg                |   83 -
 tests/svg1.1/svg/text-spacing-01-b.svg             |   54 -
 tests/svg1.1/svg/text-text-01-b.svg                |  210 ---
 tests/svg1.1/svg/text-text-03-b.svg                |   69 -
 tests/svg1.1/svg/text-tref-01-b.svg                |   81 -
 tests/svg1.1/svg/text-tselect-01-b.svg             |   72 -
 tests/svg1.1/svg/text-tspan-01-b.svg               |   88 --
 tests/svg1.1/svg/text-ws-01-t-ref.png              |  Bin 43095 -> 0 bytes
 tests/svg1.1/svg/text-ws-01-t.svg                  |   99 --
 tests/svg1.1/svg/text-ws-02-t.svg                  |  104 --
 tests/svg1.2/comp-op-porterduff-ref.png            |  Bin 29629 -> 0 bytes
 tests/svg1.2/comp-op-porterduff.svg                |  298 ----
 377 files changed, 25627 deletions(-)

commit 4f88cfdca5d0a4302d9db84ad42745d0717bbcae
Author: Benjamin Otte <otte@redhat.com>
Date:   Sun Oct 18 02:10:51 2015 +0200

    tests: Mark XFAIL tests as g_test_incomplete()
    
    ... instead of as success.

 tests/rsvg-test.c | 24 ++++++++----------------
 1 file changed, 8 insertions(+), 16 deletions(-)

commit 3e0eeb518acb02314106be37e4d1b432cded2ed1
Author: Benjamin Otte <otte@redhat.com>
Date:   Sun Oct 18 02:06:41 2015 +0200

    tests: Use gtester printing functionality
    
    ... and don't duplicate output that gtester already prints.

 tests/Makefile.am |  2 --
 tests/rsvg-test.c | 69 ++++++++++---------------------------------------------
 2 files changed, 12 insertions(+), 59 deletions(-)

commit c2ed98e974ec6aece3750451f8c06596c31c06de
Author: Benjamin Otte <otte@redhat.com>
Date:   Sun Oct 18 01:57:22 2015 +0200

    tests: Port rsvg-test to gtest

 tests/rsvg-test.c | 53 ++++++++++++++++++++++++++++++++---------------------
 1 file changed, 32 insertions(+), 21 deletions(-)

commit 66cfd22ebae52f3d6588fac3b5c9359207420ff6
Author: Benjamin Otte <otte@redhat.com>
Date:   Thu Oct 15 02:12:46 2015 +0200

    rsvg-test: Don't output HTML
    
    This is the first step towards porting to gtester.

 tests/Makefile.am |  3 +--
 tests/rsvg-test.c | 33 ---------------------------------
 2 files changed, 1 insertion(+), 35 deletions(-)

commit 67b38692afd2e0a5ef27099555882592d4d78648
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Oct 14 19:52:42 2015 +0200

    tests: Add a bunch of cycling reference svgs
    
    ... and make sure they don't crash when loading.

 tests/fixtures/crash/marker-cycles.svg           | 3 +++
 tests/fixtures/crash/mask-cycles.svg             | 6 ++++++
 tests/fixtures/crash/pattern-fallback-cycles.svg | 9 +++++++++
 3 files changed, 18 insertions(+)

commit 7e949cfc2d72f0f7453f56caa9f4af10e18ee263
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Oct 14 19:25:27 2015 +0200

    tests: Make lib dependencies not use absolute deps
    
    This confuses automake and it will not generate dependencies correctly

 tests/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9561652435e93c7b791fe7ca1708ce1196fae820
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Oct 14 20:22:22 2015 +0200

    tests: Make crash test accept commandline args
    
    Again, copied from gdk-pixbuf

 tests/crash.c | 24 ++++++++++++++++++------
 1 file changed, 18 insertions(+), 6 deletions(-)

commit 9d97124e34425b569ec861813ea2ddb7acad4e93
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Oct 14 19:16:15 2015 +0200

    tests: Run crash tests on all files in directory
    
    Instead of manually hardcoding them.
    Code copied from gdk-pixbuf.

 tests/Makefile.am  |  2 +-
 tests/crash.c      | 34 ++++++++---------------
 tests/test-utils.c | 80 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 tests/test-utils.h | 11 ++++++--
 4 files changed, 101 insertions(+), 26 deletions(-)

commit d0486eb82546616c6f6e965bcb3e3557e4cc8264
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Oct 7 20:02:17 2015 +0200

    test: Use guint32 instead of uint32_t

 tests/rsvg-test.c | 35 +++++++----------------------------
 1 file changed, 7 insertions(+), 28 deletions(-)

commit e210e12bc342e811a61343a47b2991fe57c7c746
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Oct 7 19:48:23 2015 +0200

    state: Remove unused adobe blend mode support
    
    There's no need to keep a variable around when nobody ever looks at it.

 rsvg-styles.c | 29 -----------------------------
 rsvg-styles.h |  1 -
 2 files changed, 30 deletions(-)

commit f53b4c61abf4f98b557daed6d4166771ea4ef72c
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Oct 7 12:54:51 2015 +0200

    base: Remove old cycle detection code
    
    The old code kept track of which nodes had already been drawn. Which
    worked for all nodes that actually were drawn, but not for nodes that
    were used as masks, paint server fallbacks or similar.
    
    But now that we have generic code that does work everywhere, this old
    code is no longer needed.

 rsvg-base.c         |  1 -
 rsvg-cairo-render.c |  1 -
 rsvg-private.h      |  1 -
 rsvg-structure.c    | 17 -----------------
 4 files changed, 20 deletions(-)

commit ad459d919bf277b0b2eb8d5bb8fecf8ac9877c47
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Oct 7 12:33:32 2015 +0200

    defs: Remove rsvg_defs_add_resolver()
    
    Now that all references are looked up lazily, we don't need to keep
    track of things that are not resolved yet.

 rsvg-base.c |  2 --
 rsvg-defs.c | 48 ------------------------------------------------
 rsvg-defs.h |  4 ----
 3 files changed, 54 deletions(-)

commit 7fc0fb6023931cca829fda2e265e047c73fa9134
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Oct 7 12:31:07 2015 +0200

    use: Resolve link lazily
    
    And that really concludes conversion of everything to
    rsvg_acquire_node().
    For real this time!

 rsvg-structure.c | 26 ++++++++++++++++++++------
 rsvg-structure.h |  2 +-
 2 files changed, 21 insertions(+), 7 deletions(-)

commit 3ae509be6a1b14b93a0839dc241d54a7ca3a1b25
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Oct 7 12:24:14 2015 +0200

    tref: Look up links lazily

 rsvg-text.c | 49 ++++++++++++++++++++++++++++++++++++++++---------
 1 file changed, 40 insertions(+), 9 deletions(-)

commit 6df53732f8ecfdc99b705b7e9a94442c267145f0
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Oct 7 12:13:21 2015 +0200

    marker: Resolve lazily
    
    And that concludes our rework of reference cylce detection. All code
    that references other objects via IRIs will now call rsvg_acquire_node()
    which itself avoids giving out the same node a second time until
    rsvg_release_node() has been called.
    
    This also means that rsvg_defs_lookup() is only used in two places now:
    (1) by rsvg_acquire_node()
    (2) by public API that allows operating on objects by id.

 rsvg-marker.c | 41 +++++++++++++++++------------------------
 rsvg-marker.h |  5 -----
 rsvg-styles.c | 41 ++++++++++++++++++++++++++++-------------
 rsvg-styles.h |  6 +++---
 4 files changed, 48 insertions(+), 45 deletions(-)

commit 9fc56102ca1861e3868fd6dcbcc3cc0f3c240f3e
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Oct 7 10:37:22 2015 +0200

    state: Resolve filters lazily
    
    We're almost there resolving everything lazily...

 rsvg-cairo-draw.c | 17 +++++++++++------
 rsvg-filter.c     | 27 ---------------------------
 rsvg-filter.h     |  2 --
 rsvg-styles.c     | 12 ++++++++----
 rsvg-styles.h     |  2 +-
 5 files changed, 20 insertions(+), 40 deletions(-)

commit 1c68e4f298ffe8d2ae2a0a38c5f9c329791d1a39
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Oct 7 10:29:07 2015 +0200

    paint-server: Store URL instead of resolved node
    
    This way, we resolve lazily only upon use and thereby can make use of
    our amazing new cycle detection technology.

 rsvg-cairo-draw.c   | 21 +++++++++++++--------
 rsvg-paint-server.c | 50 +++++++-------------------------------------------
 rsvg-paint-server.h | 11 +++--------
 rsvg-styles.c       |  6 +++---
 4 files changed, 26 insertions(+), 62 deletions(-)

commit f85f5dea28172480bf0a273319e8c8c73945d427
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Oct 7 10:20:23 2015 +0200

    paint-server: Remove unused argument from function

 rsvg-paint-server.c | 3 +--
 rsvg-paint-server.h | 2 +-
 rsvg-styles.c       | 6 +++---
 3 files changed, 5 insertions(+), 6 deletions(-)

commit 4db31c6f2945a9627e0611797646af87093edb8e
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Oct 7 10:18:42 2015 +0200

    paint-server: Remove nonexistent functions from header

 rsvg-paint-server.h | 7 +------
 1 file changed, 1 insertion(+), 6 deletions(-)

commit 1104491df8f6475bb7cc52c8f85f9130f278b737
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Oct 7 10:12:21 2015 +0200

    paint-server: Simplify fallback code
    
    Now that we have proper cycle detection in the drawing context, we
    should use it.

 rsvg-paint-server.c | 109 +++++++++++++---------------------------------------
 1 file changed, 27 insertions(+), 82 deletions(-)

commit a51919f7e1ca9c535390a746fbf6e28c8402dc61
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Oct 7 08:45:37 2015 +0200

    rsvg: Add rsvg_acquire_node()
    
    This function does proper recursion checks when looking up resources
    from URLs and thereby helps avoiding infinite loops when cyclic
    references span multiple types of elements.

 rsvg-base.c         | 55 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 rsvg-cairo-draw.c   | 15 +++++++++++----
 rsvg-cairo-render.c |  1 +
 rsvg-filter.c       |  9 +++++++--
 rsvg-private.h      |  5 +++++
 5 files changed, 79 insertions(+), 6 deletions(-)

commit 6cfaab12c70cd4a34c4730837f1ecdf792593c90
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Oct 7 07:57:39 2015 +0200

    state: Look up clip path lazily

 rsvg-cairo-draw.c | 56 +++++++++++++++++++++++++++++++++----------------------
 rsvg-mask.c       | 17 -----------------
 rsvg-mask.h       |  2 --
 rsvg-styles.c     | 10 +++++++---
 rsvg-styles.h     |  2 +-
 5 files changed, 42 insertions(+), 45 deletions(-)

commit d1c9191949747f6dcfd207831d15dd4ba00e31f2
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Oct 7 05:31:08 2015 +0200

    state: Store mask as reference
    
    Instead of immediately looking up the mask, store the reference and look
    it up on use.

 rsvg-cairo-draw.c |  6 +++++-
 rsvg-mask.c       | 17 -----------------
 rsvg-mask.h       |  2 --
 rsvg-styles.c     | 12 ++++++++----
 rsvg-styles.h     |  2 +-
 5 files changed, 14 insertions(+), 25 deletions(-)

commit a6466fa562e69bcaaafc466d92681d1103a5ffd3
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Oct 7 02:02:05 2015 +0200

    paint-server: Resolve references when rendering
    
    Do not resolve them while parsing or building the document tree.
    
    The reason for this will become apparent in a few commits.

 rsvg-cairo-draw.c   |  6 ++--
 rsvg-paint-server.c | 88 ++++++++++++++++++++++++++++++++++-------------------
 rsvg-paint-server.h | 15 +++++----
 3 files changed, 69 insertions(+), 40 deletions(-)

commit 0d6c6d9a1a8aa3fc1e7f1aae21a10445d7483d1a
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Oct 7 01:43:35 2015 +0200

    paint-server: Don't fix fallback on reference
    
    Patterns just like gradients should only fix their fallbacks when they
    are actually rendered.

 rsvg-paint-server.c | 1 -
 1 file changed, 1 deletion(-)

commit 5140c501d84f32a5070435d82e1b1039b1b7c71b
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Oct 6 21:00:09 2015 +0200

    Remove a bunch of unneeded casts

 rsvg-base.c | 14 +++++++-------
 rsvg-defs.c |  4 ++--
 2 files changed, 9 insertions(+), 9 deletions(-)

commit 0b2b1424caeb3fa928689d9ed956edddb0e3e7ec
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Wed Oct 21 17:21:02 2015 -0500

    bgo#630732 - Fix out-of-bounds read in feComponentTransfer with tableValues
    
    https://bugzilla.gnome.org/show_bug.cgi?id=630732

 rsvg-filter.c | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit caa75003d09f4bc6016e791cac943e1525b0d4bb
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Wed Oct 21 16:27:35 2015 -0500

    Update NEWS

 NEWS | 3 +++
 1 file changed, 3 insertions(+)

commit 2aca7d4ac08d696bf25cac909464a5b1621fbbaa
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Wed Oct 21 16:27:08 2015 -0500

    Post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f0bce7adc1cd5d77d0317ef07b75c738c20041aa
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Wed Oct 21 16:19:58 2015 -0500

    bgo#700911 - Make sure the feComponentTransfer functions are actually used
    
    https://bugzilla.gnome.org/show_bug.cgi?id=700911

 rsvg-base.c   | 2 +-
 rsvg-filter.c | 7 ++++---
 2 files changed, 5 insertions(+), 4 deletions(-)

commit 16b829d817fed70966f42fb069cdb5c33e036837
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Oct 20 21:59:15 2015 -0400

    Fix a typo
    
    It is miscellaneous, not miscellaenous.

 configure.ac | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 1c420d7961befc69a558184cea399d7f4fc8ee8d
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Wed Oct 7 12:44:07 2015 -0500

    Update NEWS for 2.40.11

 NEWS | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit 655d8b06ed8129ca2673c1406a1358771d2b24c9
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Wed Oct 7 11:47:34 2015 -0500

    rsvg-filter: Use g_new() instead of g_malloc()

 rsvg-filter.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2729084d11d52294b2fab04f275e6009de7af3e9
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Sep 25 23:54:03 2015 +0800

    MSVC Builds: Use DOS/Windows Line Endings for .sln
    
    This is required for the .sln files to be detected correctly by Windows.

 build/win32/vs10/librsvg.sln | 132 +++++++++++++++++------------------
 build/win32/vs9/librsvg.sln  | 162 +++++++++++++++++++++----------------------
 2 files changed, 147 insertions(+), 147 deletions(-)

commit fa3ff32811383770c4f55f7d0bb2844b2383c35f
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Aug 12 21:48:45 2015 +0800

    Build: Add MSVC Project Files
    
    Allow librsvg to be built directly with Visual Studio via the use of
    project files, like what is done now for GTK+ etc.  Note that the
    projects for the main librsvg DLL and rsvg-convert, as well as the
    property sheets to copy the build results and headers are generated from
    templates, which is done during 'make dist', to ease future maintenance,
    which is done via the common autotools module.
    
    The other common autotools module is then used to create the 2012/2013/
    2015 projects from the 2010 projects, as they are largely similar in
    format.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=753555

 Makefile.am                                        |  27 ++-
 build/Makefile.am                                  |   1 +
 build/win32/Makefile.am                            |   6 +
 build/win32/vs10/Makefile.am                       |  32 +++
 build/win32/vs10/README.txt                        |  74 +++++++
 build/win32/vs10/libpixbufloader-svg.vcxproj       | 179 +++++++++++++++++
 .../win32/vs10/libpixbufloader-svg.vcxproj.filters |  20 ++
 build/win32/vs10/librsvg.sln                       |  66 +++++++
 build/win32/vs10/rsvg-build-defines.props          |  53 +++++
 build/win32/vs10/rsvg-convert.vcxproj.filtersin    |  20 ++
 build/win32/vs10/rsvg-convert.vcxprojin            | 174 ++++++++++++++++
 build/win32/vs10/rsvg-gen-srcs.props               |  25 +++
 build/win32/vs10/rsvg-install.propsin              |  38 ++++
 build/win32/vs10/rsvg-install.vcxproj              | 113 +++++++++++
 build/win32/vs10/rsvg-version-paths.props          |  57 ++++++
 build/win32/vs10/rsvg-view-3.vcxproj               | 177 +++++++++++++++++
 build/win32/vs10/rsvg-view-3.vcxproj.filters       |  20 ++
 build/win32/vs10/rsvg.vcxproj.filtersin            |  24 +++
 build/win32/vs10/rsvg.vcxprojin                    | 219 +++++++++++++++++++++
 build/win32/vs11/Makefile.am                       |  24 +++
 build/win32/vs12/Makefile.am                       |  24 +++
 build/win32/vs14/Makefile.am                       |  24 +++
 build/win32/vs9/Makefile.am                        |  26 +++
 build/win32/vs9/README.txt                         |  74 +++++++
 build/win32/vs9/libpixbufloader-svg.vcproj         | 170 ++++++++++++++++
 build/win32/vs9/librsvg.sln                        |  81 ++++++++
 build/win32/vs9/rsvg-build-defines.vsprops         |  50 +++++
 build/win32/vs9/rsvg-convert.vcprojin              | 167 ++++++++++++++++
 build/win32/vs9/rsvg-gen-srcs.vsprops              |  19 ++
 build/win32/vs9/rsvg-install.vcproj                |  74 +++++++
 build/win32/vs9/rsvg-install.vspropsin             |  32 +++
 build/win32/vs9/rsvg-version-paths.vsprops         |  53 +++++
 build/win32/vs9/rsvg-view-3.vcproj                 | 170 ++++++++++++++++
 build/win32/vs9/rsvg.vcprojin                      | 198 +++++++++++++++++++
 configure.ac                                       |   7 +
 35 files changed, 2517 insertions(+), 1 deletion(-)

commit 01b4398abc27003aa4ba35e99344d6f14b3a954c
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Sep 25 16:45:32 2015 +0800

    Build: Common Autotools Module for MSVC 2012/2013/2015
    
    This adds a common autotools module that will create the MSVC 2012/2013/
    2015 projects from the 2010 ones, as the project file formats are largely
    similar.  This is run during 'make dist', which will copy the files
    and change the items in there as necessary.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=753555

 build/Makefile-newvs.am | 45 +++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 45 insertions(+)

commit e00205c2f4395496c0eb2089f863b0f0fd091e1e
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Sep 25 16:41:14 2015 +0800

    Add Common Autotools Module for MSVC Projects
    
    This adds a common autotools module that can be used by various projects to
    generate the Visual Studio projects as needed, and if necessary, generate
    the headers listings to "install" for that project, based on items passed
    in to this.  This is modelled on the Makefile.introspection autotools file
    that is used by many GNOME projects to generate the introspection files.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=753555

 build/Makefile.msvcproj | 107 ++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 107 insertions(+)

commit b9e55dedc78712e3cd25ba1258c338b269baaee1
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Aug 12 21:55:38 2015 +0800

    Build: Add rsvg.symbols File to Export Public Symbols
    
    This adds a rsvg.symbols file that can be preprocessed to create the
    .def file for exporting the symbols (functions) from the librsvg DLL.
    
    I do understand that there is a maintenance overhead with this, and
    this is the former way that symbol exporting was done in GLib and
    GTK+, but this is done as we are now in a stable release series,
    where we can use a __declspec(dllexport) (a.k.a visibility-based
    export mechanism) if we want in the next dev cycle.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=753555

 Makefile.am  |  3 ++-
 rsvg.symbols | 51 +++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 53 insertions(+), 1 deletion(-)

commit 8c90a816821061643260adeb9533e41046dc7555
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Aug 12 18:36:47 2015 +0800

    Windows Builds: Add a Pre-Configured config.h Template
    
    This adds a config.h.win32.in template that is processed during autogen/
    configure, in which the processed config.h.win32 can be later dist'ed so
    that Visual Studio project files can make use of this for building librsvg,
    since Visual Studio builds by themselves do not use autotools.
    
    Also add in the autotools build files so that this is processed, and this
    and the processed config.h.win32 is dist'ed.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=753555

 Makefile.am       |  4 ++-
 config.h.win32.in | 94 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac      |  1 +
 3 files changed, 98 insertions(+), 1 deletion(-)

commit 885938629be08e21b6ce3b3fbdf45a288cc6c21f
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Aug 12 18:07:21 2015 +0800

    librsvg-features.h.in: Fix Public Variable Declaration
    
    ... on Windows, as public variables need to be decorated for export and
    import so that they can be linked to and referred to properly, when
    building librsvg as a DLL.  This is the same thing that is done in GLib.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=753555

 librsvg-features.h.in | 26 ++++++++++++++++++++++++--
 1 file changed, 24 insertions(+), 2 deletions(-)

commit 741b8d9e41520e0d6717ace0a36c4ca4a768b97b
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Wed Aug 12 18:04:36 2015 +0800

    rsvg-filter.c: Avoid VLA Usage
    
    In order to support building under Visual Studio and other C89 compilers,
    we need to avoid using VLAs, especially that VLAs are:
    
    -Most probably not going to be supported under any Visual Studio
    -It is now optional under C11, and there are concerns regarding its
     implementations in other C99-capable compilers.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=753555

 rsvg-filter.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 9957956c423d2eeac6b3300cb0fc223a34e70f12
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Tue Aug 11 07:42:22 2015 -0500

    rsvg-cairo-draw: Take 'invisible' objects into account for bounding boxes
    
    Bounding boxes were computed only for objects that have a fill or a stroke.  However,
    for symbolic icons (e.g. adwaita-icon-theme/src/symbolic/gnome-stencils.svg) we can have
    fill-less and stroke-less rectangles that are just used to center the actual icons on
    the area they are allocated.  In that case we need to compute the full bounding box
    for the allocated area, i.e. the fill-less/stroke-less rectangles.
    
    This should not affect 'normal' SVGs where all objects have a fill or a stroke.

 rsvg-cairo-draw.c | 17 +++++++++++++----
 1 file changed, 13 insertions(+), 4 deletions(-)

commit fecfcce44a959daff80a4e0f9ced83d7cdcb5903
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Mon Aug 10 04:04:01 2015 -0500

    bgo#520654 - Support --export-id in rsvg-convert(1)
    
    This option lets you pass an SVG object ID to render, instead of the default, which
    is to render everything in the SVG.
    
    The --export-id and -i options intentionally have the same name as in Inkscape.
    
    In addition, this get rid of a deprecated call to rsvg_handle_set_size_callback()

 rsvg-cairo-render.c |  4 ++--
 rsvg-convert.c      | 64 ++++++++++++++++++++++++++++++++++++++++-------------
 2 files changed, 51 insertions(+), 17 deletions(-)

commit 424c87ac2ee4cd0417ed89a1a95d7cc79b2f6b44
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Sat Aug 8 03:47:00 2015 -0500

    Update librsvg.doap to not have sourceforge references (!)

 librsvg.doap | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

commit 4a0d0baf8fd0ec9e5236bdca5c1efff6d536bfd8
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Sat Aug 8 03:29:16 2015 -0500

    Post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 25d5f8b7076535fecb972d6454807ba56452991a
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Sat Aug 8 03:22:05 2015 -0500

    Update NEWS

 NEWS | 4 ++++
 1 file changed, 4 insertions(+)

commit 0559382e4d8fa17ce8acef081fbc5ce1afb6ad02
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Aug 4 10:41:56 2015 -0400

    Handle font-style="normal"
    
    Accept font-style="normal" ignored as an attribute of a tspan,
    https://bugzilla.gnome.org/show_bug.cgi?id=688689

 rsvg-css.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit e3983543c98c03babe8956d7911f0bd1ec5550a9
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Tue Aug 4 12:45:23 2015 +0200

    filter: Plug a leak
    
    https://bugzilla.gnome.org/show_bug.cgi?id=748608

 rsvg-filter.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 2cb6d5189466eaf75442cd753240a0cffeb54f72
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Tue Aug 4 11:32:11 2015 +0200

    filter: Plug gaussian convolution matrix leak
    
    The convolution matrix on the Y axis is leaked.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=748608

 rsvg-filter.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit e9fa71c521908cb0f4a9257d0cba19e6e24a6616
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Tue Aug 4 11:30:11 2015 +0200

    filter: Plug one more cairo context/surface leak
    
    https://bugzilla.gnome.org/show_bug.cgi?id=748608

 rsvg-filter.c | 1 +
 1 file changed, 1 insertion(+)

commit 94c48598543518c43f0e2ee94885483ab54d2a95
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Sun Aug 2 22:14:46 2015 +0200

    bgo#748608 - Destroy cairo_t after use
    
    Otherwise the cairo_t, and the surface it's created on are leaked.

 rsvg-filter.c | 1 +
 1 file changed, 1 insertion(+)

commit ca0ef340d8b091084deedd59e0faec7202f820d7
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Jul 2 19:33:53 2015 -0500

    Update NEWS

 NEWS | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit 99805d95a0459190d60339540f0fa6824d266435
Author: Menner <mik@gmx.org>
Date:   Thu Jul 2 19:30:00 2015 -0500

    bgo#476507 - Marker endpoints have the wrong angle
    
    If a curveto has coincident control points at the start or end, then the angle of the marker
    at that endpoint is not computed correctly.  This uses the next or previous control points
    as appropriate to compute the correct angle.

 rsvg-marker.c | 35 ++++++++++++++++++++++++++---------
 1 file changed, 26 insertions(+), 9 deletions(-)

commit 1ef73bd08cdfc920cf3db6f06d517dac56de1221
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Jul 2 19:18:39 2015 -0500

    tests: New test for bug #476507 - wrong orientation of arrow markers

 tests/bugs/476507-ref.png | Bin 0 -> 9606 bytes
 tests/bugs/476507.svg     |  78 ++++++++++++++++++++++++++++++++++++++++++++++
 tests/rsvg-test.txt       |   1 +
 3 files changed, 79 insertions(+)

commit 9c718ff7ac9a3f1aa37d847584a07b13ed1769f0
Author: Menner <mik@gmx.org>
Date:   Thu Jul 2 19:02:51 2015 -0500

    bgo#739329 - Remove single quotes around font-family names before passing them to Pango
    
    If you have an SVG with
    
      <text style="font-family: 'New Century Schoolbook';"> ... </text>
    
    our CSS-parsing code simply passes the singly-quoted string to Pango.  In turn,
    Pango doesn't like the quotes because they are not part of the font's name.
    
    This is a simple patch to remove single quotes from *all* style attributes, not
    just strings (which is where the CSS spec allows them).  We need a real CSS
    parser, not something built out of g_strsplit().

 rsvg-styles.c | 20 ++++++++++++++++++--
 1 file changed, 18 insertions(+), 2 deletions(-)

commit fdd275975abc3085340db465e9cc0a605b55a1b1
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Jul 2 18:45:54 2015 -0500

    tests: new test for bug #739329
    
    If we have <text style="font-family: 'Times New Roman';"> it will fail, because the
    single quotes are fed into Pango.

 tests/bugs/739329-ref.png | Bin 0 -> 131218 bytes
 tests/bugs/739329.svg     |  50 ++++++++++++++++++++++++++++++++++++++++++++++
 tests/rsvg-test.txt       |   1 +
 3 files changed, 51 insertions(+)

commit 091c76f96c9a8973d8a96e330d1e0f464aec4869
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Jul 1 17:03:24 2015 -0700

    Fix non-srcdir build
    
    Jasper pointed out that this was broken for a while.

 gdk-pixbuf-loader/Makefile.am | 2 ++
 1 file changed, 2 insertions(+)

commit fb19e502e4c6c263c02725e1b049b3730b52ad13
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Fri Apr 17 11:00:27 2015 -0500

    test-display: Don't use deprecated gdk_color_parse()

 test-display.c | 13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

commit 3717bbc32da2165f37213727fac4431a64507e21
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Fri Apr 17 10:24:38 2015 -0500

    test-display: Don't use deprecated gtk_scrolled_window_add_with_viewport()

 test-display.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 4b401d1e1fc774dcccbeeceafca51b67a5705149
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Fri Apr 17 10:23:21 2015 -0500

    Require GTK+ 3.10.0 or later
    
    I want to remove calls to deprecated functions, and this is easier if
    we just require a GTK+ that is like two years old instead of four years old.

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f14a347421b26e2887b66b1988c700a76377f72c
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Fri Apr 17 10:19:40 2015 -0500

    test-display: Remove dead code

 test-display.c | 27 ++-------------------------
 1 file changed, 2 insertions(+), 25 deletions(-)

commit fcd51dad24dfd1125bcac96fe0feb9ec2525fdb0
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Apr 16 21:41:24 2015 -0500

    Don't use deprecated gtk_stock

 test-display.c | 37 ++++++++++++++++++++-----------------
 1 file changed, 20 insertions(+), 17 deletions(-)

commit 001fc62b8d577df42d11c9710475c3fb7fd8e408
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Apr 16 21:06:09 2015 -0500

    Don't use deprecated pango_cairo_font_map_create_context()
    
    We already require Pango 1.32.6, and the replacement function pango_font_map_create_context()
    has been available since Pango 1.22.

 rsvg-cairo-draw.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 91bbe3456934bf071379977d00bde571338ba5aa
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Apr 16 14:56:44 2015 -0500

    Handle the deprecation of g_type_init() to avoid compiler warnings
    
    Maybe we should increment the glib version requirement one of these days...

 Makefile.am              |  1 +
 gdk-pixbuf-loader/test.c |  4 +++-
 rsvg-base.c              |  3 ++-
 rsvg-compat.h            | 13 +++++++++++++
 rsvg-convert.c           |  3 ++-
 test-display.c           |  5 +++--
 tests/crash.c            |  3 ++-
 tests/dimensions.c       |  3 ++-
 tests/rsvg-test.c        |  3 ++-
 tests/styles.c           |  3 ++-
 tools/rsvg-dimensions.c  |  3 ++-
 tools/rsvg-tools-main.c  |  3 ++-
 12 files changed, 36 insertions(+), 11 deletions(-)

commit 9db05c8e736ade8c2d37249d01e4bdc20650f24c
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Tue Apr 14 15:54:01 2015 -0500

    Post-release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 19bb11837877538382cd11f7243f9875e082268f
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Wed Mar 25 19:47:09 2015 -0600

    Update NEWS

 NEWS | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 22a90daef0813f1cf2ac70a15266a8b820145b3c
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Wed Mar 25 19:44:31 2015 -0600

    Bump version

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 28694c791067f0321ae21d44734b1ef88b45d742
Author: LRN <lrn1986@gmail.com>
Date:   Tue Mar 24 18:14:23 2015 -0600

    bgo#710163 - Use _wfullpath() on Windows instead of _fullpath()

 rsvg-base.c | 32 ++++++++++++++++++++++++++------
 1 file changed, 26 insertions(+), 6 deletions(-)

commit 7fc95d9571c7d25e548a590aae482f9707f290d2
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Tue Mar 24 15:25:19 2015 -0600

    Gaussian blur: clip the blurred image to the filter effects region

 rsvg-filter.c | 29 ++++++++++++++++++++++++-----
 1 file changed, 24 insertions(+), 5 deletions(-)

commit 054807726db76558728e7a7513aabc4698b3dc95
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Fri Mar 13 12:23:11 2015 -0600

    bgo#605875 - Gaussian blurred objects are sometimes missing
    
    This replaces the blurring machinery with a real gaussian blur for small radiuses,
    and fixes box blurs for large radiuses.
    
    Based on a patch by Eduard Braun.

 rsvg-filter.c | 598 ++++++++++++++++++++++++++++++++++++++++++++++++----------
 1 file changed, 494 insertions(+), 104 deletions(-)

commit 86589fb2046d0d8996ed024c3036f3c0ed48d695
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Tue Mar 10 17:48:12 2015 -0600

    Add test for bgo#605875 - Incorrect rendering of feGaussianBlur
    
    This test image comes from
    https://commons.wikimedia.org/wiki/File:Kaliningrad_Oblast_Coat_of_Arms_2006.svg
    The topmost jewel in the center of the crown was not getting
    rendered at all.

 tests/bugs/605875-ref.png | Bin 0 -> 156652 bytes
 tests/bugs/605875.svg     | 681 ++++++++++++++++++++++++++++++++++++++++++++++
 tests/rsvg-test.txt       |   1 +
 3 files changed, 682 insertions(+)

commit 9628f3da0023bfd3e919e2bfb4c2dc10ad45d9ab
Author: Andrea Griffini <agriff@tin.it>
Date:   Fri Mar 13 12:36:24 2015 -0600

    bgo#738367 - Fix handling of V/v/H/h commands in path
    
    These were not setting one of the x/y components for the reflection point
    to be used in smooth curves.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=738367

 rsvg-path.c | 2 ++
 1 file changed, 2 insertions(+)

commit f8d37dfb240f0ecb90a91ce534829ec7ac279071
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Fri Mar 13 12:44:53 2015 -0600

    Add test for bgo#738367 - incorrect handling of V/v/H/h commands in path

 tests/bugs/738367-ref.png | Bin 0 -> 4184 bytes
 tests/bugs/738367.svg     |   7 +++++++
 tests/rsvg-test.txt       |   1 +
 3 files changed, 8 insertions(+)

commit 8eb0392f2041080f32830949ae22cd463bf219b7
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Feb 26 16:03:52 2015 -0600

    Update NEWS
    
    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

 NEWS | 7 +++++++
 1 file changed, 7 insertions(+)

commit 310500cf1739f8e827331d822bd9f9f08f6fc2b0
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Feb 26 15:38:38 2015 -0600

    bgo#745177 - Revert "RsvgPathBuilder: don't add a terminating moveto after closepath"
    
    This reverts commit 0c98142e31cdc91963860f99ec933e52f3cc63c6.
    
    This was causing bug https://bugzilla.gnome.org/show_bug.cgi?id=745177

 rsvg-path.c | 9 +++++++++
 rsvg-path.h | 1 +
 2 files changed, 10 insertions(+)

commit 6fd7493ef2ba7ed9d8e76a3ae5b064c34825422f
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Fri Feb 20 16:24:02 2015 -0600

    RsvgNodeEllipse: Use RsvgPathBuilder instead of building/parsing a path string
    
    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

 rsvg-shapes.c | 93 +++++++++++++++++++----------------------------------------
 1 file changed, 29 insertions(+), 64 deletions(-)

commit 3f49de8d77f787489bc0f1215ef92e3619a9875a
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Fri Feb 20 16:10:49 2015 -0600

    RsvgNodeCircle: Use RsvgPathBuilder instead of building/parsing a path string
    
    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

 rsvg-shapes.c | 82 +++++++++++++++++------------------------------------------
 1 file changed, 23 insertions(+), 59 deletions(-)

commit 9fe6fadb403de56fedc937f0f72b9378c5dd311f
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Fri Feb 20 15:53:07 2015 -0600

    RsvgNodeRect: Use RsvgPathBuilder instead of building/parsing a path string
    
    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

 rsvg-shapes.c | 185 ++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 101 insertions(+), 84 deletions(-)

commit 3e15bb2f249606fead047989bb6a9d9f63e22ca1
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Fri Feb 20 14:45:50 2015 -0600

    Make rsvg_path_builder_arc() public/internal
    
    This is just a rename of rsvg_path_arc().
    
    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

 rsvg-path.c | 30 +++++++++++++++---------------
 rsvg-path.h |  9 +++++++++
 2 files changed, 24 insertions(+), 15 deletions(-)

commit 529bc934ce00ea4a21539fc080f45d3be0ee49fb
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Fri Feb 20 14:42:59 2015 -0600

    rsvg_path_arc(): take an RsvgPathBuilder, not a full RSVGParsePathCtx
    
    The ctx was used to extract the start point for the arc, and to
    set the 'current point' to the arc's end point when the drawing
    is finished.
    
    We now pass in extra arguments for the start point (which don't come
    with the path builder).
    
    Also, added whitespace in the math-y part, because without whitespace
    it makes me sad.
    
    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

 rsvg-path.c | 155 +++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 90 insertions(+), 65 deletions(-)

commit a376c1ce16594ae8f62be9dd13d97932398c2ea2
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Fri Feb 20 14:15:30 2015 -0600

    rsvg_path_arc_segment(): Take in a RsvgPathBuilder, not a whole RSVGParsePathCtx
    
    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

 rsvg-path.c | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit ac5564493f13ff905c9d29d4fc6088da06e61a9e
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Fri Feb 20 13:34:40 2015 -0600

    RsvgNodeLine: Use RsvgPathBuilder instead of building/parsing a path string
    
    Again; no need to go through the production process for Luwak coffee just to
    paint a line.
    
    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

 rsvg-shapes.c | 31 ++++++++++++-------------------
 1 file changed, 12 insertions(+), 19 deletions(-)

commit 0b11fe8358a7e7477bc2c4ae6d3b49e0bfb4ca47
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Fri Feb 20 13:28:28 2015 -0600

    RsvgNodePoly: Use RsvgPathBuilder instead of building/parsing a path string
    
    We have all the machinery to build paths on the fly; we don't need to
    fake a path on a string, parse that, and construct a path.
    
    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

 rsvg-shapes.c | 38 ++++++++++++++++++--------------------
 1 file changed, 18 insertions(+), 20 deletions(-)

commit 191405182e985e1745a5e5a70e2579f2bed897fb
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Fri Feb 20 13:00:33 2015 -0600

    rsvg-test: Don't include unnecessary header
    
    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

 tests/rsvg-test.c | 1 -
 1 file changed, 1 deletion(-)

commit 0c98142e31cdc91963860f99ec933e52f3cc63c6
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Fri Feb 20 12:55:36 2015 -0600

    RsvgPathBuilder: don't add a terminating moveto after closepath
    
    When we used libart, before Cairo, it was necessary to add a moveto after a closepath, since
    the starting and ending points of a closed path were supposed to coincide.
    
    Cairo handles closed paths without needing the caller to manually move back to
    the starting point.
    
    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

 rsvg-path.c | 9 ---------
 rsvg-path.h | 1 -
 2 files changed, 10 deletions(-)

commit f8019aaa9f785061285def07712b5cfcd7ab26aa
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Feb 19 18:12:49 2015 -0600

    bgo#744688 - Fix double g_free() when processing stroke-dasharray
    
    The part of rsvg_parse_style_pair() that validates the dash pattern, by seeing
    if any actual dash length was generated, could leave a dangling pointer after
    a g_free() if the dash pattern turned out to be invalid.  Later, rsvg_state_inherit_run()
    would try to g_free() this dangling pointer as well.
    
    Found by Atte Kettunen's fuzz testing.
    
    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

 rsvg-styles.c | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit d7b49df88d28ef70efd0efc9db319fd4b6969b91
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Fri Feb 13 16:47:13 2015 -0600

    Post-release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit aadbf6968df5fa93e182b7e7c93dc5cc076d44ce
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Fri Feb 13 14:49:11 2015 -0600

    Update NEWS

 NEWS | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 00e75a916e5cfce7bb98d87d98688d86289f8142
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Fri Feb 13 14:47:35 2015 -0600

    Quick update of the README, at least to make it not so outdated

 README | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 80f6366f8033a33b88640faea50976644aad2c66
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Feb 12 14:18:06 2015 -0600

    Internally use 'char *' for string data
    
    There was a mixture of guint8*, guchar*, gchar*, etc.  Use char* because that's
    about as sane as we can get, and only cast where we can't change the public API
    or where we must interface with other libraries.  *Cough* xmlChar *cough*.
    
    This removes a metric assload of compiler warnings, and I'm fine with that.

 gdk-pixbuf-loader/io-svg.c |  6 +++---
 rsvg-base-file-util.c      |  8 ++++----
 rsvg-base.c                | 16 ++++++++--------
 rsvg-css.c                 |  2 +-
 rsvg-defs.c                |  4 ++--
 rsvg-file-util.c           |  6 +++---
 rsvg-image.c               |  6 +++---
 rsvg-io.c                  | 24 ++++++++++++------------
 rsvg-io.h                  | 12 ++++++------
 rsvg-private.h             | 10 +++++-----
 rsvg-styles.c              |  7 +++----
 11 files changed, 50 insertions(+), 51 deletions(-)

commit 24ca2ec60645365bacbefacff98a5f24f98b1d03
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Feb 12 11:29:12 2015 -0600

    configure.in -> configure.ac

 autogen.sh   |   2 +-
 configure.ac | 294 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.in | 294 -----------------------------------------------------------
 3 files changed, 295 insertions(+), 295 deletions(-)

commit 0de909abb6312902f738183cda571b08337f118c
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Feb 12 11:26:54 2015 -0600

    Remove extra compiler warnings from configure.in
    
    Whoever builds the module should be in control.  Developers can very well
    have a build-paranoically script or something.

 configure.in | 25 -------------------------
 1 file changed, 25 deletions(-)

commit 7f7a186a791718b94dc35a5c5559dd2d43049d12
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Feb 12 10:50:35 2015 -0600

    Fix parentheses

 rsvg-path.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bc189a77050e4029e1fe9be3a7d7400bc0640c21
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Feb 12 10:49:01 2015 -0600

    Fix shadowed variables

 rsvg-filter.c | 2 +-
 rsvg-marker.c | 6 +++---
 rsvg-marker.h | 4 ++--
 3 files changed, 6 insertions(+), 6 deletions(-)

commit 5d8e48bf386e4bc8ffefb9262c7ae37b3ee27d9f
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Feb 12 10:48:38 2015 -0600

    Fix variable name which shadows a type name

 rsvg-base.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit cfa5cf4ac4a04977bb3fae08ad4e2d189f6498db
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Feb 12 10:48:21 2015 -0600

    Fix possibly-uninitialized variable

 rsvg-convert.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2c2db8dbe4b8f7f59654d2990f781af3d363b0ba
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Feb 12 10:48:05 2015 -0600

    Fix const warnings in the pixbuf loader

 gdk-pixbuf-loader/io-svg.c | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

commit 400336480ed5abbe398d2fa646872a668205a5fd
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Wed Feb 11 15:06:56 2015 -0600

    bgo#744270 - Fix uninitialized value in rsvg_filter_primitive_displacement_map_render()
    
    Fixes https://bugzilla.gnome.org/show_bug.cgi?id=744270
    
    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

 rsvg-filter.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2737efd03e814588c3b058633227985c441ccdf4
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Wed Feb 11 14:16:01 2015 -0600

    Update NEWS and librsvg.doap; add MAINTAINERS

 MAINTAINERS  |  3 +++
 NEWS         |  4 +++-
 librsvg.doap | 21 ++++++++++-----------
 3 files changed, 16 insertions(+), 12 deletions(-)

commit 0035e95118a60c0cd3949c2300472d805e16a022
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Wed Feb 11 10:48:52 2015 -0600

    bgo#744299 - Ensure the type of pattern fallbacks
    
    Atte Kettunen's fuzz testing yielded an SVG with a pattern paint server that
    had an xlink:href to a *rect*, not to another patern.  Since we were not checking
    type type of resolved nodes when applying pattern fallbacks, we were using a
    structure of the wrong type.
    
    Fixes https://bugzilla.gnome.org/show_bug.cgi?id=744299
    
    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

 rsvg-paint-server.c | 29 +++++++++++++++++++++++------
 1 file changed, 23 insertions(+), 6 deletions(-)

commit 53c50caecc970aef91cf8e3f1fde919f848d6f0c
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Fri Feb 6 16:33:25 2015 -0600

    Avoid overflow in gint multiplication
    
    In the convolution matrix filter code, we read the orderx and ordery for the convolution
    matrix.  However, multiplying them as gints may overflow.
    
    Found by fuzz testing when orderx = ordery = 65536
    
    Fuzz testing kindly provided by Atte Kettunen <attekett@gmail.com>
    From librsvg-fuzz case rsvgconvert-060-3ef-705-f72.svg
    
    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

 rsvg-filter.c | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit 8c71bac8940831aa1dd24e6f8a27149cd97ca1e9
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Fri Feb 6 12:48:24 2015 -0600

    Update NEWS

 NEWS | 4 ++++
 1 file changed, 4 insertions(+)

commit 8ee18b22ece0f869cb4e2e021c01138cbb8a0226
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Fri Feb 6 11:51:01 2015 -0600

    bgo#738169 - Avoid cycles while resolving paint server fallbacks
    
    If a chain of paint servers, defined through the xlink:href attribute, has a cycle,
    then we would loop infinitely while resolving the base paint server.  We now
    use a tortoise-and-hare to detect cycles and stop appropriately.
    
    Fixes https://bugzilla.gnome.org/show_bug.cgi?id=738169
    
    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

 rsvg-paint-server.c | 421 +++++++++++++++++++++++++++++++++-------------------
 1 file changed, 271 insertions(+), 150 deletions(-)

commit 40af93e6eb1c94b90c3b9a0b87e0840e126bb8df
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Feb 5 18:08:25 2015 -0600

    bgo#738050 - Handle the case where a list of coordinate pairs has an odd number of elements
    
    Lists of points come in coordinate pairs, but we didn't have any checking for that.
    It was possible to try to fetch the 'last' coordinate in a list, i.e. the y coordinate
    of an x,y pair, that was in fact missing, leading to an out-of-bounds array read.
    
    In that case, we now reuse the last-known y coordinate.
    
    Fixes https://bugzilla.gnome.org/show_bug.cgi?id=738050
    
    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

 rsvg-shapes.c | 14 +++++++++++++-
 1 file changed, 13 insertions(+), 1 deletion(-)

commit 7803753d130da94db40c10cc75e98b9864dad620
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Feb 5 14:27:10 2015 -0600

    bgo#703102 - Clip coordinates for rsvg_alpha_blt() in a more civilized fashion
    
    The source offsets were not being validated correctly, so we could easily do a read or write
    outside the bounds of the image surface.  We now use a generic function to clip rectangles
    instead of doing it by hand.
    
    Fixes https://bugzilla.gnome.org/show_bug.cgi?id=703102
    
    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

 rsvg-filter.c | 115 ++++++++++++++++++++++++++--------------------------------
 1 file changed, 51 insertions(+), 64 deletions(-)

commit 452ef81f5201808357db50169ed4f8c18b50b12e
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Dec 19 18:43:15 2014 +0800

    Really Fix Build of rsvg-convert on Windows
    
    Commit 1811f20 attempted to fix the build of rsvg-convert on Windows, but
    unfortunately there were some issues about it, as
    g_win32_input_stream_new() took a Windows HANDLE (i.e. a void*/gpointer),
    not a numeric constant like STDIN_FILENO, as its first argument.
    
    Acquire the HANDLE for stdin on Windows first, and pass it into
    g_win32_input_stream_new().  Also use G_OS_WIN32 to check we are building
    for Windows, as we do elsewhere for GLib-using items.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=734977

 rsvg-convert.c | 26 ++++++++++++++++++++++----
 1 file changed, 22 insertions(+), 4 deletions(-)

commit 7bb5d1b8ebc57f81a5883247a5acd7f49ba48d09
Author: Richard Hughes <richard@hughsie.com>
Date:   Wed Dec 3 10:27:51 2014 +0000

    Post release version bump

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d2e159735c98be03cf20a346405fe8a5e2eeeff9
Author: Richard Hughes <richard@hughsie.com>
Date:   Wed Dec 3 10:23:51 2014 +0000

    Version 2.40.6

 NEWS | 5 +++++
 1 file changed, 5 insertions(+)

commit e60c00f6e92bf6ce4b64c130319e300147f95286
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Mon Aug 18 12:27:28 2014 +0800

    rsvg-base.c: Have realpath() Work On Windows
    
    Use _fullpath() on Windows to do the job for realpath() as realpath() does
    not exist on Windows.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710163
    
    Signed-off-by: Richard Hughes <richard@hughsie.com>

 rsvg-base.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 1811f207653e36c301260203866d958e443b2150
Author: Alexey Pavlov <alexey.pawlow@gmail.com>
Date:   Wed Dec 3 09:33:50 2014 +0000

    Do not depend on gio-unix-2.0 as it breaks the MinGW build
    
    Signed-off-by: Richard Hughes <richard@hughsie.com>

 configure.in   | 9 ++++++++-
 rsvg-convert.c | 8 ++++++++
 2 files changed, 16 insertions(+), 1 deletion(-)

commit 5ba4343bccc7e1765f38f87490b3d6a3a500fde1
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Sun Nov 9 17:24:09 2014 -0800

    Fix path data number parsing
    
    Previously highly-optimized path data was being garbled during loading.
    A patch has been available for over four years.  Fix it.  This is pretty
    much the same patch as one submitted by Louis Simard, which I verified
    was correct except for two cases where it was using "&=" when "|=" was
    intended.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=620923

 rsvg-path.c | 189 +++++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 112 insertions(+), 77 deletions(-)

commit 23da1c0080719628aecac1cf01b1784140392240
Author: Behdad Esfahbod <behdad@behdad.org>
Date:   Tue Oct 28 15:47:31 2014 -0700

    Fix build with newer libtool
    
    sigh.

 Makefile.am | 2 --
 1 file changed, 2 deletions(-)

commit ddb5f7b0a10f581149bedf51888a0382b2c4048f
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Oct 13 20:52:21 2014 +0200

    Post release version bump

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 427aba9237a386cfede184dec35a06788e553f2c
Author: Christian Persch <chpe@gnome.org>
Date:   Thu Sep 18 18:30:10 2014 +0200

    handle: Call close() after write() even on write error
    
    Otherwise the internal xmlDoc will leak.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=736825

 rsvg-base-file-util.c | 9 ++++-----
 rsvg-defs.c           | 6 ++++--
 rsvg-file-util.c      | 2 ++
 3 files changed, 10 insertions(+), 7 deletions(-)

commit bef6571e361f5c306b993c7755606d4918851792
Author: Christian Persch <chpe@gnome.org>
Date:   Wed Sep 17 10:28:18 2014 +0200

    rsvg-convert: Fix argument processing
    
    Fixes a typo introduced in commit 07e79f07ef789a9bc0b9fb94c41f2af211570889.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=735836

 rsvg-convert.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit afdafa55ff02d90e99a14496785fbd0c782895b8
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Sep 14 10:34:11 2014 +0200

    Post release version bump

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 07e79f07ef789a9bc0b9fb94c41f2af211570889
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Sep 1 20:29:34 2014 +0200

    rsvg-convert: Handle gzip compressed input
    
    Code copied from rsvg-view.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=735836

 rsvg-convert.c | 31 ++++++++++++++++++++++++++++++-
 1 file changed, 30 insertions(+), 1 deletion(-)

commit cba26b4a8caad47ef0aea20d3e355679441c67aa
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Aug 18 21:16:01 2014 +0200

    Post release version bump

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a35216a93b1db4973056426edc282c4decc2538a
Author: Suzuki Toshiya <mpsuzuki@hiroshima-u.ac.jp>
Date:   Sun Aug 17 18:41:54 2014 +0200

    all: Add flag to keep image data
    
    And use it when converting to a PDF in rsvg-convert.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=721354

 rsvg-convert.c | 12 ++++++++++++
 rsvg-image.c   | 56 +++++++++++++++++++++++++++++++++++---------------------
 rsvg.h         |  9 +++++++--
 3 files changed, 54 insertions(+), 23 deletions(-)

commit 6873a0a18f66ef488e536c4b349ea694e8764d13
Author: Andre Klapper <a9016009@gmx.de>
Date:   Thu Jul 31 21:39:52 2014 +0200

    doap: add <programming-language>

 librsvg.doap | 1 +
 1 file changed, 1 insertion(+)

commit 49cdc0cc677af0c036846fec18d5fdf9da5845ea
Author: Olav Vitters <olav@vitters.nl>
Date:   Wed Jul 30 20:32:04 2014 +0200

    doap category core

 librsvg.doap | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit aa1f447e2741d7b5c399ec1f8bf9cfdce81d5506
Author: Christian Persch <chpe@gnome.org>
Date:   Wed Jun 18 20:08:34 2014 +0200

    all: Add option to parse huge SVG XML files
    
    For security reasons, newer libxml versions applies limits that huge
    SVG files exceed and thus fail parsing. Add an RSVG_HANDLE_FLAG_UNLIMITED
    flag that uses XML_PARSE_HUGE to allow parsing these files again.
    
    Note: for security reasons, this flag should ONLY be used on trusted input!
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710310

 Makefile.am    |  5 ++--
 configure.in   |  2 ++
 rsvg-base.c    | 23 +++++++++++++++---
 rsvg-convert.c | 76 +++++++++++++++++++++-------------------------------------
 rsvg-css.h     | 12 ++++++++--
 rsvg.h         |  6 ++++-
 test-display.c | 10 +++++++-
 7 files changed, 75 insertions(+), 59 deletions(-)

commit bed3f143b64ad865c9cab0acbc9e8f461ac143cd
Author: Evan Nemerson <evan@nemerson.com>
Date:   Tue Jun 3 14:58:01 2014 -0700

    introspection: add many missing nullable annotations
    
    https://bugzilla.gnome.org/show_bug.cgi?id=731182

 rsvg-base.c         | 15 ++++++++-------
 rsvg-cairo-render.c |  6 +++---
 rsvg-filter.c       |  8 ++++----
 rsvg-paint-server.c |  3 ++-
 rsvg-styles.c       |  4 ++--
 rsvg.c              | 10 +++++-----
 6 files changed, 24 insertions(+), 22 deletions(-)

commit 794c95b26244ef995e9b8d6d475fc9149edeffe2
Author: Evan Nemerson <evan@nemerson.com>
Date:   Tue Jun 3 14:34:58 2014 -0700

    docs: Assorted fixes and additions to reduce gtk-doc warnings
    
    https://bugzilla.gnome.org/show_bug.cgi?id=731182

 rsvg-styles.c |  5 +++--
 rsvg.h        | 26 +++++++++++++++++++-------
 2 files changed, 22 insertions(+), 9 deletions(-)

commit 59592914f2250b5419b782d77f0359021dae1e86
Author: Evan Nemerson <evan@nemerson.com>
Date:   Tue Jun 3 13:52:57 2014 -0700

    docs: use %, #, and @ more consistently for contants, types, and args
    
    https://bugzilla.gnome.org/show_bug.cgi?id=731182

 rsvg-base-file-util.c | 10 +++++-----
 rsvg-base.c           | 28 ++++++++++++++--------------
 rsvg-cairo-render.c   |  4 ++--
 rsvg-filter.c         |  4 ++--
 rsvg-gobject.c        |  2 +-
 rsvg-paint-server.c   |  2 +-
 rsvg.c                |  8 ++++----
 rsvg.h                |  4 ++--
 8 files changed, 31 insertions(+), 31 deletions(-)

commit 63925d7db803162fbd2c27065a57d13e409f5ac6
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Mar 17 19:48:49 2014 +0100

    Post release version bump

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 02cb19835cb52bd84b0b5eaca1b4d6338417d261
Author: Antoine Jacoutot <ajacoutot@gnome.org>
Date:   Tue Oct 15 09:36:30 2013 +0200

    portability: canonicalize_file_name -> realpath
    
    canonicalize_file_name() is a GNU extension so let's use the portable
    realpath() instead.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=710163

 rsvg-base.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 6f6be8c524cc42828eb87c10b54a242c6a2484e3
Author: Philip Withnall <philip.withnall@collabora.co.uk>
Date:   Fri Nov 29 12:55:23 2013 +0000

    test-display: Fix potential g_object_unref(NULL) call
    
    base_file can legitimately be NULL at this point.
    
    Found by scan-build.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=719552

 test-display.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 8a9afc72dbfd75461991da1a8699da1abae074e6
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Nov 19 18:48:41 2013 +0100

    Post release version bump

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 284513935f4ddfed6aec98c3342eb3c13773140f
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Nov 19 18:34:08 2013 +0100

    Version 2.40.1

 NEWS | 4 ++++
 1 file changed, 4 insertions(+)

commit e72acdc0f41e9128f7c5e334a07d5d0742fcb8fe
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Nov 11 21:48:11 2013 +0100

    build: Check for unsuffixed gdk-pixbuf-query-loaders first
    
    https://bugzilla.gnome.org/show_bug.cgi?id=672792

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 350b685eadd9a17813905e3a4ae05b9d89a44087
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Thu Oct 31 12:24:11 2013 -0400

    rsvg-filter: Remove a bogus NULL check
    
    We've already dereferenced name at this point.

 rsvg-filter.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6ba2f99f110a3fdcdf1c4f70820e938b7f59055f
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Tue Sep 3 13:53:34 2013 -0400

    rsvg-filter: Don't overrun an array when given invalid inputs
    
    Yikes. Just select R/G as defaults.

 rsvg-filter.c | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 6c3b8eee243204678574e162b7d480f6f83b71e6
Author: Germán Poo-Caamaño <gpoo@gnome.org>
Date:   Tue Oct 29 13:05:39 2013 -0700

    build: Use local macros to detect vala
    
    Fixes build when vala < 0.19 is present.

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 358b45ea0e72ce9f17e453b25cad4b9c1d7f5f38
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Oct 15 00:13:35 2013 +0200

    build: Fix pango requirement
    
    This was accidentally lowered to a non-threadsafe version.

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 844d695d0a7121ede6c8bcaff165360a5b9701e6
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Oct 14 22:10:18 2013 +0200

    Post release version bump

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2bb8b44f5ea8630e55beb9ae6634c7dd3d7abd86
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Oct 14 21:50:21 2013 +0200

    build: Fix testcases build

 tests/styles.c | 52 ++++++++++++++++++++++++++--------------------------
 1 file changed, 26 insertions(+), 26 deletions(-)

commit b8ffac52b76dad137fc3a784caa13601ded8a8f0
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Oct 14 21:33:36 2013 +0200

    Version 2.40.0

 NEWS         | 10 +++++++++-
 configure.in |  4 ++--
 2 files changed, 11 insertions(+), 3 deletions(-)

commit d2f29eb4fb43bb1fbc9ff7a399880dfa5b71a84d
Author: Christian Persch <chpe@gnome.org>
Date:   Fri Oct 11 20:45:56 2013 +0200

    css: Fix parsing of #rrggbb values
    
    Fallout from commit 30991cd1299da9b81f2f3c176a38b10f992b2aaf.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=709931

 rsvg-css.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit ca03fce6eac39a612bb7993cfa410b6b682584e9
Author: Nicholas Beeuwsaert <nick.beeuwsaert@gmail.com>
Date:   Wed Sep 4 20:53:10 2013 -0500

    add eps support to rsvg-convert
    
    Added support for exporting to Encapsulated PostScript files using rsvg-convert
    
    Bug #707526.

 rsvg-convert.c | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

commit 30991cd1299da9b81f2f3c176a38b10f992b2aaf
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Oct 5 21:12:01 2013 +0200

    css: Improve rgb()/rgba() color parsing
    
    - Don't crash when there's no '('
    - Allow mixed numbers and percentages
    - Accept real numbers and not just ints
    - Allow '.' as the only separator
    - Use less code

 rsvg-css.c | 129 +++++++++++++++++++++----------------------------------------
 1 file changed, 45 insertions(+), 84 deletions(-)

commit b864307868d3977dfa5e127ff95d7efded854850
Author: Benjamin Otte <otte@redhat.com>
Date:   Fri Oct 4 16:55:51 2013 +0200

    css: Add support for parsing rgba() colors
    
    This also requires adding alpha support to the solid color paint server.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=639750

 rsvg-cairo-draw.c   | 18 ++++++++----------
 rsvg-css.c          | 44 +++++++++++++++++++++++++++++++++++++++++++-
 rsvg-paint-server.c | 10 +++++-----
 rsvg-paint-server.h |  2 +-
 4 files changed, 57 insertions(+), 17 deletions(-)

commit 1e22da8d9d2d782c7fdd7d6bf55177bae7ef27c5
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Thu Oct 18 14:19:02 2012 -0400

    Remove support for old versions of gdk-pixbuf

 configure.in               |  4 ++--
 gdk-pixbuf-loader/io-svg.c | 47 ++--------------------------------------------
 2 files changed, 4 insertions(+), 47 deletions(-)

commit 1a4bfab9cf982e9aaba8a37cf1336b0245da3e2d
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Thu Oct 18 14:18:07 2012 -0400

    Require at least version 3.2 of GTK+

 configure.in   | 2 +-
 test-display.c | 4 ----
 2 files changed, 1 insertion(+), 5 deletions(-)

commit 57ee82af6fbfb471b972d4dfcad33ba415701b38
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Thu Oct 18 14:16:10 2012 -0400

    Remove support for GTK+2 along with the old theme engine

 Makefile.am                            |    4 -
 configure.in                           |   37 --
 gtk-engine/ChangeLog-old               |  259 --------
 gtk-engine/Makefile.am                 |   44 --
 gtk-engine/README                      |   33 -
 gtk-engine/examples/Makefile.am        |    1 -
 gtk-engine/examples/bubble/Makefile.am |   15 -
 gtk-engine/examples/bubble/README      |   14 -
 gtk-engine/examples/bubble/blue.svg    |   18 -
 gtk-engine/examples/bubble/green.svg   |   18 -
 gtk-engine/examples/bubble/gtkrc       |   77 ---
 gtk-engine/examples/bubble/orange.svg  |   18 -
 gtk-engine/examples/bubble/purple.svg  |   18 -
 gtk-engine/examples/bubble/red.svg     |   18 -
 gtk-engine/svg-draw.c                  | 1038 --------------------------------
 gtk-engine/svg-main.c                  |   68 ---
 gtk-engine/svg-rc-style.c              |  814 -------------------------
 gtk-engine/svg-rc-style.h              |   50 --
 gtk-engine/svg-render.c                |  866 --------------------------
 gtk-engine/svg-style.h                 |   50 --
 gtk-engine/svg.h                       |  194 ------
 21 files changed, 3654 deletions(-)

commit 781d8da806ec370b232ff1dbada3aeb58cb1013d
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Tue Sep 3 13:46:29 2013 -0400

    rsvg-filter: Fix memory leak

 rsvg-filter.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d539fe003b12defefa4f05b6b8a661ff43df69f6
Author: Christian Persch <chpe@gnome.org>
Date:   Fri Aug 16 14:48:37 2013 +0200

    Post release version bump

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit da80cdb009d2d54254dc4cb4349439a46fb084c3
Author: Christian Persch <chpe@gnome.org>
Date:   Mon May 13 20:34:28 2013 +0200

    Version 2.39.0

 NEWS         | 3 +++
 configure.in | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit eff36f2adda868d0b75883336e8f9a9f8132e0f7
Author: Christian Persch <chpe@gnome.org>
Date:   Fri Aug 16 14:43:31 2013 +0200

    tests: Disable failing test
    
    This test fails in 2.37.0 already on F19.

 tests/Makefile.am | 1 -
 1 file changed, 1 deletion(-)

commit be7791ee9f0fddd3d0077db2854edc262f444e4b
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Jul 28 20:35:17 2013 +0200

    build: Fix build on F19

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e018fb1b1a4a2a2245d451d169fdaec93437cddb
Author: Christian Persch <chpe@gnome.org>
Date:   Mon May 13 20:34:09 2013 +0200

    docs: Tiny fix

 rsvg-base.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f01aded72c38f0e18bc7ff67dee800e380251c8e
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Feb 11 22:36:58 2013 +0100

    io: Implement strict load policy
    
    Allow any file to load from data:, and any resource to load from other
    resources. Only allow file: to load other file: URIs from below the path
    of the base file. Any other loads are denied.
    
    Bug #691708.

 rsvg-base.c    | 89 ++++++++++++++++++++++++++++++++++++++++++++++++++++------
 rsvg-io.c      |  2 +-
 rsvg-private.h |  4 +--
 3 files changed, 84 insertions(+), 11 deletions(-)

commit d83e426fff3f6d0fa6042d0930fb70357db24125
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Feb 11 22:36:30 2013 +0100

    io: Use XML_PARSE_NONET
    
    We don't want to load resources off the net.
    
    Bug #691708.

 rsvg-base.c | 3 +++
 rsvg-css.c  | 2 ++
 2 files changed, 5 insertions(+)

commit 56d0018d911eb5783f22125d9893fce075778c64
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Mar 3 20:32:09 2013 +0100

    io: Resolve relative URIs

 rsvg-base.c | 81 ++++++++++++++++++++++++++++++++++++++++++++++++-------------
 1 file changed, 64 insertions(+), 17 deletions(-)

commit fadaab734988a6f16a5af2c7a5bd856f3f0df37e
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Feb 11 22:04:16 2013 +0100

    build: Use -Wno-aggregate-return
    
    It's just too noisy.

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 954a1a2680e9bedfbfdd08c2cab309c4bdebbf2b
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Jan 10 07:28:10 2013 -0500

    2.37.0

 NEWS         | 4 ++++
 configure.in | 4 ++--
 2 files changed, 6 insertions(+), 2 deletions(-)

commit 4e1b6d2bb7779ad3c61a532905a88cf7a662df5e
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Jan 3 08:13:56 2013 -0500

    Mark the pixbuf loader as thread-safe
    
    gdk-pixbuf 2.28 will ignore loaders that are not marked
    as thread-safe.

 gdk-pixbuf-loader/io-svg.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a9ec059d7b0621cda8cd5686ca456f468e8a16e4
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Jan 3 08:13:18 2013 -0500

    Bump pango requirement
    
    Require 1.32.6, which is thread-safe.
    https://bugzilla.gnome.org/show_bug.cgi?id=691068

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9f4bd58fe6f3afdc94f327d4025425d6bb854087
Author: Hans Nieser <hans@nieser.nl>
Date:   Sun Dec 16 18:47:53 2012 +0100

    build: Fix typo
    
    https://bugzilla.gnome.org/show_bug.cgi?id=690296

 gdk-pixbuf-loader/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a81f4a201d17dea820352514a5fef7c1dc8310e0
Author: Jean-Baptiste Lallement <jean-baptiste@canonical.com>
Date:   Tue Oct 23 12:26:22 2012 +0200

    tests/Makefile.am: Added explicit link to LIBRSVG_LIBS
    
    https://bugzilla.gnome.org/show_bug.cgi?id=686696

 tests/Makefile.am | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit a7b77107e62527e9839351215028d6548a4b8ee5
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Oct 16 01:00:02 2012 +0200

    Post release version bump

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 77a7bdffc15b1c8534259e0cae0df70922e543d0
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Oct 16 00:57:06 2012 +0200

    Version 2.36.4

 NEWS         | 3 +++
 configure.in | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit 31251360fb506ada00c19205a15cc36da2f71b08
Author: Adam Sampson <ats-gnomebugs@offog.org>
Date:   Fri Oct 12 22:12:51 2012 +0200

    build: Link test with libm
    
    https://bugzilla.gnome.org/show_bug.cgi?id=685678

 tests/Makefile.am | 3 +++
 1 file changed, 3 insertions(+)

commit 327af83c46550d4ebe139a5b0dfc20b2542f5fc4
Author: Christian Persch <chpe@gnome.org>
Date:   Fri Oct 12 22:12:04 2012 +0200

    build: Fix dependencies

 gdk-pixbuf-loader/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bb2233a1ce38a74acf9c7a0f34f4d2e2d7b734d5
Author: Christian Persch <chpe@gnome.org>
Date:   Wed Sep 5 12:32:07 2012 +0200

    tools: Print errors to stderr
    
    https://bugzilla.gnome.org/show_bug.cgi?id=683380

 tools/rsvg-tools-main.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 2f15735cf352c3f526a9d0afb98269c7c8317521
Author: Christian Persch <chpe@gnome.org>
Date:   Wed Sep 5 12:32:07 2012 +0200

    rsvg-convert: Print errors to stderr
    
    https://bugzilla.gnome.org/show_bug.cgi?id=683380

 rsvg-convert.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 87f15a4b546ca3de2f4a097ecbf3dcc1c27926bb
Author: Christian Persch <chpe@gnome.org>
Date:   Wed Sep 5 12:32:07 2012 +0200

    rsvg-view: Print errors to stderr
    
    https://bugzilla.gnome.org/show_bug.cgi?id=683380

 test-display.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ca325b1f8216af25d68eaf761e770fdbeba900db
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Sep 2 14:03:31 2012 +0200

    Version 2.36.3

 NEWS         | 3 +++
 configure.in | 2 +-
 2 files changed, 4 insertions(+), 1 deletion(-)

commit e4d2606626606b4b06337d3df73d0d74ba768e70
Author: Adrian Bunk <bunk@stusta.de>
Date:   Wed Aug 29 23:41:52 2012 +0300

    Remove .cvsignore files
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682983

 .cvsignore                            | 39 -----------------------------------
 gdk-pixbuf-loader/.cvsignore          |  2 --
 gtk-engine/.cvsignore                 |  2 --
 gtk-engine/examples/.cvsignore        |  2 --
 gtk-engine/examples/bubble/.cvsignore |  2 --
 5 files changed, 47 deletions(-)

commit 60cca884e596fcb0afb50d8b6144f81467534c0a
Author: John Ralls <jralls@ceridwen.us>
Date:   Wed Aug 22 14:29:50 2012 -0700

    Bug 682506: Correct the have_gtk_2 test

 configure.in | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 4c776f81c0ec28c8a1f9f968a30de7cb3f216191
Author: Alexandre Rostovtsev <tetromino@gentoo.org>
Date:   Sun Aug 19 20:00:45 2012 -0400

    Rsvg-2.0-custom.vala, Rsvg-2.0.metadata missing from tarball
    
    https://bugzilla.gnome.org/show_bug.cgi?id=682217

 Makefile.am | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 9b9ed1c8fad4f0472d38a7bb0d0fe13893d529cb
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Aug 19 19:39:22 2012 +0200

    Version 2.36.2

 NEWS | 6 ++++++
 1 file changed, 6 insertions(+)

commit 5250092123e250d76b4bbbb8d518218d4c2ff032
Author: Evan Nemerson <evan@coeus-group.com>
Date:   Tue Jun 12 16:47:36 2012 -0700

    introspection: clean up lots of warnings emitted by g-ir-scanner

 rsvg-base.c         | 18 +++++++++---------
 rsvg-cairo-render.c |  4 ++--
 rsvg-css.c          |  8 +++++++-
 rsvg-filter.c       | 21 +++++++++++++--------
 rsvg-paint-server.c | 10 +++++++---
 rsvg-path.c         |  3 ++-
 rsvg-styles.c       |  4 ++--
 rsvg.h              | 32 ++++++++++++--------------------
 8 files changed, 54 insertions(+), 46 deletions(-)

commit cbe67e8500fea3f06b03ebd7e33cdc9bdc9228a4
Author: Colin Walters <walters@verbum.org>
Date:   Tue Jun 19 09:55:54 2012 -0400

    Fix build regression in previous commit

 librsvg-features.h.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f7ad04b70761152aefee15109d5d92a87d0e9054
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Jun 19 14:05:37 2012 +0200

    Tidy code

 librsvg-features.c    | 8 ++++----
 librsvg-features.h.in | 2 +-
 2 files changed, 5 insertions(+), 5 deletions(-)

commit b3ef458bd0ed9692a033f91562a743b97fc8fc4e
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Jun 19 13:56:42 2012 +0200

    Hide some deprecated stuff from the GI scanner
    
    And remove definitions for librsvg_{pre,post}init which have no implementation.

 librsvg-features.h.in | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 729a3d6b6486faa92c7a56a5a4f5bf04173c8624
Author: Evan Nemerson <evan@coeus-group.com>
Date:   Thu Jun 14 14:50:12 2012 -0700

    Add Vala bindings
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677676

 .gitignore            |  2 +-
 Makefile.am           | 20 ++++++++++-
 Rsvg-2.0-custom.vala  | 37 ++++++++++++++++++++
 Rsvg-2.0.metadata     |  2 ++
 configure.in          |  5 +++
 librsvg-features.h.in |  2 +-
 m4/vapigen.m4         | 96 +++++++++++++++++++++++++++++++++++++++++++++++++++
 7 files changed, 161 insertions(+), 3 deletions(-)

commit 4f0d0cdb8f748a0d1184bccc8d81278c44ed953d
Author: Colin Walters <walters@verbum.org>
Date:   Wed Jun 13 21:58:59 2012 -0400

    build: Ensure enum types are in BUILT_SOURCES

 Makefile.am | 2 ++
 1 file changed, 2 insertions(+)

commit f8e7e259a7d617a4d9244ee0183ca1dc1dbfb5a4
Author: Evan Nemerson <evan@coeus-group.com>
Date:   Sun Jun 10 18:28:34 2012 -0700

    introspection: assorted fixes to avoid Vala regressions
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677674

 Makefile.am    |  1 +
 rsvg-base.c    | 16 ++++++++--------
 rsvg-gobject.c | 21 +++++++++++++++++++++
 rsvg.c         |  2 +-
 rsvg.h         |  2 ++
 5 files changed, 33 insertions(+), 9 deletions(-)

commit 3b8adaa7e780b85695306292dfb23107d219bb34
Author: Evan Nemerson <evan@coeus-group.com>
Date:   Sun Jun 10 18:17:58 2012 -0700

    Deprecate including headers other than rsvg.h

 Makefile.am             | 7 ++++---
 librsvg-features.c      | 2 +-
 librsvg-features.h.in   | 4 ++++
 rsvg-cairo.h            | 4 ++++
 rsvg-convert.c          | 1 -
 rsvg-gobject.c          | 2 +-
 rsvg.h                  | 8 ++++++++
 test-display.c          | 1 -
 tools/rsvg-tools-main.c | 1 -
 9 files changed, 22 insertions(+), 8 deletions(-)

commit a4a7c412f46d9cd11bb5884840a592fb2df0db0c
Author: Evan Nemerson <evan@coeus-group.com>
Date:   Fri Jun 8 16:07:34 2012 -0700

    Update .gitignore to include lots more generated files

 .gitignore | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit e9fe299e6fcb386bce5cac2de41da3fd56022437
Author: Christian Persch <chpe@gnome.org>
Date:   Fri Jun 8 01:40:33 2012 +0200

    Move rsvg_file_get_path definition to rsvg-io.h
    
    This is the right place since the impl is already in rsvg-io.c, and fixes
    a bug due to a missing declaration.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677661

 rsvg-defs.c  | 3 +--
 rsvg-image.h | 2 --
 rsvg-io.c    | 5 +++--
 rsvg-io.h    | 4 ++++
 4 files changed, 8 insertions(+), 6 deletions(-)

commit ab54b1f4ae28134f2f21bd073ae05eb0e940c6af
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Apr 16 19:11:58 2012 +0200

    Post release version bump

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a56596be070f67e92d031bd498d32fa1dddc3f00
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Apr 16 19:07:12 2012 +0200

    Versio 2.36.1

 NEWS | 3 +++
 1 file changed, 3 insertions(+)

commit 540f68dc2b6fe041d38b92e9a0077f5ce4d1bbe0
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Apr 16 19:05:03 2012 +0200

    rsvg-view: Better error message

 test-display.c | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit 3b246c8cf907b0f2ed491b4fe452bb7f3ee55cfc
Author: Alexandre Rostovtsev <tetromino@gentoo.org>
Date:   Sun Apr 8 14:18:24 2012 -0400

    Rename rsvg.1 to rsvg-convert.1 and update for rsvg-convert's options
    
    https://bugzilla.gnome.org/show_bug.cgi?id=673748

 Makefile.am    |  4 +---
 rsvg-convert.1 | 55 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 rsvg.1         | 43 -------------------------------------------
 3 files changed, 56 insertions(+), 46 deletions(-)

commit 6eac8e0d6dba40a46942018d4bac56d1c6e29afc
Author: Robert Ancell <robert.ancell@canonical.com>
Date:   Tue Mar 27 14:55:47 2012 +1100

    gtk-engine: Link against GModule
    
    https://bugzilla.gnome.org/show_bug.cgi?id=672885

 configure.in           | 2 ++
 gtk-engine/Makefile.am | 2 ++
 2 files changed, 4 insertions(+)

commit 57fcce888639cfb08e0dcd28de3030ccd912712b
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Mar 26 18:09:49 2012 +0200

    build: Remove obsolete file
    
    https://bugzilla.gnome.org/show_bug.cgi?id=672791

 Makefile.am  |  1 -
 configure.in |  6 +++++-
 librsvg.def  | 45 ---------------------------------------------
 3 files changed, 5 insertions(+), 47 deletions(-)

commit 2b73445c2bd2a9d3121d71a36f7248e8986117a7
Author: Felix Riemann <friemann@gnome.org>
Date:   Fri Mar 23 22:13:53 2012 +0100

    Add some extra parentheses to fix GCC warnings
    
    These can occur when using the -Wparentheses parameter.
    
    Bug #672725.

 rsvg-css.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 286e3f084b2abc5a6b27ad1c9c0d9c3e040c50de
Author: Felix Riemann <friemann@gnome.org>
Date:   Fri Mar 23 21:51:08 2012 +0100

    Remove now unused or unneeded variables and functions
    
    Fixes compiler warnings when -Wunused-variable and -Wunused-functions
    compiler switches are enabled.
    
    Bug #672725.

 rsvg-base.c       | 4 ----
 rsvg-cairo-draw.c | 7 -------
 rsvg-io.c         | 5 -----
 rsvg.c            | 8 --------
 test-display.c    | 6 ------
 5 files changed, 30 deletions(-)

commit 5b97a8f0afea75f8d318d3c8a71a4658ac58616f
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Mar 26 14:22:08 2012 +0200

    build: Add more compiler warnings

 configure.in | 52 +++++++++++++++++++++++++---------------------------
 1 file changed, 25 insertions(+), 27 deletions(-)

commit 0d3c3b2e257a777ef75c216fed47914916bd8afa
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Mar 26 14:14:41 2012 +0200

    Post release version bump

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c856a4f4f47ff508a80f60a1bd4c4025879d8970
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Mar 26 14:13:06 2012 +0200

    build: Fix distcheck

 Makefile.am | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 9975a6ddff95a05283c743bd687ba8055a176d37
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Mar 26 14:09:08 2012 +0200

    Version 2.36.0

 NEWS         | 3 +++
 configure.in | 4 ++--
 2 files changed, 5 insertions(+), 2 deletions(-)

commit 84f1ca128e847e003dd7f082d2742b037b645f34
Author: Felix Riemann <friemann@gnome.org>
Date:   Fri Mar 23 22:03:19 2012 +0100

    Add forgotten return value in error case
    
    Fix GCC warnings when using the -Wreturn-type parameter.
    
    Bug #672725.

 rsvg-cairo-draw.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 37ca8719be7946052780b14901d8befa56c24074
Author: Felix Riemann <friemann@gnome.org>
Date:   Fri Mar 23 22:00:04 2012 +0100

    Fix variables that could be accessed uninitialized
    
    Fix warnings when building with -Wuninitialized.
    
    Bug #672725.

 rsvg-base.c   | 3 +++
 rsvg-filter.c | 1 -
 2 files changed, 3 insertions(+), 1 deletion(-)

commit af195a668771731819d158addb7a0c6f634afc1a
Author: Maarten Bosmans <mkbosmans@gmail.com>
Date:   Mon Mar 26 14:00:17 2012 +0200

    build: Also look for gdk-pixbuf-query-loaders-64
    
    https://bugzilla.gnome.org/show_bug.cgi?id=672792

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2e1c7a77b1dd34bea31c38460f2e60e9cb665ade
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Mar 19 22:29:14 2012 +0100

    styles: Don't try parsing empty <style>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=672414

 configure.in  | 2 +-
 rsvg-styles.c | 4 +++-
 2 files changed, 4 insertions(+), 2 deletions(-)

commit c8f972635535c5961063e8a16dbbf74f4aaac816
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Feb 21 13:38:24 2012 +0100

    rsvg-view: Plug a mem leak
    
    ==9159== 48 bytes in 1 blocks are definitely lost in loss record 5,116 of 6,936
    ==9159==    at 0x402AD89: malloc (vg_replace_malloc.c:236)
    ==9159==    by 0x4D19714: standard_malloc (gmem.c:85)
    ==9159==    by 0x4D197B7: g_malloc (gmem.c:159)
    ==9159==    by 0x4D301D1: g_slice_alloc (gslice.c:1003)
    ==9159==    by 0x4D30217: g_slice_alloc0 (gslice.c:1029)
    ==9159==    by 0x4A3067F: g_type_create_instance (gtype.c:1872)
    ==9159==    by 0x4A19C79: g_object_constructor (gobject.c:1839)
    ==9159==    by 0x4A1937A: g_object_newv (gobject.c:1622)
    ==9159==    by 0x4A19168: g_object_new (gobject.c:1532)
    ==9159==    by 0x47CFFCF: _g_local_file_input_stream_new (glocalfileinputstream.c:152)
    ==9159==    by 0x47C905D: g_local_file_read (glocalfile.c:1339)
    ==9159==    by 0x46FEB6A: g_file_read (gfile.c:1481)
    ==9159==    by 0x804C061: main (test-display.c:707)

 test-display.c | 1 +
 1 file changed, 1 insertion(+)

commit a5b74adacff2fa779b97ab9c48662cb8bd71d2f3
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Feb 7 13:44:21 2012 +0100

    gtk-engine: Don't install anything for gtk3
    
    https://bugzilla.gnome.org/show_bug.cgi?id=669563

 gtk-engine/examples/bubble/Makefile.am | 6 ------
 1 file changed, 6 deletions(-)

commit c435d5d5da9075b019faaf4a327f4c103358cd8f
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Feb 6 21:00:21 2012 +0100

    Post release version bump

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 70f7dede593450dc2efcacbc9f536b8da66fe5f7
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Feb 6 20:53:56 2012 +0100

    tests: Use type attribute on <style>

 tests/fixtures/styles/bug614643.svg | 2 +-
 tests/fixtures/styles/bug614704.svg | 2 +-
 tests/fixtures/styles/order.svg     | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 20abafc41733870cf97cbec1fa5a8f44295f307c
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Feb 6 20:30:43 2012 +0100

    Version 2.35.2

 NEWS | 3 +++
 1 file changed, 3 insertions(+)

commit a3c9aaa77fadd8a56aec314563a1357eac296d91
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Jan 30 20:26:23 2012 +0100

    Plug a mem leak
    
    Don't leak the GFile.
    
    ==2493== 46 (16 direct, 30 indirect) bytes in 1 blocks are definitely lost in loss record 579 of 921
    ==2493==    at 0x402AD89: malloc (vg_replace_malloc.c:236)
    ==2493==    by 0x45772DA: standard_malloc (gmem.c:85)
    ==2493==    by 0x4577680: g_malloc (gmem.c:159)
    ==2493==    by 0x458B29D: g_slice_alloc (gslice.c:1003)
    ==2493==    by 0x458B805: g_slice_alloc0 (gslice.c:1029)
    ==2493==    by 0x426DBA7: g_type_create_instance (gtype.c:1872)
    ==2493==    by 0x4250717: g_object_constructor (gobject.c:1839)
    ==2493==    by 0x4252488: g_object_newv (gobject.c:1622)
    ==2493==    by 0x4252A17: g_object_new (gobject.c:1532)
    ==2493==    by 0x4176D3A: _g_local_file_new (glocalfile.c:288)
    ==2493==    by 0x417EA84: g_local_vfs_get_file_for_uri (glocalvfs.c:110)
    ==2493==    by 0x410E8DB: g_vfs_get_file_for_uri (gvfs.c:130)
    ==2493==    by 0x40C93DE: g_file_new_for_uri (gfile.c:5893)
    ==2493==    by 0x403A59F: _rsvg_io_acquire_data (rsvg-io.c:265)

 rsvg-io.c | 1 +
 1 file changed, 1 insertion(+)

commit 31316136a9a0c5157dc37c1c73be4691180e1bba
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Jan 29 19:16:54 2012 +0100

    rsvg-view: Better error message

 test-display.c | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit a22a60d54517b83882d02e8c0e058a8cabaa47b9
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Jan 28 18:32:21 2012 +0100

    Use mime types instead of content types
    
    Instead of converting back and forth, just use the mime types
    directly.

 rsvg-base.c   | 16 +++++++-------
 rsvg-image.c  |  9 +++-----
 rsvg-io.c     | 71 ++++++++++++++++++++++++++++++++---------------------------
 rsvg-io.h     |  4 ++--
 rsvg-styles.c | 22 +++++++++---------
 5 files changed, 62 insertions(+), 60 deletions(-)

commit 4af98a95c59d159bdb551a0cef949e7e7118055f
Author: Christian Persch <chpe@gnome.org>
Date:   Fri Jan 27 22:52:32 2012 +0100

    Create type specific gdk-pixbuf loader
    
    When we know the mime type of the content, use
    gdk_pixbuf_loader_new_with_mime_type().

 rsvg-image.c | 18 ++++++++++++++++--
 1 file changed, 16 insertions(+), 2 deletions(-)

commit 8ccf8d07dd3e279bf3ed8c4a8c44cd3320541de4
Author: Christian Persch <chpe@gnome.org>
Date:   Fri Jan 27 22:45:22 2012 +0100

    Only apply CSS if its content type is text/css

 rsvg-base.c   | 13 +++++++++----
 rsvg-styles.c | 15 ++++++++++++---
 2 files changed, 21 insertions(+), 7 deletions(-)

commit cf1c41c94f50b20fff4a29fc4ca5fca2bee2a18b
Author: Christian Persch <chpe@gnome.org>
Date:   Fri Jan 27 22:22:22 2012 +0100

    Obey the passed-in cancellable
    
    Add GCancellable argument to _rsvg_io_acquire_*, and pass the
    cancellable passed to rsvg_handle_read_stream_sync() down.

 rsvg-base-file-util.c |  2 +-
 rsvg-base.c           | 32 ++++++++++++++++++++++++--------
 rsvg-file-util.c      |  2 +-
 rsvg-gobject.c        |  3 +++
 rsvg-io.c             | 25 +++++++++++++++----------
 rsvg-io.h             |  2 ++
 rsvg-private.h        |  1 +
 7 files changed, 47 insertions(+), 20 deletions(-)

commit c72df0b0ab0cc5db48192535e9776efd6b46c51d
Author: Christian Persch <chpe@gnome.org>
Date:   Fri Jan 27 21:59:28 2012 +0100

    Add content_type out param to _rsvg_io_acquire_*

 rsvg-base-file-util.c |   2 +-
 rsvg-base.c           |  13 +++++--
 rsvg-defs.c           |   2 +-
 rsvg-file-util.c      |   2 +-
 rsvg-image.c          |   2 +-
 rsvg-io.c             | 104 ++++++++++++++++++++++++++++++++++++--------------
 rsvg-io.h             |   2 +
 rsvg-private.h        |   2 +
 rsvg-styles.c         |   1 +
 9 files changed, 94 insertions(+), 36 deletions(-)

commit eb2b2c094fa4aa9dab43d443267b1b96983e8165
Author: Christian Persch <chpe@gnome.org>
Date:   Fri Jan 27 21:09:31 2012 +0100

    Improve decoding of data: URIs
    
    Support non-base64 data: URIs, and also get the content type out.
    Code adapted from libsoup.

 rsvg-io.c | 113 +++++++++++++++++++++++++++++++++++++++++++++++++-------------
 1 file changed, 90 insertions(+), 23 deletions(-)

commit ad697bfd6c72835c0fe88dd65d0512ea596f3c97
Author: Christian Persch <chpe@gnome.org>
Date:   Fri Jan 27 20:44:57 2012 +0100

    Don't do fallback for data: URIs
    
    When the scheme is "data", just treat it like that, and don't fall back
    to trying file or gvfs. Also make sure to always set the error!

 rsvg-io.c | 24 ++++++++++++++++--------
 1 file changed, 16 insertions(+), 8 deletions(-)

commit ada09403736c41465fa23fea9ef09e9c837d1685
Author: Christian Persch <chpe@gnome.org>
Date:   Fri Jan 27 15:35:52 2012 +0100

    Don't overwrite GErrors

 rsvg-io.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit a2e869cb700c13804056820fd4afa215e551b9c5
Author: Christian Persch <chpe@gnome.org>
Date:   Thu Jan 26 21:17:31 2012 +0100

    Add permission check before loading other files
    
    Wrap _rsvg_io_acquire_* in _rsvg_handle_acquire_* that first
    checks whether the load should be allowed. For the moment, always allow
    the load; more restricted policies will be introduced in a follow-up commit.

 rsvg-base.c    | 69 +++++++++++++++++++++++++++++++++++++++++++---------------
 rsvg-defs.c    | 16 +++++---------
 rsvg-defs.h    |  6 ++---
 rsvg-filter.c  |  4 ++--
 rsvg-gobject.c |  3 ++-
 rsvg-image.c   | 10 ++++-----
 rsvg-image.h   |  2 +-
 rsvg-io.h      |  2 --
 rsvg-private.h | 19 ++++++++++++++++
 rsvg-styles.c  |  9 ++++----
 10 files changed, 92 insertions(+), 48 deletions(-)

commit cd6700bb4852466bd1d700774c0fce4dde25c6e6
Author: Christian Persch <chpe@gnome.org>
Date:   Thu Jan 26 20:02:50 2012 +0100

    Mark non-exported functions with G_GNUC_INTERNAL
    
    And regenerate librsvg.def.

 Makefile.am         |  2 +-
 librsvg.def         | 60 ++++++++++++++++++++++++++---------------------------
 rsvg-base.c         |  3 +++
 rsvg-cairo-clip.h   |  1 +
 rsvg-cairo-draw.h   |  9 +++++++-
 rsvg-cairo-render.h |  3 +++
 rsvg-css.h          | 22 +++++++++++++++-----
 rsvg-defs.h         |  9 ++++++++
 rsvg-filter.h       | 23 +++++++++++++++++++-
 rsvg-image.h        |  7 ++++---
 rsvg-io.h           |  2 ++
 rsvg-marker.h       |  4 ++++
 rsvg-mask.h         |  4 ++++
 rsvg-paint-server.h | 12 +++++++++++
 rsvg-path.h         | 12 +++++++----
 rsvg-private.h      | 43 +++++++++++++++++++++++++++-----------
 rsvg-shapes.h       |  7 +++++++
 rsvg-structure.h    | 15 +++++++++++++-
 rsvg-styles.h       | 23 ++++++++++++++++++++
 rsvg-text.c         |  2 +-
 rsvg-text.h         |  4 ++++
 21 files changed, 208 insertions(+), 59 deletions(-)

commit f31e5df57d2527b16beed3181e05ed44a7be2d4b
Author: Christian Persch <chpe@gnome.org>
Date:   Thu Jan 26 19:45:46 2012 +0100

    Remove _rsvg_register_types
    
    It was only used to work around bug 357406 and bug 362217 in the now-obsolete
    gtk2 engine. Just make that module resident instead, and use proper
    G_DEFINE_TYPE macro for RsvgHandle.

 gtk-engine/svg-main.c |  8 +++++--
 librsvg.def           |  1 -
 rsvg-gobject.c        | 58 +++++++++------------------------------------------
 rsvg-private.h        |  2 --
 4 files changed, 16 insertions(+), 53 deletions(-)

commit ac8d26c9c6b7f5f86fa8600f6daf4e5f356f3190
Author: Christian Persch <chpe@gnome.org>
Date:   Thu Jan 26 19:33:02 2012 +0100

    Don't export private function _rsvg_size_callback
    
    Move it to its own file, and include that in rsvg-convert and the tests.

 Makefile.am          |  10 ++++-
 librsvg.def          |   1 -
 rsvg-convert.c       |   1 +
 rsvg-file-util.c     |  80 +--------------------------------------
 rsvg-private.h       |  21 +----------
 rsvg-size-callback.c | 103 +++++++++++++++++++++++++++++++++++++++++++++++++++
 rsvg-size-callback.h |  52 ++++++++++++++++++++++++++
 test-display.c       |   1 +
 tests/Makefile.am    |   4 +-
 tests/rsvg-test.c    |   1 +
 10 files changed, 172 insertions(+), 102 deletions(-)

commit acaa6c6f3a3c2e6593e1c2262e7b8c86d747af57
Author: William Lachance <wrlach@gmail.com>
Date:   Mon Jan 16 17:40:58 2012 +0100

    Fix the build
    
    https://bugzilla.gnome.org/show_bug.cgi?id=668030

 Makefile.am | 1 -
 1 file changed, 1 deletion(-)

commit fd76212e2dc8e41b2c23d6e76c02cc7803da4a12
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Jan 14 17:00:13 2012 +0100

    Remove obsolete script
    
    https://bugzilla.gnome.org/show_bug.cgi?id=580325

 Makefile.am  |  1 -
 configure.in |  4 ----
 rsvg.in      | 73 ------------------------------------------------------------
 3 files changed, 78 deletions(-)

commit 7624bfc042e0b359ad0f4c1821d8312243f84587
Author: Christian Persch <chpe@gnome.org>
Date:   Fri Jan 13 01:37:16 2012 +0100

    rsvg-view: Always initialise variable

 test-display.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 793684eedda01272dda744bfbbaaedd875b30711
Author: Christian Persch <chpe@gnome.org>
Date:   Fri Jan 13 00:29:38 2012 +0100

    Plug a mem leak
    
    ==25857== 64 bytes in 1 blocks are definitely lost in loss record 106 of 145
    ==25857==    at 0x402AD89: malloc (vg_replace_malloc.c:236)
    ==25857==    by 0x45CDD4A: standard_malloc (gmem.c:85)
    ==25857==    by 0x45CE0F0: g_malloc (gmem.c:159)
    ==25857==    by 0x45E38AA: g_strdup (gstrfuncs.c:356)
    ==25857==    by 0x4039F7F: rsvg_get_file_path (rsvg-io.c:64)
    ==25857==    by 0x4039FDF: rsvg_acquire_file_data (rsvg-io.c:98)

 rsvg-io.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit ebd0d1a02aeeb57c64d8e0daf5f37ff4a35f116b
Author: Christian Persch <chpe@gnome.org>
Date:   Fri Jan 13 00:17:12 2012 +0100

    Fix an ABI compat problem
    
    rsvg_cairo_to_pixbuf was removed in commit 95c359713a51b02a5e6693fd741dff20d08be7ae,
    but it was exported. So let's add it back, to maintain ABI compatibility.
    https://bugzilla.gnome.org/show_bug.cgi?id=666868

 rsvg-cairo-draw.c | 31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

commit f95c9c2a8c99a6d096029c1483ad8c9b37376a94
Author: Maarten Bosmans <mkbosmans@gmail.com>
Date:   Fri Jan 13 00:12:40 2012 +0100

    rsvg-view: Make this a GUI app for Windows
    
    https://bugzilla.gnome.org/show_bug.cgi?id=666866

 Makefile.am | 4 ++++
 1 file changed, 4 insertions(+)

commit 1291ebc3a5cb8addfa97aa56365f15e2427beb22
Author: Christian Persch <chpe@gnome.org>
Date:   Thu Jan 12 22:13:02 2012 +0100

    Split IO handling to rsvg-io.[ch]
    
    Add rsvg-io.[ch], move the code there, clean it up, and adapt the callers.

 Makefile.am           |   2 +
 rsvg-base-file-util.c |  20 ++---
 rsvg-base.c           | 153 ++++++++++++++++++++--------------
 rsvg-defs.c           |  12 +--
 rsvg-file-util.c      |  28 ++++---
 rsvg-image.c          | 156 ++--------------------------------
 rsvg-io.c             | 225 ++++++++++++++++++++++++++++++++++++++++++++++++++
 rsvg-io.h             |  38 +++++++++
 rsvg-private.h        |   3 -
 rsvg-styles.c         |  33 ++++----
 rsvg-styles.h         |   1 -
 11 files changed, 416 insertions(+), 255 deletions(-)

commit 47920ba6e3106e9c50e93e5546f536590e791b19
Author: Christian Persch <chpe@gnome.org>
Date:   Fri Jan 13 00:04:48 2012 +0100

    Don't parse CSS when the mime type isn't text/css
    
    https://bugzilla.gnome.org/show_bug.cgi?id=514268

 rsvg-base.c | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit 80391e1019fa1a938aefef61eab27dca94bce2a2
Author: Christian Persch <chpe@gnome.org>
Date:   Thu Jan 12 23:26:39 2012 +0100

    rsvg-view: Re-implement .svgz support

 test-display.c | 30 +++++++++++++++++++++++++++++-
 1 file changed, 29 insertions(+), 1 deletion(-)

commit 4f2c17460b1239ffd69dc5c2d9554112e620657f
Author: Angus Gratton <angus.gratton@anu.edu.au>
Date:   Thu Jan 5 12:20:29 2012 +1100

    Fix rendering of <text> tags when they contain <desc> tags or similar
    
    Bug #665824.

 rsvg-base.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2c2917c3c19fbc51503ef19300e09a0da457b1fe
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Dec 17 00:20:11 2011 +0100

    Rework rsvg-view
    
    Drop gtk2, use cairo surfaces instead of pixbuf, use GIO, load
    the SVG just once instead of every time we zoom or print, and
    remove some unused or unnecessary options.

 Makefile.am    |  26 ---
 librsvg.def    |   1 -
 test-display.c | 706 +++++++++++++++++++++++----------------------------------
 3 files changed, 281 insertions(+), 452 deletions(-)

commit af4e05f890cbe93d61d4e4a52f037e375d3126c4
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Dec 19 19:52:06 2011 +0100

    Post release version bump

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2a6c9e56a79599ddef50fe6a8c23cae4351076b4
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Dec 19 19:41:28 2011 +0100

    Version 2.35.1

 NEWS | 3 +++
 1 file changed, 3 insertions(+)

commit 797a4c2ae2a6d95e43966d5b84d1b7c1f24e6548
Author: Christian Persch <chpe@gnome.org>
Date:   Thu Dec 15 16:10:28 2011 +0100

    Unify desc, title and metadata handlers
    
    They're mostly identical, so merge the code into just one copy.

 rsvg-base.c | 214 ++++++++++++++++++++----------------------------------------
 1 file changed, 71 insertions(+), 143 deletions(-)

commit a61da7471f951317e665f90fea51badc57781a2c
Author: Christian Persch <chpe@gnome.org>
Date:   Thu Dec 15 15:43:29 2011 +0100

    Deprecate the title, desc, and metadata accessors
    
    They're unused except for bindings, according to codesearch. They're also
    implemented incorrectly (only allow retrieving the toplevel's data), and
    did I mention they're completely unused?

 rsvg-base.c |  6 ++++++
 rsvg.h      | 13 +++++++------
 2 files changed, 13 insertions(+), 6 deletions(-)

commit 320cac5008a6b0db5900098404b98eed9073ad57
Author: Christian Persch <chpe@gnome.org>
Date:   Thu Dec 15 15:30:32 2011 +0100

    Plug mem leaks
    
    When parsing an SVG file with <title>, <desc>, or <metadata> elements
    on more then one element, the result was that the last element's data
    won. Instead, only parse these elements on the toplevel <svg> element,
    since that's what the API exposes in
    rsvg_handle_get_{desc,title,metadata}.
    
    ==673== 44 (12 direct, 32 indirect) bytes in 1 blocks are definitely lost in loss record 3,849 of 5,438
    ==673==    at 0x402AD89: malloc (vg_replace_malloc.c:236)
    ==673==    by 0x4C4EB5A: standard_malloc (gmem.c:85)
    ==673==    by 0x4C4EF00: g_malloc (gmem.c:159)
    ==673==    by 0x4C62C7D: g_slice_alloc (gslice.c:1003)
    ==673==    by 0x4C66AD9: g_string_sized_new (gstring.c:121)
    ==673==    by 0x4C67116: g_string_new (gstring.c:147)
    ==673==    by 0x4059306: rsvg_start_element (rsvg-base.c:403)
    
    ==673== 44 (12 direct, 32 indirect) bytes in 1 blocks are definitely lost in loss record 3,850 of 5,438
    ==673==    at 0x402AD89: malloc (vg_replace_malloc.c:236)
    ==673==    by 0x4C4EB5A: standard_malloc (gmem.c:85)
    ==673==    by 0x4C4EF00: g_malloc (gmem.c:159)
    ==673==    by 0x4C62C7D: g_slice_alloc (gslice.c:1003)
    ==673==    by 0x4C66AD9: g_string_sized_new (gstring.c:121)
    ==673==    by 0x4C67116: g_string_new (gstring.c:147)
    ==673==    by 0x4059306: rsvg_start_element (rsvg-base.c:403)
    
    https://bugzilla.gnome.org/show_bug.cgi?id=665824

 rsvg-base.c | 48 +++++++++++++++++++++++++++++++++++++++---------
 1 file changed, 39 insertions(+), 9 deletions(-)

commit 2aad12dc58e4f99642683970d26839dedc0ef4ae
Author: Hans de Goede <jwrdegoede@fedoraproject.org>
Date:   Sat Dec 10 21:04:49 2011 +0100

    Fix rsvg.h causing an "internal" deprated warning
    
    Before this patch rsvg.h marks the RsvgSizeFunc *type* as deprecated, and
    then uses it to declare other deprecated functions, causing gcc to always
    emit a depecrated warning as soon as rsvg.h is included. This breaks
    compilation of apps which compile with -Werror.
    
    Fix this by not making the RsvgSizeFunc type deprecated, but leaving
    the function prototypes using it as deprecated.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=665905

 rsvg.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9ab81da702fe3b86bce1724452d097712822b037
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Dec 3 19:13:18 2011 +0100

    Simplify angle handling

 rsvg-filter.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f0621f3aca35df40370e8ad8c827d8a016214840
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Dec 3 18:31:46 2011 +0100

    Plug a refount leak
    
    ==9147== 691,200 bytes in 1 blocks are possibly lost in loss record 5,494 of 5,494
    ==9147==    at 0x4029467: calloc (vg_replace_malloc.c:467)
    ==9147==    by 0x518BB09: _pixman_bits_image_init (pixman-bits-image.c:1437)
    ==9147==    by 0x518BBD7: pixman_image_create_bits (pixman-bits-image.c:1503)
    ==9147==    by 0x499CD4E: _cairo_image_surface_create_with_pixman_format (cairo-image-surface.c:329)
    ==9147==    by 0x499CE14: cairo_image_surface_create (cairo-image-surface.c:379)
    ==9147==    by 0x403EA89: _rsvg_image_surface_new (rsvg-filter.c:160)
    ==9147==    by 0x404112B: rsvg_filter_primitive_offset_render (rsvg-filter.c:1618)
    ==9147==    by 0x4049D6F: rsvg_filter_render (rsvg-filter.c:86)
    
    ==9147== 460 (288 direct, 172 indirect) bytes in 1 blocks are definitely lost in loss record 5,205 of 5,494
    ==9147==    at 0x402AD89: malloc (vg_replace_malloc.c:236)
    ==9147==    by 0x4999F1A: _cairo_image_surface_create_for_pixman_image (cairo-image-surface.c:158)
    ==9147==    by 0x499CD60: _cairo_image_surface_create_with_pixman_format (cairo-image-surface.c:335)
    ==9147==    by 0x499CE14: cairo_image_surface_create (cairo-image-surface.c:379)
    ==9147==    by 0x403EA89: _rsvg_image_surface_new (rsvg-filter.c:160)
    ==9147==    by 0x404112B: rsvg_filter_primitive_offset_render (rsvg-filter.c:1618)
    ==9147==    by 0x4049D6F: rsvg_filter_render (rsvg-filter.c:86)

 rsvg-filter.c | 2 ++
 1 file changed, 2 insertions(+)

commit 7e56ccac5e25aab873e7d7fc42271878853d1a7d
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Dec 3 18:30:02 2011 +0100

    Add NULL checks

 rsvg-filter.c | 128 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++--
 1 file changed, 125 insertions(+), 3 deletions(-)

commit 167533f0b308b6f4f5799b7ad3a29d40c8d9fc1a
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Nov 29 00:05:36 2011 +0100

    Fix refcount problem
    
    Need to reference the source surface put into the results stack. This fixes
    a regression introduced in commit 1b3d2ea55a1be67e0548bf76903ff905888e2e18.

 rsvg-filter.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1af28cd186ace50c87ce8d90203c52f50ed45f83
Author: KUROSAWA Takeshi <taken.spc@gmail.com>
Date:   Sat Nov 26 00:11:38 2011 +0900

    Support basic vertical writing (Gnome Bug #664533)
    
    Support vertical writing text (writing-mode: tb-rl | tb)
    http://www.w3.org/TR/SVG11/text.html#SettingInlineProgressionDirection
    
    Bump pango dependency to 1.16.0 to use its vertical text APIs.
    
    Currently, we ignore both glyph-orientation-vertical and
    glyph-orientation-horizontal.

 configure.in      |   2 +-
 rsvg-cairo-draw.c |  30 ++++++++++++---
 rsvg-styles.c     |  21 ++++++++---
 rsvg-styles.h     |   2 +
 rsvg-text.c       | 111 +++++++++++++++++++++++++++++++++++++++---------------
 5 files changed, 122 insertions(+), 44 deletions(-)

commit 52672aff2e8166f972a3461fbc4c7a311b7bb5e6
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Nov 27 22:59:14 2011 +0100

    Remove unused struct member

 rsvg-structure.h | 1 -
 1 file changed, 1 deletion(-)

commit 9cc9d6faabb82bb1cf3320239a44ad79fc45a64b
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Nov 27 22:57:21 2011 +0100

    Move definition to rsvg-filter.c
    
    Since that's the only place it's used.

 rsvg-filter.h  | 4 ++++
 rsvg-private.h | 5 -----
 2 files changed, 4 insertions(+), 5 deletions(-)

commit 6757170a5e4a25939d323cc9cb24cd6982cff237
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Nov 27 22:45:17 2011 +0100

    Flush the surface before accessing its pixels

 rsvg-filter.c | 41 +++++++++++++++++++++++++++++++++++++++--
 1 file changed, 39 insertions(+), 2 deletions(-)

commit a4eb1b8318d8db17d9f684ed4d9b14a60b20b326
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Nov 27 22:35:17 2011 +0100

    Remove unused function

 rsvg-image.c | 80 +++++++++++++++++++++++-------------------------------------
 rsvg-image.h |  2 --
 2 files changed, 31 insertions(+), 51 deletions(-)

commit 95c359713a51b02a5e6693fd741dff20d08be7ae
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Nov 27 22:31:20 2011 +0100

    Remove unused functions

 rsvg-cairo-draw.c | 54 ------------------------------------------------------
 rsvg-cairo-draw.h |  3 ---
 2 files changed, 57 deletions(-)

commit 1bc03686b1baaf469f131014ca6f8fb4f4bf6cfa
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Nov 27 22:29:37 2011 +0100

    Add rsvg_cairo_surface_to_pixbuf and use it

 rsvg-cairo-draw.c | 113 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 rsvg-private.h    |   1 +
 rsvg.c            |  36 +++++++----------
 3 files changed, 127 insertions(+), 23 deletions(-)

commit 7308a1b33787835a1228b7b3537d2af43d97558b
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Nov 27 21:47:24 2011 +0100

    Remove unused RsvgRender vfuncs
    
    The render_image and get_image_of_node vfuncs are obsoleted by the
    corresponding cairo_surface_t versions.

 rsvg-base.c         | 12 ---------
 rsvg-cairo-clip.c   |  9 -------
 rsvg-cairo-draw.c   | 74 -----------------------------------------------------
 rsvg-cairo-draw.h   |  4 ---
 rsvg-cairo-render.c |  2 --
 rsvg-private.h      |  7 -----
 6 files changed, 108 deletions(-)

commit dccf2281f56d893551bf8ba76ce6e131ea66c749
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Nov 27 21:40:23 2011 +0100

    NULL check before dereference
    
    ... not afterwards!

 rsvg-filter.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e7e5622c39157f1e6880cb24b7949344a182f5fb
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Nov 27 21:24:45 2011 +0100

    Use cairo image surfaces
    
    ... instead of GdkPixbufs to store the filter results.

 rsvg-base.c         |   9 +
 rsvg-cairo-clip.c   |  11 +
 rsvg-cairo-draw.c   | 202 +++++++++------
 rsvg-cairo-draw.h   |   2 +
 rsvg-cairo-render.c |   1 +
 rsvg-filter.c       | 726 +++++++++++++++++++++++++++-------------------------
 rsvg-image.c        |  44 +++-
 rsvg-image.h        |   6 +-
 rsvg-private.h      |   5 +
 9 files changed, 569 insertions(+), 437 deletions(-)

commit c1981e0d7f28246cf918aca2084c9d2d9497930c
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Nov 27 00:03:18 2011 +0100

    Make _rsvg_pixbuf_new_cleared static and remove always-same parameters

 rsvg-filter.c  | 41 ++++++++++++++++++++---------------------
 rsvg-private.h |  2 --
 2 files changed, 20 insertions(+), 23 deletions(-)

commit 5a9fb9e348ca8ebe182797d5750dea60a37357ea
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Nov 26 23:58:13 2011 +0100

    Make some functions static

 rsvg-filter.c | 4 ++--
 rsvg-filter.h | 7 -------
 2 files changed, 2 insertions(+), 9 deletions(-)

commit 1b3d2ea55a1be67e0548bf76903ff905888e2e18
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Nov 26 23:33:34 2011 +0100

    Make filters render to a surface
    
    ... instead of into a GdkPixbuf.

 rsvg-cairo-draw.c   | 70 ++++++++++++++++++-----------------------------------
 rsvg-cairo-render.c |  2 +-
 rsvg-cairo-render.h |  2 +-
 rsvg-filter.c       | 60 ++++++++++++++++++++++++++++++++++++---------
 rsvg-filter.h       |  7 ++++--
 5 files changed, 80 insertions(+), 61 deletions(-)

commit 6ceaecc069bdc606f9cbf9ed3bcd57fb6861f4f0
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Nov 26 22:35:11 2011 +0100

    Use cairo_image_surface_create() directly
    
    Instead of allocating the pixels then creating a surface from data,
    just create the surface directly. This has the added benefit that
    cairo checks the for valid width and height.

 rsvg-cairo-draw.c | 37 +++++++++++++++++++------------------
 1 file changed, 19 insertions(+), 18 deletions(-)

commit 0b8f017df3fe4d1975efad610f9afcce8a94f8e3
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Nov 26 22:18:17 2011 +0100

    Add rsvg_get_surface_of_node
    
    Similar to rsvg_get_pixbuf_of_node except that it returns a cairo_surface_t.

 rsvg-base.c         |  6 ++++++
 rsvg-cairo-clip.c   |  1 +
 rsvg-cairo-draw.c   | 35 +++++++++++++++++++++++++++++++++++
 rsvg-cairo-draw.h   |  2 ++
 rsvg-cairo-render.c |  2 ++
 rsvg-private.h      |  4 +++-
 6 files changed, 49 insertions(+), 1 deletion(-)

commit 552996258212827075a8f192ab81764cd591a939
Author: Christian Persch <chpe@gnome.org>
Date:   Fri Nov 25 22:58:30 2011 +0100

    introspection: Hide deprecated stuff

 rsvg.h | 4 ++++
 1 file changed, 4 insertions(+)

commit 9feb6fd941ba6c8f3fe0c22d15341f0b8a291a0f
Author: Christian Persch <chpe@gnome.org>
Date:   Fri Nov 25 22:53:20 2011 +0100

    introspection: Skip internal stuff

 Makefile.am | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 26c545511bd0ba15d79f0df18ab80ea19ff8cb1e
Author: KUROSAWA Takeshi <taken.spc@gmail.com>
Date:   Sat Nov 26 00:10:17 2011 +0900

    Remove unused member 'orientation'
    
    RsvgTextLayout's 'orientation' is never used.
    
    Bug #664533.

 rsvg-text.c | 3 ---
 1 file changed, 3 deletions(-)

commit 8573a7cd9549c698b5024aafd3b3dd8569449f8e
Author: KUROSAWA Takeshi <taken.spc@gmail.com>
Date:   Sat Nov 26 00:06:19 2011 +0900

    Set correct value when unicode-bidi: inherit;
    
    Bug #664533.

 rsvg-styles.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7177e49b0223dbd32daf5d0f910d4dbdb5cb0659
Author: Kurosawa Takeshi <taken.spc@gmail.com>
Date:   Thu Nov 24 18:03:18 2011 +0100

    Clamp opacity value to range 0 to 1
    
    Our opacity parsing function allows
    * number values outside range 0.0 to 1.0
    * %-values.
    
    However this is incorrect behavior.
    * http://www.w3.org/TR/SVG11/painting.html#FillOpacityProperty
    * http://www.w3.org/TR/SVGTiny12/painting.html#FillOpacityProperty

 rsvg-css.c | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit 154dcd5f4366dc5080a6582b51b0769c51c0b068
Author: Alexandre Rostovtsev <tetromino@gentoo.org>
Date:   Wed Nov 23 17:41:12 2011 -0500

    Use RSVG_API_VERSION in the .gir filename
    
    RSVG_API_VERSION == "2.0"
    RSVG_API_VERSION_U == "2_0"
    
    We want to use 2.0 when referring to the .gir filename, and 2_0 when
    referring to the automake targets derived from the filename. Otherwise,
    parallel make fails.
    
    Thanks to Rafał Mużyło <galtgendo@o2.pl> for pointing this out in
    https://bugs.gentoo.org/show_bug.cgi?id=391215#c10
    
    https://bugzilla.gnome.org/show_bug.cgi?id=664684

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c69baca5059ec40c61ae06318f337fc55965738d
Author: Christian Persch <chpe@gnome.org>
Date:   Thu Nov 24 14:07:20 2011 +0100

    Post release version bump

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b744c8e4812d61d5a9cf32cde432f3984b37ceb1
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Nov 14 17:46:46 2011 +0100

    Version 2.35.0

 NEWS | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit b1390cbfa7d173753d708f1db38d3f7e8d69deae
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Nov 14 13:43:55 2011 +0100

    Add extra NULL check here

 rsvg-css.c | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

commit 552aeca5ac6d4f9619bf93eee832ee8f2323cf3f
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Nov 14 13:36:41 2011 +0100

    Fix parsing of xml-stylesheet pseudo-attributes
    
    Create a tag string with the given 'attributes' and parse that with libxml2.
    This isn't quite correct to spec, but the best we can do here.
    
    ==26277== Conditional jump or move depends on uninitialised value(s)
    ==26277==    at 0x40375DB: getAtts (rsvg-css.c:1031)
    ==26277==    by 0x403905F: rsvg_css_parse_xml_attribute_string (rsvg-css.c:1097)
    ==26277==    by 0x4057273: rsvg_processing_instruction (rsvg-base.c:879)
    ==26277==    by 0x4BF8795: xmlParsePI (parser.c:5025)
    
    https://bugzilla.gnome.org/show_bug.cgi?id=621636

 rsvg-base.c |  10 +-
 rsvg-css.c  | 361 +++++++++---------------------------------------------------
 2 files changed, 58 insertions(+), 313 deletions(-)

commit 4be3a7571b3b23a753b5969dfb0009677bdd762a
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Nov 14 11:27:23 2011 +0100

    Remove obsolete ifdef
    
    Fixup for removal of this define in commit 9e0d425c8b48bba0109cc36dd462010f8c9ed018 .

 rsvg-base.c | 2 --
 1 file changed, 2 deletions(-)

commit abda93caabfa361d7d674dc8af39b6bfba65bc8a
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Nov 12 21:20:18 2011 +0100

    Alwys initialise the matrix
    
    This fixes a regression from commit f93a2acceaa00191ef0b4f138d9c0496f054c262:
    
    ==20076== Conditional jump or move depends on uninitialised value(s)
    ==20076==    at 0x402CFF8: bcmp (mc_replace_strmem.c:692)
    ==20076==    by 0x429DF0B: _cairo_gstate_set_matrix (cairo-gstate.c:722)
    ==20076==    by 0x428FC52: cairo_set_matrix (cairo.c:1250)
    ==20076==    by 0x405A11C: _set_rsvg_affine (rsvg-cairo-draw.c:367)
    ==20076==    by 0x405B941: rsvg_cairo_render_image (rsvg-cairo-draw.c:577)
    ==20076==    by 0x4058C76: rsvg_render_image (rsvg-base.c:1964)
    ==20076==    by 0x4039FE8: rsvg_node_image_draw (rsvg-image.c:310)
    ==20076==    by 0x404FC13: rsvg_node_draw (rsvg-structure.c:69)
    ==20076==    by 0x4050126: _rsvg_node_draw_children (rsvg-structure.c:87)
    ==20076==  Uninitialised value was created by a stack allocation
    ==20076==    at 0x405A236: _set_source_rsvg_pattern (rsvg-cairo-draw.c:190)

 rsvg-cairo-draw.c | 2 ++
 1 file changed, 2 insertions(+)

commit 5467364437900be7e3ea03268b065b7b95060d06
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Nov 12 19:13:58 2011 +0100

    Plug a mem leak
    
    Don't leak the list entries of RsvgDefs:to-resolve when parsing the
    file fails.
    
    ==17296== 13,627 (8 direct, 13,619 indirect) bytes in 1 blocks are definitely lost in loss record 210 of 211
    ==17296==    at 0x402AD89: malloc (vg_replace_malloc.c:236)
    ==17296==    by 0x4565BDA: standard_malloc (gmem.c:85)
    ==17296==    by 0x4565F80: g_malloc (gmem.c:159)
    ==17296==    by 0x4579C8D: g_slice_alloc (gslice.c:822)
    ==17296==    by 0x457AD5A: g_slist_prepend (gslist.c:267)
    ==17296==    by 0x403952F: rsvg_defs_add_resolver (rsvg-defs.c:183)
    ==17296==    by 0x404F8CC: rsvg_node_use_set_atts (rsvg-structure.c:434)
    ==17296==    by 0x4057E7C: rsvg_node_set_atts (rsvg-base.c:1939)
    ==17296==    by 0x4057F08: rsvg_standard_element_start (rsvg-base.c:265)
    ==17296==    by 0x40588F8: rsvg_start_element (rsvg-base.c:659)

 rsvg-defs.c | 30 +++++++++++++++++++++++-------
 1 file changed, 23 insertions(+), 7 deletions(-)

commit 9e0d425c8b48bba0109cc36dd462010f8c9ed018
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Nov 12 02:01:57 2011 +0100

    Bump libxml2 dependency to 2.7.0
    
    ... and drop compat code for older libxml2.

 configure.in   |  2 +-
 rsvg-base.c    | 56 +-------------------------------------------------------
 rsvg-gobject.c | 19 +------------------
 3 files changed, 3 insertions(+), 74 deletions(-)

commit 159331ba2e81a60ca8ed9080582b9d1ff210c012
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Nov 12 01:57:53 2011 +0100

    Plug a mem leak
    
    The entity hashtable was leaking the keys.
    
    ==10167== 6 bytes in 1 blocks are definitely lost in loss record 19 of 155
    ==10167==    at 0x402AD89: malloc (vg_replace_malloc.c:236)
    ==10167==    by 0x4566BDA: standard_malloc (gmem.c:85)
    ==10167==    by 0x4566F80: g_malloc (gmem.c:159)
    ==10167==    by 0x457C89A: g_strdup (gstrfuncs.c:351)
    ==10167==    by 0x405774D: rsvg_entity_decl (rsvg-base.c:843)

 rsvg-gobject.c | 42 +++++++++++++++++++++---------------------
 1 file changed, 21 insertions(+), 21 deletions(-)

commit d0d27dfd82b2cb8c31554664711319a000fff075
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Nov 12 01:49:54 2011 +0100

    Plug a mem leak
    
    ==10026== 48 (8 direct, 40 indirect) bytes in 1 blocks are definitely lost in loss record 97 of 154
    ==10026==    at 0x402AD89: malloc (vg_replace_malloc.c:236)
    ==10026==    by 0x4566BDA: standard_malloc (gmem.c:85)
    ==10026==    by 0x4566F80: g_malloc (gmem.c:159)
    ==10026==    by 0x456B4E3: parse_arg (goption.c:1242)
    ==10026==    by 0x456CDD6: g_option_context_parse (goption.c:1578)
    ==10026==    by 0x8049558: main (rsvg-convert.c:189)

 rsvg-convert.c | 2 ++
 1 file changed, 2 insertions(+)

commit f0cdc794fc669ffd3c36c0dcc2a81f53df093450
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Nov 12 00:20:12 2011 +0100

    Plug a mem leak
    
    ==7436== 31 (8 direct, 23 indirect) bytes in 1 blocks are definitely lost in loss record 243 of 355
    ==7436==    at 0x402AD89: malloc (vg_replace_malloc.c:236)
    ==7436==    by 0x4566BDA: standard_malloc (gmem.c:85)
    ==7436==    by 0x4566F80: g_malloc (gmem.c:159)
    ==7436==    by 0x456B4E3: parse_arg (goption.c:1242)
    ==7436==    by 0x456CDD6: g_option_context_parse (goption.c:1578)
    ==7436==    by 0x8049558: main (rsvg-convert.c:189)

 rsvg-convert.c | 3 +++
 1 file changed, 3 insertions(+)

commit a8f1e457f88ad73ee31ed033c465a97a1cec7fb7
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Nov 12 00:16:23 2011 +0100

    Plug a mem leak
    
    ... and don't call g_strv_length() just to find out if length is == 2 !
    
    ==5735== 4 bytes in 1 blocks are definitely lost in loss record 18 of 356
    ==5735==    at 0x402AD89: malloc (vg_replace_malloc.c:236)
    ==5735==    by 0x4566BDA: standard_malloc (gmem.c:85)
    ==5735==    by 0x4566F80: g_malloc (gmem.c:159)
    ==5735==    by 0x4567282: g_malloc_n (gmem.c:361)
    ==5735==    by 0x457DFCC: g_strsplit (gstrfuncs.c:2249)
    ==5735==    by 0x4053934: rsvg_parse_style (rsvg-styles.c:919)

 rsvg-styles.c | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

commit 657e84cda86924c5ddaf0134390c3cfc0bb970ab
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Nov 12 00:11:57 2011 +0100

    Plug a mem leak

 rsvg-convert.c | 1 +
 1 file changed, 1 insertion(+)

commit 0171a4e1d4a4634d3ebe209ae1422426c9a12685
Author: Christian Persch <chpe@gnome.org>
Date:   Fri Nov 11 22:53:51 2011 +0100

    Plug a mem leak
    
    Don't leak the CRDocHandler.
    
    ==988== 104 (92 direct, 12 indirect) bytes in 1 blocks are definitely lost in loss record 4,805 of 5,382
    ==988==    at 0x402AD89: malloc (vg_replace_malloc.c:236)
    ==988==    by 0x4B40BDA: standard_malloc (gmem.c:85)
    ==988==    by 0x4053A15: rsvg_parse_cssbuffer (rsvg-styles.c:1128)
    ==988==    by 0x4056644: rsvg_style_handler_free (rsvg-base.c:90)
    ==988==    by 0x4056BB9: rsvg_end_element (rsvg-base.c:681)
    ==988==    by 0x49C28C1: xmlParseEndTag1 (parser.c:8356)
    ==988==    by 0x49C9DEB: xmlParseTryOrFinish (parser.c:11154)
    ==988==    by 0x49CAB24: xmlParseChunk (parser.c:11739)
    ==988==    by 0x405A238: rsvg_handle_write (rsvg-base.c:1172)

 rsvg-styles.c | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit 4736fcc13dfeb801d2b777d99cf4281374600a2b
Author: Christian Persch <chpe@gnome.org>
Date:   Fri Nov 11 20:11:10 2011 +0100

    Use -Bsymbolic-functions when available

 Makefile.am  |   8 +-
 acinclude.m4 | 319 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.in |  24 +++++
 3 files changed, 350 insertions(+), 1 deletion(-)

commit 6e27a58a8da64e97b0254fbe018f3bf7a78a8578
Author: Christian Persch <chpe@gnome.org>
Date:   Fri Nov 11 19:24:42 2011 +0100

    Avoid unnecessary strdups
    
    In all cases except one, the property bag does not need to store copies
    of the attributes and values. So make the property bag store them by
    reference, and add rsvg_property_bag_dup for the one case where we do
    need to make a bag that owns the attributes and values.

 rsvg-base.c      | 16 ++++++++--------
 rsvg-private.h   |  2 +-
 rsvg-structure.c |  2 +-
 rsvg-styles.c    | 37 +++++++++++++++++++++++++++++++++----
 4 files changed, 43 insertions(+), 14 deletions(-)

commit 593ecfbb18c7923acc7a90a9d560867ab78372a9
Author: Kurosawa Takeshi <taken.spc@gmail.com>
Date:   Thu Nov 10 21:57:20 2011 +0100

    Use flattened text for tref
    
    This fixes the rendering of the testcase [1].
    
    https://bugzilla.gnome.org/show_bug.cgi?id=630112
    
    [1] http://www.w3.org/Graphics/SVG/Test/20110816/harness/htmlObjectApproved/text-tref-03-b.html

 rsvg-text.c | 95 +++++++++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 64 insertions(+), 31 deletions(-)

commit 5dd7da190bf3ffc4ff7503fe4ba710ad80a8a9fd
Author: Christian Persch <chpe@gnome.org>
Date:   Thu Nov 10 21:51:24 2011 +0100

    Remove outdated spec file

 Makefile.am     |   4 --
 configure.in    |   1 -
 librsvg.spec.in | 189 --------------------------------------------------------
 3 files changed, 194 deletions(-)

commit a5383d989513b3ae1ec7f79539d30831751b6a1a
Author: Christian Persch <chpe@gnome.org>
Date:   Thu Nov 10 21:50:02 2011 +0100

    Use LT_LIB_M to find the math library

 Makefile.am       | 13 ++++---------
 configure.in      |  5 +++--
 tools/Makefile.am |  6 +++---
 3 files changed, 10 insertions(+), 14 deletions(-)

commit 302773d266547bfc82a91c6302662ec9e3cf7bb2
Author: Christian Persch <chpe@gnome.org>
Date:   Wed Nov 9 21:19:27 2011 +0100

    Remove obsolete files

 Makefile.am         |   2 +-
 configure.in        |   1 -
 data/.cvsignore     |   2 -
 data/Makefile.am    |   6 --
 data/svg-viewer.svg | 168 ----------------------------------------------------
 5 files changed, 1 insertion(+), 178 deletions(-)

commit 1fac3f44881a8b174af4163d8397d5c21fd7513e
Author: Isak <isaklindbeck@hotmail.com>
Date:   Tue Jan 11 00:51:33 2011 +0100

    filter: The blur filter was not rendered correctly when scaled to certain sizes.
    
    Two for-loops was missing their initial expression in the box_blur function.

 rsvg-filter.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 3ce97eb485492657df8665a960543d4222579dbe
Author: Christian Persch <chpe@gnome.org>
Date:   Wed Nov 9 21:00:53 2011 +0100

    Don't create pixbufs with zero width or height
    
    This created lots and lots of critical warnings when rendering
    tests/svg1.1/svg/filters-displace-01-f.svg:
    
    GdkPixbuf-CRITICAL **: gdk_pixbuf_new: assertion `width > 0' failed
    g_logv() [gmessages.c:779]
    g_log() [gmessages.c:826]
    g_return_if_fail_warning() [gmessages.c:838]
    gdk_pixbuf_new() [gdk-pixbuf.c:338]
    rsvg_filter_primitive_image_render_ext() [rsvg-filter.c:3376]

 rsvg-filter.c | 15 +++++++++------
 1 file changed, 9 insertions(+), 6 deletions(-)

commit f983fc12f82fcecca7d02876637584b7b4d0d523
Author: Kurosawa Takeshi <taken.spc@gmail.com>
Date:   Wed Nov 9 18:23:30 2011 +0100

    Fix for NULL strings
    
    https://bugzilla.gnome.org/show_bug.cgi?id=624820

 rsvg-styles.c | 19 +++++++++++++------
 1 file changed, 13 insertions(+), 6 deletions(-)

commit b02b2660ce294c6e3567c9032f416122efa765a4
Author: Kurosawa Takeshi <taken.spc@gmail.com>
Date:   Wed Nov 9 18:18:21 2011 +0100

    Fix crash on invalid kernelMatrix attribute
    
    The image will now not crash librsvg, but doesn't render at all.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=624835

 rsvg-filter.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 10918c76ecb93ba51794a624e44d33c3f6cdb71f
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Nov 7 20:21:49 2011 +0100

    Fix make dist

 gdk-pixbuf-loader/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c097ab45b4df86e155146827abacf9f409d3bb5d
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Nov 7 20:21:20 2011 +0100

    Don't dist the GIR in the tarball

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 232e104fd829d9054d55d88b216f5ace589e9925
Author: Martin von Gagern <Martin.vGagern@gmx.net>
Date:   Mon Nov 7 20:14:37 2011 +0100

    Don't coalesce character nodes with tspan nodes
    
    https://bugzilla.gnome.org/show_bug.cgi?id=581108

 rsvg-base.c | 3 +++
 1 file changed, 3 insertions(+)

commit 7f27418cfcdea9cdd6b2bf81ea0b0f6cc5a18b30
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Nov 7 19:57:08 2011 +0100

    Deprecate rsvg_init and rsvg_term
    
    rsvg_init() should be replaced by g_type_init(); we now call xmlInitParser()
    in RsvgHandleClass::init.
    
    rsvg_term() was dangerous to call, so just make it a no-op and add a new
    rsvg_cleanup() that calls xmlCleanupParser(), for use only when you know
    what you're doing.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=614157

 doc/rsvg-sections.txt      |  5 +++--
 gdk-pixbuf-loader/io-svg.c |  3 ---
 librsvg.def                |  1 +
 rsvg-base.c                | 20 +++++++++++++++++---
 rsvg-convert.c             |  3 +--
 rsvg-gobject.c             |  2 ++
 rsvg.h                     |  8 ++++++--
 test-display.c             |  6 ++----
 tests/crash.c              |  5 +++--
 tests/dimensions.c         |  5 +++--
 tests/rsvg-test.c          |  8 ++++----
 tests/styles.c             |  5 +++--
 tools/rsvg-dimensions.c    |  7 ++++---
 tools/rsvg-tools-main.c    |  4 ++--
 14 files changed, 51 insertions(+), 31 deletions(-)

commit be4898f344c9246409a462e32637633312e99340
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Nov 7 19:26:49 2011 +0100

    Remove obsolete file

 CVSVERSION | 0
 1 file changed, 0 insertions(+), 0 deletions(-)

commit 239379ce735e1a385cf177f144aef4b3b1b56fa1
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Nov 7 18:38:37 2011 +0100

    docs: Add subsection for deprecated APIs

 doc/rsvg-sections.txt | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit fa8c06aa93a14dc63357075112f0c9b539c7829c
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Nov 7 18:23:15 2011 +0100

    Switch to attribute-based deprecations
    
    Instead of hiding the definitions when RSVG_DISABLE_DEPRECATED is defined,
    use G_DEPRECATED[_FOR] via a wrapper RSVG_DEPRECATED[_FOR].
    
    To disable the deprecation warnings, define RSVG_DISABLE_DEPRECATION_WARNINGS.

 Makefile.am |  1 +
 rsvg.h      | 22 +++++++++++++++++++---
 2 files changed, 20 insertions(+), 3 deletions(-)

commit 5e351aa7b2faca0075990e49161e558214472ac4
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Nov 7 16:03:08 2011 +0100

    Add rsvg_handle_new_with_flags()

 doc/rsvg-sections.txt |  1 +
 rsvg-base.c           |  2 +-
 rsvg-gobject.c        | 42 ++++++++++++++++++++++++++++++++++++++++++
 rsvg-private.h        |  2 ++
 rsvg.h                |  2 ++
 5 files changed, 48 insertions(+), 1 deletion(-)

commit 21dce772d3a099881e1a46d347c3e0e2037b144d
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Nov 7 18:12:14 2011 +0100

    Fix for use of deprecated GCache
    
    The gtk engine is deprecated itself, so don't bother fixing its use of GCache but
    just define GLIB_DISABLE_DEPRECATION_WARNINGS here.

 gtk-engine/svg-render.c | 3 +++
 1 file changed, 3 insertions(+)

commit 1edb51e343b461e16c1cbcf0a366b369be8dba8d
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Nov 7 18:11:01 2011 +0100

    Fix for GtkVBox deprecation
    
    On gtk3, use a GtkBox.

 test-display.c | 4 ++++
 1 file changed, 4 insertions(+)

commit dfd6cbedfb42b1d338b8ac931c4c6f3dd7bf86d1
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Nov 7 18:08:58 2011 +0100

    Don't use deprecated g_thread_init
    
    Since we depend on glib 2.24 where g_type_init() already calls
    g_thread_init(), just use g_type_init() here instead.

 rsvg-convert.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0cabddcbddf870591017ce2a0d1567309d1a0ed8
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Nov 7 18:06:39 2011 +0100

    Fix unused-but-set-variable warnings

 gdk-pixbuf-loader/io-svg.c |  2 +-
 gtk-engine/svg-draw.c      |  7 +------
 rsvg-base.c                |  5 ++---
 rsvg-filter.c              | 16 ++--------------
 test-display.c             |  6 ++----
 5 files changed, 8 insertions(+), 28 deletions(-)

commit 9f38f380d98451bc624bd73731d40871db04df4a
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Oct 22 22:15:08 2011 +0200

    Use libcroco to lookup colour by name
    
    ... instead of adding the same array to librsvg as well.

 rsvg-css.c | 183 +++----------------------------------------------------------
 1 file changed, 9 insertions(+), 174 deletions(-)

commit 3c950c14208a66757d451a3018d7e79b67a76f8d
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Oct 22 21:37:52 2011 +0200

    Hard-depend on libcroco

 Makefile.am                   |   8 ----
 configure.in                  |  43 ++---------------
 doc/Makefile.am               |   2 -
 gdk-pixbuf-loader/Makefile.am |   4 +-
 librsvg-features.h.in         |   2 +-
 librsvg-uninstalled.pc.in     |   2 +-
 librsvg.pc.in                 |   2 +-
 rsvg-styles.c                 | 104 +++---------------------------------------
 tools/Makefile.am             |   2 -
 9 files changed, 13 insertions(+), 156 deletions(-)

commit 59a3fed362fd70e29452fce58d8324cc00e7cc7e
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Oct 22 19:03:27 2011 +0200

    Drop GSF support
    
    Update GIO req to 2.24, and just always use GIO for gzip support.

 Makefile.am                   |  8 -----
 configure.in                  | 59 +---------------------------------
 doc/Makefile.am               |  2 --
 gdk-pixbuf-loader/Makefile.am |  4 +--
 gdk-pixbuf-loader/io-svg.c    |  4 ---
 gtk-engine/Makefile.am        |  4 +--
 librsvg-features.h.in         |  2 +-
 librsvg-uninstalled.pc.in     |  2 +-
 librsvg.pc.in                 |  2 +-
 rsvg-base.c                   | 74 ++-----------------------------------------
 rsvg-gobject.c                | 11 -------
 rsvg-private.h                |  4 ---
 tools/Makefile.am             |  2 --
 13 files changed, 8 insertions(+), 170 deletions(-)

commit 82d434411d3bae82a99909a9aae325eadd55e24e
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Oct 22 18:53:18 2011 +0200

    Don't call g_thread_init
    
    It's deprecated.

 test-display.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 56e801e0cbd0f55d01ec93c27354ee88c6398d3f
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Sep 17 00:10:00 2011 +0200

    Store the parsed path for the polygon
    
    Instead of building the string and parsing it to a path every time
    we render this node, just store the parsed path instead.

 rsvg-shapes.c | 78 ++++++++++++++++++++++++++++++++++++++---------------------
 1 file changed, 50 insertions(+), 28 deletions(-)

commit 0a866772df768b5db8c5e895022db3de55e2696e
Author: Christian Persch <chpe@gnome.org>
Date:   Fri Sep 16 22:42:18 2011 +0200

    Store the parsed path instead of a string
    
    Store the parse cairo_path_t instead of re-parsing the string
    every time we render this path!

 rsvg-shapes.c | 19 +++++++++----------
 rsvg-shapes.h |  2 +-
 2 files changed, 10 insertions(+), 11 deletions(-)

commit 491171178795ac3f0f308084f8ee6c5cada84ea6
Author: Christian Persch <chpe@gnome.org>
Date:   Fri Sep 16 22:39:23 2011 +0200

    Add utility to build a cairo_path_t
    
    This will be used to avoid going through building a string then
    parsing the string into a path in rsvg-shapes.c.

 rsvg-path.c | 145 +++++++++++++++++++++++++++++++++---------------------------
 rsvg-path.h |  25 +++++++++++
 2 files changed, 104 insertions(+), 66 deletions(-)

commit 440514b76521f29ef0bdf20d6f9d1aef3302307c
Author: Christian Persch <chpe@gnome.org>
Date:   Fri Sep 16 22:23:07 2011 +0200

    Render paths from cairo_path_t
    
    Pass the cairo_path_t to the render funtion, instead of a string.

 rsvg-base.c    |  8 +-------
 rsvg-private.h |  2 +-
 rsvg-shapes.c  | 46 +++++++++++++++++++++++++++++++++++-----------
 rsvg-shapes.h  |  3 ++-
 4 files changed, 39 insertions(+), 20 deletions(-)

commit 358a81529ecbe0600c7d58029b0fe085dfbad0cf
Author: Christian Persch <chpe@gnome.org>
Date:   Fri Sep 16 22:00:58 2011 +0200

    Use cairo_append_path
    
    Just call cairo_append_path() instead of duplicating it (twice!).

 rsvg-cairo-clip.c | 22 +---------------------
 rsvg-cairo-draw.c | 22 +---------------------
 2 files changed, 2 insertions(+), 42 deletions(-)

commit 0215e044919b7c64747768d2b759e666c3bfba00
Author: Christian Persch <chpe@gnome.org>
Date:   Fri Sep 16 21:57:26 2011 +0200

    Use cairo_path_t
    
    Parse the path into a cairo_path_t structure instead of inventing
    an own one.

 Makefile.am       |   2 -
 rsvg-base.c       |  14 ++-
 rsvg-bpath-util.c | 169 ----------------------------------
 rsvg-bpath-util.h |  70 ---------------
 rsvg-cairo-clip.c |  24 ++---
 rsvg-cairo-draw.c |  24 ++---
 rsvg-cairo-draw.h |   2 +-
 rsvg-marker.c     |  79 +++++++++-------
 rsvg-marker.h     |   2 +-
 rsvg-path.c       | 264 ++++++++++++++++++++++++++++++++++++++----------------
 rsvg-path.h       |   9 +-
 rsvg-private.h    |   3 +-
 12 files changed, 273 insertions(+), 389 deletions(-)

commit e773e772bbc6706103268bb96d43d0d9eaecc425
Author: Christian Persch <chpe@gnome.org>
Date:   Fri Sep 16 01:32:07 2011 +0200

    Remove unused struct member

 rsvg-filter.h | 1 -
 1 file changed, 1 deletion(-)

commit c526ba05867cbc791e0e116d7ceb42444966e123
Author: Christian Persch <chpe@gnome.org>
Date:   Fri Sep 16 01:24:03 2011 +0200

    Pass pointer to struct

 rsvg-filter.c | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit e005c4ad97fade8193e077414351a919db0f9447
Author: Christian Persch <chpe@gnome.org>
Date:   Fri Sep 16 01:22:08 2011 +0200

    Avoid repeatedly calculating floor and ceil values here

 rsvg-filter.c | 30 ++++++++++++++++++------------
 1 file changed, 18 insertions(+), 12 deletions(-)

commit f93a2acceaa00191ef0b4f138d9c0496f054c262
Author: Christian Persch <chpe@gnome.org>
Date:   Fri Sep 16 01:16:27 2011 +0200

    Use cairo_matrix_t
    
    I've checked this quite carefully, but it still might contain
    stupid typo bugs ;-)

 Makefile.am         |   1 -
 rsvg-affine.c       | 193 ----------------------------------------------------
 rsvg-base.c         |  32 +++++----
 rsvg-cairo-clip.c   |  39 ++++++-----
 rsvg-cairo-draw.c   | 125 +++++++++++++++++-----------------
 rsvg-cairo-render.c |  31 +++------
 rsvg-filter.c       | 157 +++++++++++++++++++++---------------------
 rsvg-filter.h       |   2 +-
 rsvg-marker.c       |  46 ++++++-------
 rsvg-paint-server.c |  30 +++-----
 rsvg-paint-server.h |   6 +-
 rsvg-private.h      |  23 +------
 rsvg-structure.c    |  63 ++++++++---------
 rsvg-styles.c       |  86 ++++++++++++++---------
 rsvg-styles.h       |   6 +-
 15 files changed, 310 insertions(+), 530 deletions(-)

commit 396efea7fa5518c49c0ceba78867acaaeaa0da06
Author: Christian Persch <chpe@gnome.org>
Date:   Thu Sep 15 23:39:01 2011 +0200

    Use cairo_rectangle_t

 rsvg-base.c         | 76 ++++++++++++++++++++++++++---------------------------
 rsvg-cairo-clip.c   |  8 +++---
 rsvg-cairo-draw.c   | 73 ++++++++++++++++++++++++++------------------------
 rsvg-cairo-render.c |  4 +--
 rsvg-css.c          | 19 +++++++-------
 rsvg-filter.c       | 46 ++++++++++++++++----------------
 rsvg-marker.c       | 17 +++++++-----
 rsvg-private.h      |  6 +++--
 rsvg-structure.c    | 27 ++++++++++---------
 9 files changed, 145 insertions(+), 131 deletions(-)

commit d780a951211e1a17f3615f629dbe5f821dd1844e
Author: Christian Persch <chpe@gnome.org>
Date:   Thu Sep 15 22:59:52 2011 +0200

    Use cairo_path_data_type_t directly
    
    To do this, remove RSVG_END element from RsvgBpathDef.

 rsvg-base.c       |  1 -
 rsvg-bpath-util.c | 21 ++++++---------------
 rsvg-bpath-util.h | 12 +++---------
 rsvg-cairo-clip.c | 10 ++++------
 rsvg-cairo-draw.c | 10 ++++------
 rsvg-marker.c     | 38 ++++++++++++++++++++++----------------
 rsvg-path.c       |  2 ++
 7 files changed, 41 insertions(+), 53 deletions(-)

commit e1b9f890f9d030d8ea9b216b400574128c896278
Author: Christian Persch <chpe@gnome.org>
Date:   Thu Sep 15 21:59:35 2011 +0200

    Remove unused functions

 rsvg-affine.c  | 77 ----------------------------------------------------------
 rsvg-private.h | 16 ------------
 2 files changed, 93 deletions(-)

commit 98562e1a67afb0007652107955fa3e2499f4e83d
Author: Christian Persch <chpe@gnome.org>
Date:   Thu Sep 15 19:27:01 2011 +0200

    Remove unused function

 rsvg-bpath-util.c | 23 -----------------------
 rsvg-bpath-util.h |  1 -
 2 files changed, 24 deletions(-)

commit 00b68a14f5e26f14b1856bd87cfdd93276e98cd2
Author: Christian Persch <chpe@gnome.org>
Date:   Thu Sep 15 18:23:00 2011 +0200

    Use cairo_line_cap_t directly
    
    Although it appears this property is only parsed, but not used
    when rendering...

 rsvg-styles.c | 8 ++++----
 rsvg-styles.h | 8 +-------
 2 files changed, 5 insertions(+), 11 deletions(-)

commit 6d124de98ccd69b7488ea3751a4ff98bd89a232f
Author: Christian Persch <chpe@gnome.org>
Date:   Thu Sep 15 18:20:16 2011 +0200

    Use cairo_line_join_t directly
    
    Although it appears this property is only parsed, but not used
    when rendering...

 rsvg-styles.c | 8 ++++----
 rsvg-styles.h | 8 +-------
 2 files changed, 5 insertions(+), 11 deletions(-)

commit 40f30fb9f77fe19555a07eabebe331087f9923d8
Author: Christian Persch <chpe@gnome.org>
Date:   Thu Sep 15 18:15:59 2011 +0200

    Use cairo_antialias_t directly

 rsvg-cairo-draw.c | 30 ++----------------------------
 rsvg-styles.c     | 14 ++++++++++++++
 rsvg-styles.h     | 20 +++-----------------
 3 files changed, 19 insertions(+), 45 deletions(-)

commit 42bc33e6ab3ffd7ebdcca4a2ed41ac2ce0df6b8c
Author: Christian Persch <chpe@gnome.org>
Date:   Thu Sep 15 15:46:05 2011 +0200

    Use cairo_extend_t directly

 rsvg-cairo-draw.c   | 12 ++----------
 rsvg-paint-server.c | 16 ++++++++--------
 rsvg-paint-server.h | 11 +++--------
 3 files changed, 13 insertions(+), 26 deletions(-)

commit acce1f68e0b5c4b94f066516be48a4cd867bfcb4
Author: Christian Persch <chpe@gnome.org>
Date:   Thu Sep 15 15:32:16 2011 +0200

    Use cairo_fill_rule_t directly

 rsvg-cairo-clip.c |  5 +----
 rsvg-cairo-draw.c |  6 ++----
 rsvg-styles.c     | 12 ++++++------
 rsvg-styles.h     |  5 -----
 4 files changed, 9 insertions(+), 19 deletions(-)

commit cd69dc9420159166774ef04305886dbe0269ce4f
Author: Christian Persch <chpe@gnome.org>
Date:   Thu Sep 15 15:27:56 2011 +0200

    Use cairo_operator_t directly

 rsvg-cairo-draw.c | 70 ++++---------------------------------------------------
 rsvg-styles.c     | 52 ++++++++++++++++++++---------------------
 rsvg-styles.h     | 30 ++----------------------
 3 files changed, 33 insertions(+), 119 deletions(-)

commit e39130e82f9622553e8b1d3ae1666dbf5482afdc
Author: Christian Persch <chpe@gnome.org>
Date:   Thu Sep 15 14:47:19 2011 +0200

    Make RsvgCairoClipRender inherit RsvgCairoRender
    
    This fixes the crash, but the rendering of masking-path-04-b.svg
    is still wrong, not matching the reference rendering.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=630733

 rsvg-cairo-clip.c | 44 ++++++++++++++++++++++++--------------------
 rsvg-private.h    |  2 +-
 2 files changed, 25 insertions(+), 21 deletions(-)

commit 132be612c6c54ea9664206324c65189142be955c
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Sep 10 19:38:06 2011 +0200

    Initialise GString member to NULL
    
    Otherwise we get an invalid read when freeing this node.

 rsvg-filter.c | 1 +
 1 file changed, 1 insertion(+)

commit ff20d571b8d9a089a89c194abc4a49251c8b1dc5
Author: Christian Persch <chpe@gnome.org>
Date:   Fri Sep 9 22:22:07 2011 +0200

    Stop console pollution

 rsvg-filter.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3ee24532461d1eaf1320638fa54c8fefe5e315ac
Author: Christian Persch <chpe@gnome.org>
Date:   Wed Sep 7 19:50:53 2011 +0200

    Simplify configure check for gtk 2 + 3

 Makefile.am  |  4 +---
 configure.in | 53 ++++++++++++++++++++++++++++++-----------------------
 2 files changed, 31 insertions(+), 26 deletions(-)

commit 5b2dd097e95146137351299c7c80e7279f0514cf
Author: Christian Persch <chpe@gnome.org>
Date:   Wed Sep 7 19:40:59 2011 +0200

    Remove checks for freetype, fontconfig and pango-ft2
    
    librsvg doesn't depend on these anymore.

 configure.in | 7 +------
 1 file changed, 1 insertion(+), 6 deletions(-)

commit 19677e7e0c5cc85c328e33238d8fbeb411858f61
Author: Christian Persch <chpe@gnome.org>
Date:   Wed Sep 7 14:42:03 2011 +0200

    Fix invalid cast and struct member access
    
    ctx->render is a RsvgCairoClipRender here, and NOT a RsvgCairoRender.
    I think the right thing here is to use the render->cr,
    and not render->parent->cr.

 rsvg-cairo-clip.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit fb04aa2ed81759b80929ef7af1e0cff7dd9f069b
Author: Christian Persch <chpe@gnome.org>
Date:   Wed Sep 7 14:40:50 2011 +0200

    Add RsvgRender type checking

 rsvg-base.c         | 13 ++-----------
 rsvg-cairo-clip.c   | 12 +++++++++---
 rsvg-cairo-draw.c   | 35 +++++++++++++++++++++--------------
 rsvg-cairo-render.c |  3 ++-
 rsvg-cairo-render.h |  2 ++
 rsvg-filter.c       |  2 +-
 rsvg-private.h      | 21 +++++++++++++++++++++
 7 files changed, 58 insertions(+), 30 deletions(-)

commit ddbb72cbeebd597a7bf143a6ba7bc448feac3372
Author: Christian Persch <chpe@gnome.org>
Date:   Wed Sep 7 12:24:21 2011 +0200

    Make RsvgHandle:dispose safe to be called multiple times

 rsvg-gobject.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 6e10eb864916719ff8bb6f57c290942f3f5ecdf5
Author: Christian Persch <chpe@gnome.org>
Date:   Wed Sep 7 12:23:50 2011 +0200

    Use gobject instance private data

 rsvg-gobject.c | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 4b5e4323b88782e3aa555313eb3cd4ac258b7cb4
Author: Christian Persch <chpe@gnome.org>
Date:   Wed Sep 7 12:13:06 2011 +0200

    Plug mem leaks in rsvg-view
    
    ==10734== 19 (8 direct, 11 indirect) bytes in 1 blocks are definitely lost in loss record 1,325 of 2,962
    ==10734==    at 0x4026EB4: malloc (vg_replace_malloc.c:236)
    ==10734==    by 0x4B3B823: g_malloc (gmem.c:164)
    ==10734==    by 0x4B40A76: parse_arg (goption.c:1242)
    ==10734==    by 0x4B42123: g_option_context_parse (goption.c:1572)
    ==10734==    by 0x804C39B: main (test-display.c:784)
    ==10734==
    ==10734== 40 (24 direct, 16 indirect) bytes in 1 blocks are definitely lost in loss record 2,103 of 2,962
    ==10734==    at 0x4026EB4: malloc (vg_replace_malloc.c:236)
    ==10734==    by 0x4B3B823: g_malloc (gmem.c:164)
    ==10734==    by 0x4B51726: g_slice_alloc (gslice.c:842)
    ==10734==    by 0x4B07158: g_array_sized_new (garray.c:185)
    ==10734==    by 0x4B07275: g_byte_array_new (garray.c:1402)
    ==10734==    by 0x4034F0C: rsvg_acquire_file_resource (rsvg-image.c:109)
    ==10734==    by 0x403512A: _rsvg_acquire_xlink_href_resource (rsvg-image.c:174)
    ==10734==    by 0x804C59B: main (test-display.c:837)

 test-display.c | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 4369021d7099fe3c7dcfd389516e204ca50071f8
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Nov 7 19:59:35 2011 +0100

    Revert "Only permit threadsafe pixbuf loaders"
    
    This reverts commit 9333f2da7ea92d475a45861fcf47dc385a783171.
    It didn't work as intended and needs more work.

 rsvg-image.c | 13 -------------
 1 file changed, 13 deletions(-)

commit 8b29c87a9a6bc93ebe361e3d901814f6a3ce40bf
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Nov 7 17:45:18 2011 +0100

    pixbuf-loader: Don't include rsvg-private.h

 gdk-pixbuf-loader/io-svg.c | 10 ++++++++--
 1 file changed, 8 insertions(+), 2 deletions(-)

commit 9333f2da7ea92d475a45861fcf47dc385a783171
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Nov 7 16:20:51 2011 +0100

    Only permit threadsafe pixbuf loaders
    
    When loading an embedded image using gdk-pixbuf, only use threadsafe
    pixbuf loaders. This prevents a deadlock with e.g. embedded TIFF images.
    This will cause the SVG to render without the embedded image; it will
    NOT cause the loading of the SVG to fail.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=473862
    https://bugzilla.gnome.org/show_bug.cgi?id=590788

 rsvg-image.c | 13 +++++++++++++
 1 file changed, 13 insertions(+)

commit 198398352ccdd364f344ed806711b6369e413d88
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Nov 7 16:19:54 2011 +0100

    Fix GType of RsvgHandleFlags

 rsvg.h | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 66c11f8e731e47259ec401102de4f5c43245bc3f
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Nov 7 16:10:12 2011 +0100

    docs: Add index for new symbols in 2.36

 doc/rsvg-docs.xml | 4 ++++
 1 file changed, 4 insertions(+)

commit 9a79b5af585ddd2ccb29fef71891fb9830e491c5
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Nov 7 15:48:12 2011 +0100

    Post branch version bump

 configure.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 077c902542d580ca12cbcf9cfce1c0cd0eda17e5
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Nov 7 14:54:19 2011 +0100

    pixbuf-loader: Add loader test

 gdk-pixbuf-loader/Makefile.am | 29 ++++++++++++++
 gdk-pixbuf-loader/test.c      | 89 +++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 118 insertions(+)

commit edbb480e5214f19e46d5aba89727202febae8857
Author: Bruno Girin <brunogirin@gmail.com>
Date:   Sun Oct 2 14:08:36 2011 +0200

    Fix crash on malformed SVG file
    
    https://bugzilla.gnome.org/show_bug.cgi?id=626559

 rsvg-paint-server.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 806870ce2316d074c11dccfeb29e38c27014fccc
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Nov 1 23:00:48 2011 +0100

    introspection: Fix PACKAGES
    
    PACKAGES must use pkg-config names, not GIR names.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=663049

 Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit e22c4adc8cd46750a6e7c4e0cc1471936258c8ed
Author: Daniel Drake <dsd@laptop.org>
Date:   Sun Oct 30 14:10:26 2011 +0000

    Generate introspection GIR and typelib
    
    ... and add some annotations.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=663049

 Makefile.am           | 45 ++++++++++++++++++++++++++++++++++++++++++++-
 configure.in          | 14 ++++++++++++++
 rsvg-base-file-util.c |  2 +-
 rsvg-base.c           |  2 +-
 rsvg.c                |  2 +-
 5 files changed, 61 insertions(+), 4 deletions(-)

commit 2b3097d12b9eace4428e2e2bf1773212e8975f52
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Sep 6 23:59:13 2011 +0200

    Post release version bump

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b54b065983e8fa7e2492fd0f741052c6f8441e4a
Author: Vincent Penquerc'h <vincent.penquerch@collabora.co.uk>
Date:   Thu Aug 18 12:59:23 2011 +0100

    Avoid crashing on an invalid atts field
    
    Initialize it to NULL at construction, and test for it being NULL
    before using it.

 rsvg-structure.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit cafa41f72b5c7dc3b17fe079041362a0cbde7f48
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Sep 6 08:59:28 2011 +0200

    Remove obsolete MAINTAINERS file
    
    ... and dist librsvg.doap instead.

 MAINTAINERS | 9 ---------
 Makefile.am | 2 +-
 2 files changed, 1 insertion(+), 10 deletions(-)

commit 7c83b86389644b96cb05938412c23e0aa51b80b8
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Sep 6 08:58:55 2011 +0200

    Add myself to maintainers

 librsvg.doap | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 455c8991757e3f8fb1be6932514212ed61089f6d
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Sep 6 08:52:37 2011 +0200

    Automatically generate ChangeLog from git history

 ChangeLog     | 3826 ---------------------------------------------------------
 ChangeLog.old | 3826 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 Makefile.am   |   11 +
 3 files changed, 3837 insertions(+), 3826 deletions(-)

commit 79fe06acefc9cd739802c01423b5bca7810398dc
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Sep 6 08:45:14 2011 +0200

    NEWS update for 2.34.1

 NEWS | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 34c95743ca692ea0e44778e41a7c0a129363de84
Author: Christian Persch <chpe@gnome.org>
Date:   Thu Sep 1 21:35:38 2011 +0200

    Store node type separately in RsvgNode
    
    The node name (formerly RsvgNode:type) cannot be used to infer
    the sub-type of RsvgNode that we're dealing with, since for unknown
    elements we put type = node-name. This lead to a (potentially exploitable)
    crash e.g. when the element name started with "fe" which tricked
    the old code into considering it as a RsvgFilterPrimitive.
    
    CVE-2011-3146
    
    https://bugzilla.gnome.org/show_bug.cgi?id=658014

 rsvg-base.c         | 68 ++++++++++++++++++++++++++-------------------
 rsvg-cairo-draw.c   |  2 +-
 rsvg-filter.c       | 79 ++++++++++++++++++++++++++++-------------------------
 rsvg-filter.h       |  2 +-
 rsvg-image.c        |  2 +-
 rsvg-marker.c       |  4 +--
 rsvg-mask.c         |  8 +++---
 rsvg-paint-server.c | 25 +++++++++--------
 rsvg-private.h      | 60 +++++++++++++++++++++++++++++++++++++++-
 rsvg-shapes.c       | 25 ++++++++---------
 rsvg-shapes.h       |  2 +-
 rsvg-structure.c    | 25 ++++++++---------
 rsvg-structure.h    |  5 ++--
 rsvg-text.c         | 22 +++++++++------
 14 files changed, 204 insertions(+), 125 deletions(-)

commit eaaa3212b987748b6d5e9e1630a64d691292b8f0
Author: Øyvind Kolås <pippin@gimp.org>
Date:   Mon Sep 5 22:33:37 2011 +0100

    cairo: reduce cost of measuring bounding boxes
    
    Measuring the size of the stroke and fill bounding boxes is _very_ expensive
    (the flattened path is tesselated) when rendering zoomed in SVGs, this due to
    cairo subdividing until the tolerance value of cairo is met. This commit
    momentarily drops that precision to a precision of 1px during bounding box
    measurements.
    
    If these computations could be avoided, using the bounds of the path would be
    desirable. Some optimizations to further reduce edge case costs in cairo are to
    be expected.

 rsvg-cairo-draw.c | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 026a635af8fc4ec90766944c04d3277c1b9f9d70
Author: Hiroyuki Ikezoe <hiikezoe@gnome.org>
Date:   Thu Jul 28 15:42:45 2011 +0900

    Call xmlFreeParserCtxt after using the context.
    
    GNOME Bug #655472

 rsvg-base.c | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 01c1c36070184d67f4e0b925acf82a0c0a509558
Author: Javier Jardón <jjardon@gnome.org>
Date:   Thu Jun 9 17:21:03 2011 +0100

    Use "const" instead G_CONST_RETURN
    
    https://bugzilla.gnome.org/show_bug.cgi?id=652213

 rsvg-base.c    |  8 ++++----
 rsvg-private.h |  2 +-
 rsvg-styles.c  |  2 +-
 rsvg.h         | 10 +++++-----
 4 files changed, 11 insertions(+), 11 deletions(-)

commit ab225933eb778751ed786bb82a1e8f2bdd89a187
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Apr 4 14:13:02 2011 +0200

    Post release version bump

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d5ba6e84edfb3824999e73eaa41930491c06418d
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Apr 3 20:02:58 2011 +0200

    Version 2.34.0

 NEWS         | 18 ++++++++++++++++++
 configure.in |  2 +-
 2 files changed, 19 insertions(+), 1 deletion(-)

commit 970c8a7d7e7bf8d40200f4b0c031620bb83a7797
Author: Kurosawa Takeshi <taken.spc@gmail.com>
Date:   Sat Feb 19 20:29:59 2011 +0900

    Set stroke properties correctly for texts
    
    In previous we ignore stroke-dasharray, miter-limit, and etc. for texts

 rsvg-cairo-draw.c | 5 +++++
 1 file changed, 5 insertions(+)

commit 197a8fe3b15d01893ab0d1cd64e23dfeb7ca75a9
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Feb 18 17:27:26 2011 -0500

    Don't accidentally return NULL from parse_style_value()
    
    Callers don't expect it and things go bad...
    https://bugzilla.gnome.org/show_bug.cgi?id=626802

 rsvg-styles.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 1931b1ce0f514c091d03223bbb64aece083bd555
Author: Craig Keogh <cskeogh@adam.com.au>
Date:   Sat Feb 5 17:36:14 2011 +1030

    Honor aclocal flags (GNOME bug 641586)

 Makefile.am | 2 ++
 1 file changed, 2 insertions(+)

commit 27c60bb77256cf6cd54177bf979ea6ff8a6d2764
Author: Emilio Pozuelo Monfort <pochu27@gmail.com>
Date:   Sun Jan 23 20:05:16 2011 +0000

    rsvg.1: Fix typo
    
    https://bugzilla.gnome.org/show_bug.cgi?id=640336

 rsvg.1 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 202b7d5d2128480a2815ffcb8757e479e4fd33f1
Author: Tor Lillqvist <tml@iki.fi>
Date:   Mon Dec 27 19:16:38 2010 +0200

    Pick headers and loader DLL from correct places into zip package
    
    We install the loader DLL in gdk-pixbuf's tree. When zipping up the
    loader package, move it from there to be in our own install tree,
    and remove the unnecessary libtool archive and import library.

 librsvg-zip.in | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

commit 9c7d76189c8191ce7070270f42183e827fac8d3d
Author: Edward Sheldrake <ejsheldrake@gmail.com>
Date:   Thu Nov 18 19:26:16 2010 +0000

    Fix svgz support in pixbuf loader
    
    HAVE_SVGZ is not defined by the configure script,
    so use librsvg-features.h instead.

 gdk-pixbuf-loader/io-svg.c | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 105b068605e0ad6eaed3471d9558d0275afb16fa
Author: Christian Persch <chpe@gnome.org>
Date:   Wed Nov 10 21:47:40 2010 +0100

    Fix pixbuf refcounting
    
    The surface takes over the reference, so don't add an extra one.

 rsvg-cairo-draw.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 02a38df61976f6bbd1e5d2555a182e0a1411de57
Author: Christian Persch <chpe@gnome.org>
Date:   Wed Oct 13 13:14:11 2010 +0200

    Make sure the surfaces own their pixels
    
    When creating a surface for pixel data, make sure the surface keeps
    a reference to the pixels, either by directly owning them or by
    keeping a reference to the GdkPixbuf owning them.
    
    This fixes a crash when rendering some SVG files (e.g. [1]) to a
    recording or pdf surface.
    
    Fixes https://bugs.freedesktop.org/show_bug.cgi?id=30071 .
    
    ==27565== Unaddressable byte(s) found during client check request
    ==27565==    at 0x427E2C0: _cairo_debug_check_image_surface_is_defined
    (cairo-debug.c:125)
    ==27565==    by 0x42B5749: _cairo_surface_acquire_source_image
    (cairo-surface.c:1447)
    ==27565==    by 0x42BC119: _cairo_surface_snapshot_copy_on_write
    (cairo-surface-snapshot.c:125)
    ==27565==    by 0x42B407E: _cairo_surface_detach_snapshot (cairo-surface.c:329)
    ==27565==    by 0x42B3FE9: _cairo_surface_detach_snapshots
    (cairo-surface.c:314)
    ==27565==    by 0x42B49D0: cairo_surface_finish (cairo-surface.c:715)
    ==27565==    by 0x42B48EF: cairo_surface_destroy (cairo-surface.c:645)
    ==27565==    by 0x42A16DA: _cairo_pattern_fini (cairo-pattern.c:346)
    ==27565==    by 0x42A21D2: cairo_pattern_destroy (cairo-pattern.c:828)
    ==27565==    by 0x4281FD8: _cairo_gstate_fini (cairo-gstate.c:229)
    ==27565==    by 0x428211F: _cairo_gstate_restore (cairo-gstate.c:290)
    ==27565==    by 0x4276D86: cairo_restore (cairo.c:583)
    ==27565==    by 0x40390B0: rsvg_cairo_pop_discrete_layer
    (rsvg-cairo-draw.c:1003)
    ==27565==    by 0x40380CD: rsvg_cairo_render_path (rsvg-cairo-draw.c:639)
    ==27565==    by 0x4035C4D: rsvg_render_path (rsvg-base.c:2067)
    ==27565==    by 0x40287FE: _rsvg_node_rect_draw (rsvg-shapes.c:445)
    ==27565==    by 0x4029E89: rsvg_node_draw (rsvg-structure.c:69)
    ==27565==    by 0x4029F34: _rsvg_node_draw_children (rsvg-structure.c:87)
    ==27565==    by 0x4029E89: rsvg_node_draw (rsvg-structure.c:69)
    ==27565==    by 0x402A9A9: rsvg_node_svg_draw (rsvg-structure.c:326)
    ==27565==    by 0x4029E89: rsvg_node_draw (rsvg-structure.c:69)
    ==27565==    by 0x4039D49: rsvg_handle_render_cairo_sub
    (rsvg-cairo-render.c:234)
    ==27565==    by 0x4039DA1: rsvg_handle_render_cairo (rsvg-cairo-render.c:256)
    ==27565==    by 0x804A06A: main (rsvg-convert.c:319)
    ==27565==  Address 0x6c6b028 is not stack'd, malloc'd or (recently) free'd
    
    [1] http://websvn.kde.org/*checkout*/trunk/KDE/kdegames/libkdegames/carddecks/svg-oxygen-white/oxygen-white.svgz?revision=896352

 rsvg-cairo-draw.c | 92 +++++++++++++++++++++++++++++++++++--------------------
 1 file changed, 59 insertions(+), 33 deletions(-)

commit e1137e53f821c02ab4d9cab85e2a8bf684579f54
Author: Christian Persch <chpe@gnome.org>
Date:   Wed Oct 13 13:00:53 2010 +0200

    Add xml and recording surface output to rsvg-convert
    
    This is useful mainly for debugging purposes.

 rsvg-convert.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 43a4c9ddb1a19cb03bdc45b9e2e19bb2bfc3e7ad
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Sep 27 19:54:42 2010 +0200

    Dist testcase input file
    
    Bug #629412.

 tests/Makefile.am | 2 ++
 1 file changed, 2 insertions(+)

commit 5e52f89ccda9552bb3a0cbcf609fe32912d244ae
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Sep 27 01:21:30 2010 +0200

    unfinished

 rsvg-convert.c | 26 +++++++++++++++++++++++++-
 1 file changed, 25 insertions(+), 1 deletion(-)

commit c8ccfacbdd768597552110c655213fd1eac39194
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Sep 27 19:17:16 2010 +0200

    Remove stray comma
    
    Apparently C++ doesn't like this.
    
    Bug #630714.

 rsvg.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit beb01bfb68607bc03adbfd3f238419b238d20fb6
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Sep 27 19:15:04 2010 +0200

    gtk-engine: Only build it on gtk 2
    
    As discussed on IRC, disable building the gtk engine on gtk 3.
    Fixing it up would involve too much work, given that it's basically
    unused.

 Makefile.am            |  8 +++++++-
 gtk-engine/Makefile.am | 48 ------------------------------------------------
 2 files changed, 7 insertions(+), 49 deletions(-)

commit cbad691f0fee81673766e8c5c32d8019569ddf5d
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Sep 27 19:08:34 2010 +0200

    rsvg-view: Fix build with gtk 3
    
    GdkColormap is gone.

 test-display.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 0d67f8cb4cb96b7a33531561bb1b2c7456bad115
Author: Maciej Piechotka <uzytkownik2@gmail.com>
Date:   Mon Sep 20 19:36:19 2010 +0100

    Fix for gdk keysym name change

 test-display.c | 18 ++++++++++++------
 1 file changed, 12 insertions(+), 6 deletions(-)

commit e6a1045b26dffab0504501e5b18a4272a4b9a436
Author: Christian Persch <chpe@gnome.org>
Date:   Mon Sep 27 01:34:04 2010 +0200

    Post branch version bump

 configure.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a95fe3198156651b13fab2bbc5e01f4e4c396dd8
Author: William Hua <huaw@mcmaster.ca>
Date:   Tue Jul 20 09:33:12 2010 -0400

    Fix gdk_pixbuf_binary_dir to gdk_pixbuf_binarydir
    
    gdk_pixbuf_binarydir is the variable set by configure.in

 gdk-pixbuf-loader/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4b022ea08f758e0d71f9178c51aacb50e81bc8e5
Author: Hiroyuki Ikezoe <hiikezoe@gnome.org>
Date:   Fri Jul 2 23:06:23 2010 +0900

    [release] post-release bump to 2.31.1

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 823a32d0e41b3e4c5b539bad88d461da04379338
Author: Hiroyuki Ikezoe <hiikezoe@gnome.org>
Date:   Fri Jul 2 22:54:57 2010 +0900

    [release] 2.31.0

 NEWS | 21 +++++++++++++++++++++
 1 file changed, 21 insertions(+)

commit b78f0cfa37abfce1c34380f71e00151d508d2a5f
Author: Adam Tkac <atkac@redhat.com>
Date:   Fri Jul 2 14:47:07 2010 +0200

    rsvg-gobject.c: g_free object after we free all it's attributes, not before (in instance_dispose() function)
    
    Signed-off-by: Adam Tkac <atkac@redhat.com>

 rsvg-gobject.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 29516693006017f5cfbeeb18926c71598ec8e5cd
Author: Christian Persch <chpe@gnome.org>
Date:   Wed Jun 30 19:18:47 2010 +0200

    Fix the .pc files
    
    They were broken by commit 4098d4e287ec5aaa989b025292511abf860164c9.

 librsvg-uninstalled.pc.in | 2 +-
 librsvg.pc.in             | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit d5511227f538ef228ae152beb13b51d42d783b2f
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Jun 29 19:40:17 2010 +0200

    Restore tarball name to "librsvg"

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a52d5bf6cbbffa89982b5f4820280c9d07aed2cb
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Jun 27 19:29:05 2010 +0200

    Fix build against old libxml2
    
    Before libxml2 commit
    http://git.gnome.org/browse/libxml2/commit/?id=a8f09ce8d33dbadd398efe5af36ec7984de31e4c
    xmlPushInput returned void, not int. The first release with this commit
    is libxml2 2.7.0.

 rsvg-base.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 569f8d37aae2e925cd48fb2ddf0593f18de58c69
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Jun 27 19:26:49 2010 +0200

    Explicitly link against gthread-2.0
    
    This fixes the build with glib < 2.24.

 Makefile.am     |  3 +++
 configure.in    | 10 ++++------
 doc/Makefile.am |  2 +-
 3 files changed, 8 insertions(+), 7 deletions(-)

commit 2244164922e504b12a010ffdc19da9025c26401c
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Jun 27 19:22:33 2010 +0200

    Fix a compiler warning with GIO < 2.24

 rsvg-base.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4098d4e287ec5aaa989b025292511abf860164c9
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Jun 26 15:06:46 2010 +0200

    Use standalone gdk-pixbuf
    
    Go back to just building one librsvg, using the standalone
    gdk-pixbuf-2.0.
    
    Bug #622790.

 Makefile.am                            | 143 +++++++++++++++++++++---------
 configure.in                           | 157 ++++++++++++++++++---------------
 doc/Makefile.am                        |   2 +-
 gdk-pixbuf-loader/Makefile.am          |  55 +++++++-----
 gtk-engine/Makefile.am                 |  92 +++++++++++++++----
 gtk-engine/examples/bubble/Makefile.am |  15 +++-
 6 files changed, 306 insertions(+), 158 deletions(-)

commit fb09ff11cccf3ac08ed14b4aa8a2ddf5a57174ef
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Jun 26 13:18:05 2010 +0200

    Remove XEMBED support from rsvg-view

 Makefile.am    |  3 +--
 configure.in   | 19 -------------------
 test-display.c | 39 ++++-----------------------------------
 3 files changed, 5 insertions(+), 56 deletions(-)

commit 14f3d4cef8d13e073108a5359524118099b2ac9b
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Jun 22 20:03:17 2010 +0200

    Modernise API docs
    
    Use no-tmpl, move to xml, use xinclude, add indices.

 configure.in                 |  13 +-
 doc/.cvsignore               |  13 --
 doc/Makefile.am              | 201 +++++++++++++++++++--------
 doc/rsvg-docs.sgml           |  92 ------------
 doc/rsvg-docs.xml            | 152 ++++++++++++++++++++
 doc/rsvg-overrides.txt       |   2 -
 doc/rsvg-sections.txt        |  70 ++++++++--
 doc/rsvg.types               |   3 +
 doc/tmpl/rsvg-file-util.sgml | 103 --------------
 doc/tmpl/rsvg-unused.sgml    | 150 --------------------
 doc/tmpl/rsvg.sgml           | 323 -------------------------------------------
 doc/version.xml.in           |   1 +
 librsvg.def                  |   2 +
 rsvg-base.c                  |   4 +-
 rsvg-file-util.c             |   9 ++
 rsvg-gobject.c               |  14 ++
 16 files changed, 386 insertions(+), 766 deletions(-)

commit 9afcac622199e08ce87153b8ec3b5801573075ff
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Jun 22 18:19:55 2010 +0200

    Don't leak the input stream
    
    ... if the handle is finalised without close having been called.

 rsvg-gobject.c | 4 ++++
 1 file changed, 4 insertions(+)

commit af8dc1feb3e38e06be5865d93ee6d266514c16af
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Jun 22 17:54:50 2010 +0200

    Use GZlibDecompressor for SVGZ support
    
    On gio >= 2.24, use GZlibDecompressor for SVGZ. Otherwise use libgsf.
    
    Bug #621699.

 configure.in   |  76 +++++++++++++++++++++++----------------
 rsvg-base.c    | 112 ++++++++++++++++++++++++++++++++++++---------------------
 rsvg-gobject.c |  19 +++++++---
 rsvg-private.h |   8 +++--
 4 files changed, 138 insertions(+), 77 deletions(-)

commit 9aa2584d2bc8cae32e90f50e4d10e7126e70751b
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Jun 22 16:03:39 2010 +0200

    Add rsvg-xml.[ch]
    
    Forgot to git add these. Part of bug #621699.

 rsvg-xml.c | 96 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 rsvg-xml.h | 35 +++++++++++++++++++++++
 2 files changed, 131 insertions(+)

commit 236ddd7aedc03d511f70ac774d7f2715da1edb66
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Jun 22 15:54:33 2010 +0200

    Fix pc file creation
    
    The librsvg-*.pc file creation was failing when the .pc.in file changes.
    Pass the right arguments to AC_CONFIG_FILES().

 configure.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 2fc0b201ca40c0d736451565fb2aa3aeb4d121a8
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Jun 22 15:51:54 2010 +0200

    Fix symlink creation for rsvg-view and rsvg-convert
    
    Only create the symlinks when it doesn't already exist.

 Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 3d28e419d726d972b178325c25b4f8d17aca17c1
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Jun 15 21:11:39 2010 +0200

    Add GIO convenience to librsvg
    
    Adds rsvg_handle_read_stream_sync() to read the handle's data from a
    GInputStream, and rsvg_handle_new_from_{gfile,stream}_sync convenience
    functions analogous to rsvg_handle_new_from_{file,data}.
    
    Bug #621699.

 Makefile.am               |   4 +-
 doc/rsvg-sections.txt     |  10 ++-
 doc/tmpl/rsvg-unused.sgml |  42 +++++++++
 doc/tmpl/rsvg.sgml        |  53 ++++++++++++
 librsvg.def               |   5 ++
 librsvg.pc.in             |   4 +-
 rsvg-base.c               | 212 ++++++++++++++++++++++++++++++++++++++++++++++
 rsvg-gobject.c            |   5 ++
 rsvg-private.h            |   1 +
 rsvg.h                    |  28 ++++++
 10 files changed, 358 insertions(+), 6 deletions(-)

commit 28c2a570027b7d0b46b9e05a31757c09093e558f
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Jun 22 15:39:08 2010 +0200

    Bump version

 configure.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 7ce4e113d8715ade31081cd1763386e26fee4665
Author: Christian Persch <chpe@gnome.org>
Date:   Tue Jun 22 15:36:01 2010 +0200

    Require gio-2.0

 configure.in  | 17 ++---------------
 librsvg.pc.in |  2 +-
 rsvg-image.c  |  7 -------
 3 files changed, 3 insertions(+), 23 deletions(-)

commit 0cc1279c5033a30cb715735fab0af54813b11c45
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jun 11 14:02:49 2010 +0100

    Fix compilation of GTK+ theme engine for GTK+ 3.0
    
    ->draw_string() has been removed in GTK+ 3.x.

 gtk-engine/svg-draw.c | 4 ++++
 1 file changed, 4 insertions(+)

commit 9a7292daf337e4da4eacf62edb45f34c28d11df2
Author: Christian Persch <chpe@gnome.org>
Date:   Thu Jun 10 15:15:15 2010 +0200

    Add dual gtk+ capability
    
    Make rsvg parallel-buildable for gtk+-2.0 and gtk+-3.0.
    
    Bug #618475.

 Makefile.am                                    |  62 +++++++-------
 configure.in                                   | 107 ++++++++++++++++---------
 doc/Makefile.am                                |   5 +-
 doc/tmpl/rsvg-file-util.sgml                   |   3 +
 doc/tmpl/rsvg.sgml                             |  39 +++++++++
 gdk-pixbuf-loader/Makefile.am                  |   9 +--
 gtk-engine/Makefile.am                         |   4 +-
 gtk-engine/examples/bubble/Makefile.am         |  14 +++-
 gtk-engine/examples/bubble/blue.svg            |  18 +++++
 gtk-engine/examples/bubble/green.svg           |  18 +++++
 gtk-engine/examples/bubble/gtk-2.0/.cvsignore  |   2 -
 gtk-engine/examples/bubble/gtk-2.0/Makefile.am |  10 ---
 gtk-engine/examples/bubble/gtk-2.0/blue.svg    |  18 -----
 gtk-engine/examples/bubble/gtk-2.0/green.svg   |  18 -----
 gtk-engine/examples/bubble/gtk-2.0/gtkrc       |  77 ------------------
 gtk-engine/examples/bubble/gtk-2.0/orange.svg  |  18 -----
 gtk-engine/examples/bubble/gtk-2.0/purple.svg  |  18 -----
 gtk-engine/examples/bubble/gtk-2.0/red.svg     |  18 -----
 gtk-engine/examples/bubble/gtkrc               |  77 ++++++++++++++++++
 gtk-engine/examples/bubble/orange.svg          |  18 +++++
 gtk-engine/examples/bubble/purple.svg          |  18 +++++
 gtk-engine/examples/bubble/red.svg             |  18 +++++
 librsvg-2.0-uninstalled.pc.in                  |  14 ----
 librsvg-2.0.pc.in                              |  15 ----
 librsvg-uninstalled.pc.in                      |  14 ++++
 librsvg.pc.in                                  |  15 ++++
 tests/Makefile.am                              |   2 +-
 tools/Makefile.am                              |   5 +-
 28 files changed, 365 insertions(+), 289 deletions(-)

commit f36d8f016173c05c428fffa6625e74e783d6547c
Author: Hiroyuki Ikezoe <hiikezoe@gnome.org>
Date:   Tue Jun 8 20:53:29 2010 +0900

    fix indent.

 rsvg-cairo-draw.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit dd8e5b13dbae2603693ff5ce78ab6ce3da3cb1ed
Author: Hiroyuki Ikezoe <poincare@ikezoe.net>
Date:   Tue Jun 8 19:47:53 2010 +0900

    Apply style attributes of svg element at the end of svg element tag.
    
    Because svg element's presentation attributes does not apply
    when drawing SVG which has no "style" element.
    
    Fix for bug #620693.

 rsvg-base.c                         | 2 +-
 tests/fixtures/styles/bug620693.svg | 4 ++++
 tests/styles.c                      | 1 +
 3 files changed, 6 insertions(+), 1 deletion(-)

commit bd8bb3d0855763f4ed65cc979afb13fa699aec9e
Author: Hiroyuki Ikezoe <hiikezoe@gnome.org>
Date:   Mon Jun 7 21:00:48 2010 +0900

    Fix parallel make failure.
    
    Fix for bug #620822.

 tools/Makefile.am | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit d3efef1408c4c5e1b636296c42f295974c4ec5ed
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Jun 6 20:36:05 2010 +0900

    Simplify code by using g_clear_error
    
    No need to provide our own implementation of this function.
    
    Bug #620649.

 rsvg-image.c | 13 +------------
 1 file changed, 1 insertion(+), 12 deletions(-)

commit a736624adcacaa5e2ff695b3895104e9a9eab798
Author: Christian Persch <chpe@gnome.org>
Date:   Sat Jun 5 19:28:21 2010 +0900

    Save an extra allocation by directly decoding the base64 data into a GByteArray.
    
    Bug #620130.

 rsvg-image.c | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit fe489cc14d942b2a8ff91c395cc057eea0d33aac
Author: Christian Persch <chpe@gnome.org>
Date:   Fri Jun 4 20:56:03 2010 +0200

    Use correct free func
    
    Use xmlFree() on strings from libxml, not free().
    
    Bug #620592.

 rsvg-base.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a55aa23ca95c749821c44c3d705adad0258305d9
Author: Hiroyuki Ikezoe <hiikezoe@gnome.org>
Date:   Wed Jun 2 20:13:19 2010 +0900

    Fix crash when rendering style only file.
    
    Fix for bug #620238.

 rsvg-base.c                        |  2 +-
 tests/Makefile.am                  |  1 +
 tests/crash.c                      | 52 ++++++++++++++++++++++++++++++++++++++
 tests/fixtures/crash/bug620238.svg |  1 +
 4 files changed, 55 insertions(+), 1 deletion(-)

commit 5aa318c341c25666a2716b3e16e1d6c3652f9745
Author: Hiroyuki Ikezoe <hiikezoe@gnome.org>
Date:   Sun May 30 20:59:02 2010 +0900

    fix memory leak.

 rsvg-image.c | 1 +
 1 file changed, 1 insertion(+)

commit 672a01e42c06b5bc7c2a5007d246485ef0f7cb53
Author: Hiroyuki Ikezoe <hiikezoe@gnome.org>
Date:   Sun May 30 20:24:29 2010 +0900

    fix indent.

 rsvg-styles.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 559cb26678853d322bea61f2a4c489acce2eb89c
Author: Hiroyuki Ikezoe <hiikezoe@gnome.org>
Date:   Sun May 30 19:51:39 2010 +0900

    fix memory leak.

 rsvg-structure.c | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit 6eedc73f76ec4d8fd338ed8c63c40e2f1f91b73c
Author: Hiroyuki Ikezoe <hiikezoe@gnome.org>
Date:   Sun May 30 19:49:39 2010 +0900

    fix indent.

 rsvg-styles.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit f328d4f725c6034d0a99332023a1910d590fd2c1
Author: Hiroyuki Ikezoe <hiikezoe@gnome.org>
Date:   Sun May 30 19:09:51 2010 +0900

    Fix crash when rendering tests/svg1.1/svg/masking-path-04-b.svg.

 rsvg-cairo-clip.c | 2 ++
 1 file changed, 2 insertions(+)

commit 62b519abf6ccf510009b9106d5b8132c792ad816
Author: Hiroyuki Ikezoe <hiikezoe@gnome.org>
Date:   Fri May 28 20:06:35 2010 +0900

    A tool to output glib's memory profile.

 tools/Makefile.am        |  20 +++++-
 tools/rsvg-tools-main.c  | 184 +++++++++++++++++++++++++++++++++++++++++++++++
 tools/rsvg-tools-main.h  |  30 ++++++++
 tools/test-memory.c      |  35 +++++++++
 tools/test-performance.c | 163 ++---------------------------------------
 5 files changed, 271 insertions(+), 161 deletions(-)

commit 3e3b9d3a2d0b7e3abeadba224619ebe635e18f83
Author: Hiroyuki Ikezoe <hiikezoe@gnome.org>
Date:   Thu May 27 20:29:57 2010 +0900

    fix memory leak.

 rsvg-image.c | 1 +
 1 file changed, 1 insertion(+)

commit 70d9f65868eb9dfd923fa26f8a3fc326c816db9c
Author: Hiroyuki Ikezoe <hiikezoe@gnome.org>
Date:   Thu May 27 20:27:32 2010 +0900

    Use g_file_get_contents to local load image data.

 rsvg-image.c | 35 ++++++-----------------------------
 1 file changed, 6 insertions(+), 29 deletions(-)

commit 27692fc6e1a7ea87f117423857b4cebc744dba12
Author: Hiroyuki Ikezoe <hiikezoe@gnome.org>
Date:   Thu May 27 20:01:26 2010 +0900

    Use g_base64_decode() instead of our own base64 function.
    
    We can use g_base64_decode here since librsvg already
    requires GLib-2.12.

 rsvg-image.c | 172 +++--------------------------------------------------------
 1 file changed, 6 insertions(+), 166 deletions(-)

commit d2e80116df11d8517ab18d3a24fff8137e6a8948
Author: Hiroyuki Ikezoe <hiikezoe@gnome.org>
Date:   Mon May 17 20:11:58 2010 +0900

    remove CVS directory.

 tests/svg1.1/images/CVS/Entries    | 113 -------------------------------------
 tests/svg1.1/images/CVS/Repository |   1 -
 tests/svg1.1/images/CVS/Root       |   1 -
 3 files changed, 115 deletions(-)

commit 00e2f3cef201170dddf14a6c20c67cc37acb1896
Author: Hiroyuki Ikezoe <hiikezoe@gnome.org>
Date:   Mon May 3 18:58:15 2010 +0900

    remove unused declaration.

 rsvg-styles.h | 1 -
 1 file changed, 1 deletion(-)

commit 0bd07b4ba07a1377c54bda7c2b48c592816f135f
Author: Hiroyuki Ikezoe <hiikezoe@gnome.org>
Date:   Mon May 3 18:54:12 2010 +0900

    fix indent.

 rsvg-path.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ede81d3cf81b68e00d334f252e083e15525063e3
Author: Hiroyuki Ikezoe <hiikezoe@gnome.org>
